<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/collectsupportdata/CollectSupportData.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>

<%@ include file="/page/common/Header.jsp"%>

<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component"
	prefix="scmc"%>

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/dmcnbcestyle.css") %>' >
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/ports/Ports.css") %>' >
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/nbceTable.css") %>' >
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' >

<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/collectsupportdata/CollectSupportData.js") %>'></SCRIPT>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/common.js") %>'></SCRIPT>
<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL"
	var="bundle" />

<TITLE>CollectSupportData.jsp</TITLE>

</HEAD>
<BODY>
<%
if(/*data.isNoDomains() && request.getRequestURI().indexOf("ViewAllSwitches.jsp") == -1*/false)
{
%>
<f:view>
<h:form id="divForm">
	<jsp:include page="/page/common/RedirectNoDomains.jsp"/>
</h:form>
</f:view>
<%
	}else{
%>
<f:view>
	<hx:scriptCollector id="scriptCollector1"
		preRender="#{pc_CollectSupportData.onPageLoadBegin}">
	
		
			<jsp:include page="/page/common/WaitHeader.jsp"/>
						
			<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
				<TR>
					<!-- TD valign="top"><h:outputText styleClass="dmc_outputTextTitle" id="PageTitle"
						value="#{bundle.SupportData_Title}">
					</h:outputText></TD -->
					<TD align="right"><%
						if (!(data.isNoDomains() && request.getRequestURI().indexOf("ViewAllSwitches.jsp") == -1)) {
					%><jsp:include
						page="/page/common/SwitchDeviceList.jsp"></jsp:include><%
						}
						%></TD>
				</TR>
			</TABLE>
			<h:outputText styleClass="dmc_outputText" id="supportDataPageDesc"
					value="#{bundle.SupportData_Description}">
				</h:outputText>
			<HR>
			   
				<h:panelGroup id="ajaxpanel" style="display:none">
					<hx:ajaxRefreshRequest id="csd_refresh_request" oncomplete="return onComplete();"
						onstart="return onStart();" params="selectedDomain">
					</hx:ajaxRefreshRequest>
					<h:inputHidden id="selectedDomain"
						value="#{collectSupportDataBean.selectedDomainKey}">
					</h:inputHidden>		
					
					<hx:jspPanel id ="errorMSGPanel">
						<jsp:include page="/page/common/facesMessages.jsp"/>
					</hx:jspPanel>
					
					<hx:jspPanel id ="responseMSGPanel" rendered="#{collectSupportDataBean.isExceptionThrown == false}">
						<h:outputText
							styleClass="dmc_outputText" id="response1"
							value="#{bundle.SupportData_Complete1}">
						</h:outputText>
						
						<scmc:scmJspPanel id="linkPanel">
					    	&nbsp;
							<a href = "#{pc_CollectSupportData.downloadURL}">
												
								<h:outputText
									styleClass="dmc_outputText" id="response2"
									style="font-style:italic;"
									value="#{bundle.SupportData_Complete2}">
								</h:outputText>
						
							</a>
						</scmc:scmJspPanel>
						
													
						<h:outputText
								id="response3" styleClass="dmc_outputText"
								value="#{bundle.SupportData_Complete3}">
						</h:outputText>
					</hx:jspPanel>					
				</h:panelGroup>	
					
					<div id="request_div">
						<hx:commandExButton type="submit" value="#{bundle.SupportData_Button}" styleClass="dmc_commandExButton" id="collectButton">
							<hx:behavior id="csd_collect_button_behavior" event="onclick" behaviorAction="get;"
								targetAction="ajaxpanel;" />
						</hx:commandExButton>
					</div>
					<BR/>
			   
			   <div id="msg_processing" style="display:none">
					<TABLE id ="msg_processing_table">
						<TBODY>
							<TR>
								<TD>
									<IMG border="0"	src='<%=renderResponse.encodeURL(renderRequest.getContextPath()+"/images/common/loading/busy.gif")%>' alt="" /> 
								</TD>
								<TD>
									<h:outputFormat id="processing_text" escape="false" styleClass="dmc_outputText" value="#{bundle.SupportData_Wait}" rendered="#{!scmSessionData.noDomains}">
										<f:param name="0" value="#{collectSupportDataBean.selectedDomainLabel}"></f:param>
									</h:outputFormat>
									<h:outputText id="processing_nodomain_text" escape="false" styleClass="dmc_outputText" value="#{bundle.SupportData_Wait_NoDomain}" rendered="#{scmSessionData.noDomains}"></h:outputText>
								</TD>
							</TR>
						</TBODY>
					</TABLE>
				</div>
			<%
				if (request.getHeader("User-Agent").toLowerCase().indexOf("msie") != -1) {
			%>
			<embed id="beepid" src="<%=renderResponse.encodeURL(renderRequest.getContextPath()) %>/media/dynamicRefresh.wav" autostart="false" width="0" height="0" enablejavascript="true" class="scm_flyaway_component"></embed>
			<%
				}
			%>
			<jsp:include page="/page/common/WaitFooter.jsp"/>
    
	</hx:scriptCollector>
	
    </f:view>
    <%
	}
   %>
	</BODY>
<SCRIPT type="text/javascript">
var isCollecting;
init();
</SCRIPT>
</HTML>