// ManageFabric.js

function activateActionButtons()
{
	if(document.getElementById(namespace_g + "mainForm:modifyButton"))
		document.getElementById(namespace_g + "mainForm:modifyButton").disabled = false;
	
	if(document.getElementById(namespace_g + "mainForm:activateButton"))
		document.getElementById(namespace_g + "mainForm:activateButton").disabled = false;
	
	if(document.getElementById(namespace_g + 'mainForm:modifyMenuItemLink'))
	{
		document.getElementById(namespace_g + 'mainForm:modifyMenuItemLink').style.display = "block";
	}
	
	if(document.getElementById(namespace_g + "mainForm:activateMenuItemLink"))
	{
		document.getElementById(namespace_g + "mainForm:activateMenuItemLink").style.display = "block";
	}
}

function disableActionButtons()
{
	if(document.getElementById(namespace_g + "mainForm:modifyButton"))
		document.getElementById(namespace_g + "mainForm:modifyButton").disabled = true;
	
	if(document.getElementById(namespace_g + "mainForm:activateButton"))
		document.getElementById(namespace_g + "mainForm:activateButton").disabled = true;
		
	if(document.getElementById(namespace_g + 'mainForm:modifyMenuItemLink'))
	{
		document.getElementById(namespace_g + 'mainForm:modifyMenuItemLink').style.display = "none";
	}
	
	if(document.getElementById(namespace_g + "mainForm:activateMenuItemLink"))
	{
		document.getElementById(namespace_g + "mainForm:activateMenuItemLink").style.display = "none";
	}
}

function activateModalSetUp()
{
	// The user will select a configuration and click activate
	// the selected config needs to show up in the modal
	
	radioButtons = document.getElementsByName('zoneStore');
	var selectedIndex = "";
	
	for(x = 0; x < radioButtons.length; x++)
	{
		if(radioButtons[x].checked)
		{
			selectedIndex = radioButtons[x].value;
			break;
		}
	}

	// selectedIndex will always be defined because the active button is only activated when
	// the user selects an item
	
	var name = eval("config" + selectedIndex + "Name");
	
	// Set the name in the activate modal
	document.getElementById("selectedConfig").innerHTML = name;
}

function showBackupSwitchConfigurations()
{
	// Hide all the tables except for the one that is selected
	var options = document.getElementById("backupAllSwitchMenu").options;
	
	for(x = 0; x < options.length; x++)
	{
		// The option value will be table ID
		table = document.getElementById(options[x].value);
		
		if(table)
		{
			table.style.display="none";
		}
	}
	
	// Show the selected one
	selectedId = options[document.getElementById("backupAllSwitchMenu").selectedIndex].value;
	document.getElementById(selectedId).style.display="block";
}

function backupAll()
{
	// Start the dowload	
	this.window.location = backupServletPath + "?id=" + document.getElementById("backupAllSwitchMenu").value;
}