<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/fabric/ManageFabric.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>

<%@ include file="/page/common/Header.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>


<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="java.util.*, pagecode.page.fabric.*, javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.fabric.*, javax.portlet.*,com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL"%>


<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">


<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/dmcnbcestyle.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/nbceMenu.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/nbceTable.css") %>' rel="stylesheet" type="text/css">

<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/fabric/ManageFabric.js") %>'></SCRIPT>

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<TITLE>ManageFabric.jsp</TITLE>
<%

if(data.isNoDomains() && request.getRequestURI().indexOf("ViewAllSwitches.jsp") == -1)
	{
		// Forward
		//headerFC.getExternalContext().redirect(basePath + "faces/page/common/NoDomains.jsp");
%>
<f:view>
<h:form id="divForm">
	<jsp:include page="/page/common/RedirectNoDomains.jsp"/>
</h:form>
</f:view>
<%
	}else{
%>

<%
FacesContext fc = FacesContext.getCurrentInstance();
ManageFabric mf = (ManageFabric) fc.getApplication().createValueBinding("#{pc_ManageFabric}").getValue(fc);
ManageFabricBean mfb = mf.getManageFabricBean();
ResourceBundle nls = ResourceBundle.getBundle("com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL",fc.getExternalContext().getRequestLocale());
%>

<SCRIPT>
<% 
// If there are no available switches, dont try to get the active index
if(mf.getSwitches().length != 0)
{
%>
var activeIndex = '<%= mf.getWorkingSwitch().getActiveConfigurationIndex() %>';
<%
}
%>
var backupServletPath = '<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/ManageFabricBackupConfigurationServlet") %>';
</SCRIPT>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="manageFabricScriptCollector">
	<jsp:include page="/page/common/WaitHeader.jsp"/>
	
	<TABLE width="100%" cellspacing="0" cellpadding="0">
	<TBODY>
	<TR>
	<TD valign="top">
	</TD>
	<TD align="right">
	<jsp:include page="/page/common/BCEDeviceList.jsp"></jsp:include>
	</TD>
	</TR>
	</TBODY>
	</TABLE>
	
	<h:outputFormat id="BCS_manageFabricInstructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_BCSInstructions}" rendered="#{manageFabricBean.isBCSChassis}"></h:outputFormat>
	<h:outputFormat id="nonBCS_manageFabricInstructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_NonBCSInstructions}" rendered="#{!manageFabricBean.isBCSChassis}"></h:outputFormat>
	<HR>
	
	<jsp:include page="/page/common/facesMessages.jsp"/>
	
	<h:form id="mainForm" onsubmit="startCommonWait();">
	
	<!-- ------------------------------------------ REFRESH BUTTON AND TIMESTAMP ---------------------------------------------- -->
	
	
		<hx:commandExButton type="submit" id="refreshButton" styleClass="dmc_commandExButton" style="width: 80px;" value="#{bundle.Common_Page_Refresh}" action="#{pc_ManageFabric.refresh}"></hx:commandExButton>
		<h:outputText styleClass="dmc_outputText" id="manageFabricLastRefresh" value="#{bundle.Common_Page_LastRefresh}"></h:outputText>
		<SPAN class="dmc_outputText" id="lastRefreshTimestamp"></SPAN>
	    
	<BR>
	
	
	<!-- ------------------------------------------ NO SWITCHES ---------------------------------------------- -->
	<% 
	// If there are no available switches in the selected Chassis
	if(mf.getSwitches().length == 0)
	{
	%>
		<h:outputFormat id="manageFabricNoSwitchesAvailable" styleClass="dmc_outputText" value="#{bundle.ManageFabric_NoSwitchesAvailable}"></h:outputFormat>
		
	<%
	}
	else
	{
	%>		
	
	<!-- ------------------------------------------ ACTIVE CONFIGURATIONS ---------------------------------------------- -->
	<TABLE>
		<TR>
			<TD rowspan="3" valign="top">
				<IMG src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/images/fabric/active_configuration.gif") %>'>
			</TD>
			<TD valign="top" style="white-space: nowrap">
				<h:outputFormat id="activeConfigLabel" styleClass="dmc_outputTextTitle2" value="#{bundle.ManageFabric_ActiveConfiguration}:"></h:outputFormat>
			</TD>
			<TD valign="top">
				<% 
				if(mf.existsSwtich(3))
				{
				%>
					<h:outputFormat id="activeConfigIOBay3" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay3}"></h:outputFormat> -
					<SPAN class="dmc_outputText"><%= mf.getSwitch(3).getActiveConfiguration().getName() %></SPAN>
					<BR>
				<%
				}
				%>
				<% 
				if(mf.existsSwtich(4))
				{
				%>
					<h:outputFormat id="activeConfigIOBay4" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay4}"></h:outputFormat> -
					<SPAN class="dmc_outputText"><%= mf.getSwitch(4).getActiveConfiguration().getName() %></SPAN>
					<BR>
				<%
				}
				%>
			</TD>
		</TR>
		<TR>
			<TD valign="top" style="white-space: nowrap">
				<h:outputFormat id="descriptionLabel" styleClass="dmc_outputTextTitle2" value="#{bundle.ManageFabric_Description}:"></h:outputFormat>
			</TD>
			<TD valign="top">
				<% 
				if(mf.existsSwtich(3))
				{
				%>
					<h:outputFormat id="descriptionIOBay3" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay3}"></h:outputFormat> -
					<SPAN class="dmc_outputText"><%= mf.getSwitch(3).getActiveConfiguration().getDescription() %></SPAN>
					<BR>
				<%
				}
				%>
				<% 
				if(mf.existsSwtich(4))
				{
				%>
					<h:outputFormat id="descriptionIOBay4" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay4}"></h:outputFormat> -
					<SPAN class="dmc_outputText"><%= mf.getSwitch(4).getActiveConfiguration().getDescription() %></SPAN>
					<BR>
				<%
				}
				%>
			</TD>
		</TR>
		<TR>
			<TD valign="top" style="white-space: nowrap">
				<h:outputFormat id="lastSaveLabel" styleClass="dmc_outputTextTitle2" value="#{bundle.ManageFabric_LastSaved}:"></h:outputFormat>
			</TD>
			<TD valign="top">
				<% 
				if(mf.existsSwtich(3))
				{
				%>
					<h:outputFormat id="lastSaveIOBay3" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay3}"></h:outputFormat> -
					<SPAN class="dmc_outputText"><%= mf.getSwitch(3).getActiveConfiguration().getLastSaveDate() %></SPAN>
					<BR>
				<%
				}
				%>
				<% 
				if(mf.existsSwtich(4))
				{
				%>
					<h:outputFormat id="lastSaveIOBay4" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay4}"></h:outputFormat> -
					<SPAN class="dmc_outputText"><%= mf.getSwitch(4).getActiveConfiguration().getLastSaveDate() %></SPAN>
					<BR>
				<%
				}
				%>
			</TD>
		</TR>		
	</TABLE>
	
	<BR>
	
	<!-- ------------------------------------------ ACTION BUTTONS ---------------------------------------------- -->
	
	
	
	<!-- to align the buttons -->
	<TABLE>
	<TBODY>
	<TR>
	<TD valign="top">
		
	<hx:commandExButton id="modifyButton" styleClass="dmc_commandExButton" value="#{bundle.ManageFabric_Edit}" style="width: 80px" action="#{pc_ManageFabric.modify}"></hx:commandExButton>
	
	<hx:commandExButton id="activateButton" styleClass="dmc_commandExButton" value="#{bundle.ManageFabric_Activate}" style="width: 80px" onclick="activateModalSetUp()"></hx:commandExButton>
	
	<hx:commandExButton  id="restoreConfigurationButton" style="display: none" action="#{pc_ManageFabric.restoreConfiguration}"></hx:commandExButton>

	<hx:commandExButton  id="restoreAllConfigurationButton" style="display: none" action="#{pc_ManageFabric.restoreAllConfiguration}"></hx:commandExButton>
	
	</TD>
	<TD valign="top">
	
	
	<hx:panelMenu styleClass="nbceMenu" id="moreActionsMenu" flyOpen="false" initialSelection="">
	
		<f:facet name="header">
            <hx:commandExButton id="moreactions" styleClass="dmc_commandExButton" value="#{bundle.ManageFabric_Actions}"></hx:commandExButton>
            <INPUT class="dmc_commandExButton" id="myButton" type="button" value="   &#9660;" style="display: none">
        </f:facet>
        
        <hx:requestLink id="modifyMenuItemLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ManageFabric_Edit}" onclick="document.getElementById(namespace_g + 'mainForm:modifyButton').click(); return false;">
		</hx:requestLink> 
        
        <hx:requestLink id="activateMenuItemLink" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ManageFabric_Activate}" onclick="document.getElementById(namespace_g + 'mainForm:activateButton').click(); return false;">
		</hx:requestLink> 
		
        <hx:outputLinkEx id="backupAllLauncher">
       		<h:outputText id="manageFabricBackupAllLauncher" styleClass="dmc_outputText" value="#{bundle.ManageFabric_BackupAllConfigurations}"></h:outputText>
        </hx:outputLinkEx>
        
        <hx:requestLink id="restoreOneLauncher" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ManageFabric_RestoreConfiguration}" onclick="document.getElementById(namespace_g + 'mainForm:restoreConfigurationButton').click(); return false;">
		</hx:requestLink> 
		<hx:requestLink id="restoreAllLauncher" styleClass="outputLinkEx dmc_outputText" value="#{bundle.ManageFabric_RestoreAllConfigurations}" onclick="document.getElementById(namespace_g + 'mainForm:restoreAllConfigurationButton').click(); return false;">
		</hx:requestLink> 
        <%-- 
        <hx:outputLinkEx id="restoreOneLauncher" value="faces/page/fabric/RestoreConfigurationStep1.jsp?restoreType=one" styleClass="dmc_outputText">
        	<h:outputText id="manageFabricRestoreOneLauncher" styleClass="dmc_outputText" value="#{bundle.ManageFabric_RestoreConfiguration}"></h:outputText>
        </hx:outputLinkEx>
        
        <hx:outputLinkEx id="restoreAllLauncher" value="faces/page/fabric/RestoreConfigurationStep1.jsp?restoreType=all" styleClass="dmc_outputText">
        	<h:outputText id="manageFabricRestoreAllLauncher" styleClass="dmc_outputText" value="#{bundle.ManageFabric_RestoreAllConfigurations}"></h:outputText>
        </hx:outputLinkEx>
        --%>
        
	</hx:panelMenu>
	
	</TD>
	</TR>
	</TBODY>	
	</TABLE>
	
	<SCRIPT>
		// JSF doesnt want to handle the unicode character
		document.getElementById(namespace_g + 'mainForm:moreactions').value += document.getElementById('myButton').value;
	</SCRIPT>
	
	<!-- ---------------------------------------------- START TABLE --------------------------------------------------- -->
	<TABLE class="nbceTable dmc_outputText" cellspacing="0" cellpadding="0" width="100%" summary="<%=nls.getString(GWMNBCEL.Table_Summary_SAS_Module_Configurations)%>">
		<TBODY>
			<TR>
				<TD class="nbceTableHeaderCell">
					<h:outputFormat id="manageFabricTableSelect" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Select}"></h:outputFormat>
				</TD>
				<TD class="nbceTableHeaderCell">
					<h:outputFormat id="manageFabricTableConfigurationStore" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}"></h:outputFormat>
				</TD>
				<TD class="nbceTableHeaderCell">
					<h:outputFormat id="manageFabricTableNickname" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname}"></h:outputFormat>
				</TD>
				<TD class="nbceTableHeaderCell">
					<h:outputFormat id="manageFabricTableDescription" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Description}"></h:outputFormat>
				</TD>
				<TD class="nbceTableHeaderCell" nowrap>
					<h:outputFormat id="manageFabricTableLastModified" styleClass="dmc_outputText" value="#{bundle.ManageFabric_LastModified}"></h:outputFormat>
				</TD>
			</TR>
			
			<%
			// Get a list of zone configuratoins
			
			// Build the following structure
			// HashMap.get(zoneStoreIndex) returns:
			// ArrayList of [ZoneStore, SASSwitch]
			
			HashMap configurationMap = new HashMap();
			MFSASSwitch[] switches = mf.getSwitches();
			
			for(int x = 0; x < switches.length; x++)
			{
				MFZoneConfiguration[] configs = switches[x].getZoneDescriptors();
				
				for(int y = 0; y < configs.length; y++)
				{			
					// Get the ArrayList in the hash map for this index
					Integer key = new Integer(configs[y].getIndex());
					
					ArrayList list = (ArrayList) configurationMap.get(key);
					
					// If this is the first time we are accessing, make a new list
					if(list == null)
					{
						list = new ArrayList();
						
						configurationMap.put(key, list);
					}
					
					list.add(new Object[] {configs[y], switches[x]});
				}
			}
			
			Object[] keys = configurationMap.keySet().toArray();
			Arrays.sort(keys);
			
			for(int x = 0; x < keys.length; x++)
			{
			
				// Get the arraylist for this index
				ArrayList list = (ArrayList) configurationMap.get(keys[x]);
				
				if(list == null || list.size() == 0)
				{
					continue;
				}
				
				// Check to see if there different entries in the list
				String configName = null;
				String configDescription = null;
				boolean haveDifferent = false;
				
				for(int y = 0; y < list.size(); y++)
				{
					Object[] temp = (Object[]) list.get(y);
					
					MFZoneConfiguration currentConfig = (MFZoneConfiguration) temp[0];
					
					String currentName = currentConfig.getName();
					String currentDescription = currentConfig.getDescription();
					
					// At first we will have nothing to compare to
					if(configName == null && configDescription == null)
					{
						configName = currentName;
						configDescription = currentDescription;
						
						continue;
					}
					
					if(! currentName.equals(configName) || ! currentDescription.equals(configDescription))
					{
						haveDifferent = true;
						break;
					}
				}			 
				
				if(haveDifferent)
				{
					// Here the objects are different so we must display the values by switch
					
					String configurationStore = "<TABLE cellpadding='0' cellspacing='0' class='dmc_outputText'><TBODY><TR>";
					
					if(keys[x].toString().equals("" + mfb.getActiveConfigruationIndex()))
					{	
						// If this is the active configuration, then show the image
						
						String activeConfigurationNLS = nls.getString("ManageFabric_ActiveConfiguration");
						String warningNLS = nls.getString("ManageFabric_MismatchedWarningAlt");
						
						// Check if there is a mismatch and add the warning
						if(mf.existsActiveConfigurationMismatch())
						{
							// Two icons
							configurationStore += "<TD width='16px'><IMG src='" + renderResponse.encodeURL(renderRequest.getContextPath() + "/images/common/status/warning_16.gif") + "' alt='" + warningNLS + "' title='" + warningNLS + "'></TD><TD width='16px'><IMG src='" + renderResponse.encodeURL(renderRequest.getContextPath() + "/images/fabric/active_configuration_16.gif") + "' title='" + activeConfigurationNLS + "'  alt='" + activeConfigurationNLS + "'></TD>";
						}
						else
						{
							configurationStore += "<TD width='16px'><IMG src='" + renderResponse.encodeURL(renderRequest.getContextPath() + "/images/fabric/active_configuration_16.gif") +"' title='" + activeConfigurationNLS + "'  alt='" + activeConfigurationNLS + "'></TD>";						
						}					
					}
					else
					{
						// Check if there is a mismatch and add space for the warning
						if(mf.existsActiveConfigurationMismatch())
						{
							// Make space for two icons (warning and active)
							configurationStore += "<TD width='16px'>&nbsp;</TD><TD width='16px'>&nbsp;</TD>";
						}
						else
						{
							// Make space for just the active icon
							configurationStore += "<TD width='16px'>&nbsp;</TD>";
						}
					}
					
					configurationStore += "<TD valign='middle' align='left' style='padding-right: 10px'><LABEL for=" + "'zoneStore" + keys[x].toString() + "'>" + keys[x].toString() +"</LABEL></TD><TD>";
					
					String nickname = "";
					String description = "";
					String lastModified = "";
					
					for(int z = 0; z < list.size(); z++)
					{
						Object[] temp = (Object[]) list.get(z);
						MFZoneConfiguration currentConfig = (MFZoneConfiguration) temp[0];
						MFSASSwitch currentSwtich = (MFSASSwitch) temp[1];
						
						configurationStore += "(" + currentSwtich.getDisplayName() + ")<BR>";
						nickname += currentConfig.getName() + "<BR>";
						description += currentConfig.getDescription() + "<BR>";
						lastModified += currentConfig.getLastSaveDate() + "<BR>";
					}
					
					configurationStore += "</TD></TR></TBODY></TABLE>";				
			%>
			<TR>
				<TD class="nbceTableRow" align="center">
					<INPUT type="radio" id="zoneStore<%= keys[x].toString() %>" name="zoneStore" value="<%= keys[x].toString() %>" onclick="activateActionButtons();">
				</TD>
				<TD class="nbceTableRow">
					<%= configurationStore %>
				</TD>
				<TD class="nbceTableRow" nowrap>
					<%= nickname %>
				</TD>
				<TD class="nbceTableRow">
					<%= description %>
				</TD>
				<TD class="nbceTableRow" nowrap>
					<%= lastModified %>
				</TD>
			</TR>
			<%
				}
				else
				{
					// Here the configs accross all switches are the same so we can just use the first one
					Object[] temp = (Object[]) list.get(0);
					MFZoneConfiguration currentConfig = (MFZoneConfiguration) temp[0];
			%>
			<TR>
				<TD class="nbceTableRow" align="center">
					<INPUT type="radio" id="zoneStore<%= currentConfig.getIndex() %>" name="zoneStore" value="<%= currentConfig.getIndex() %>" onclick="activateActionButtons();">
				
				</TD>
				<TD class="nbceTableRow">
					
					<TABLE cellpadding='0' cellspacing='0' class='dmc_outputText'>
						<TBODY>
							<TR>
								<%
								if(currentConfig.getIndex() == mfb.getActiveConfigruationIndex())
								{
									String activeConfigurationNLS = nls.getString("ManageFabric_ActiveConfiguration");
									String warningNLS = nls.getString("ManageFabric_MismatchedWarningAlt");
									// If this is the active configuration, then show the image
									
									// Show the warning icon if there is mismatch
									if(mf.existsActiveConfigurationMismatch())
									{
									%>
									<TD width='16px'><IMG src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/images/common/status/warning_16.gif") %>' alt='<%= warningNLS %>' title='<%= warningNLS %>'></TD><TD width='16px'><IMG src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/images/fabric/active_configuration_16.gif") %>' title='<%= activeConfigurationNLS %>' alt='<%= activeConfigurationNLS %>'></TD>
									<%	
									}
									else
									{
									%>
									<TD width='16px'><IMG src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/images/fabric/active_configuration_16.gif") %>' title='<%= activeConfigurationNLS %>' alt='<%= activeConfigurationNLS %>'></TD>
									<%	
									}	
								}
								else
								{
									// Make space for the warning icon if there is mismatch
									if(mf.existsActiveConfigurationMismatch())
									{
										// Space for two icons
									%>
									<TD width='16px'>&nbsp;</TD><TD width='16px'>&nbsp;</TD>
									<%	
									}
									else
									{
										// Space for one icon
									%>
									<TD width='16px'>&nbsp;</TD>
									<%	
									}
								}
								%>
								
								<TD>
									<LABEL for="zoneStore<%= currentConfig.getIndex() %>"><%= currentConfig.getIndex() %></LABEL>
									
								</TD>
								
							</TR>
						</TBODY>
					</TABLE>
				</TD>
				<TD class="nbceTableRow" nowrap>
					<%= currentConfig.getName() %>
				</TD>
				<TD class="nbceTableRow">
					<%= currentConfig.getDescription() %>
				</TD>
				<TD class="nbceTableRow" nowrap>
					<%= currentConfig.getLastSaveDate() %>
				</TD>
			</TR>
			<%	
				}
			}
			%>
			
		</TBODY>
	</TABLE>
	
	<!--  ------------------  ZONE CONFIG NAMES ------------------------------------ -->
	<SCRIPT>
	<%
	// Working switch is the switch with the lowest bay number
	MFZoneConfiguration[] configurations = mf.getWorkingSwitch().getZoneDescriptors();
	
	for(int x = 0; x < configurations.length; x++)
	{
	%>
	config<%= configurations[x].getIndex() %>Name = '<%= configurations[x].getName().replaceAll("'", "\\\\'").replaceAll("\"", "\\\\\"") %>';
	<%
	}
	%>
	</SCRIPT>

	
	<!-- ----------------------------------------------------------- CONFIGURATION MISMATCH MODAL ---------------------------------------------------------------------- -->
	<%
	if(mf.existsActiveConfigurationMismatch())
	{
	%>
		
	<hx:panelDialog initiallyShow="true" style="width: 400px" id="configurationMismatchModal" styleClass="dmc_panelDialog" showTitleCloseButton="true" for="configurationMismatchLauncher" title="#{bundle.ManageFabric_ActiveConfigurationMismatchModalTitle}">
	
	
	<TABLE>
	<TBODY>
	<TR>
	<TD valign="top">
		<h:graphicImage id="graphicWarningImage1" value="/images/common/status/warning_16.gif" alt="#{bundle.Common_Status_Warning}" title="#{bundle.Common_Status_Warning}">
		</h:graphicImage>
	</TD>
	<TD valign="top">	
		<h:outputFormat id="manageFabricMismatchNote" styleClass="dmc_outputText" value="#{bundle.ManageFabric_MismatchNote}">
									<f:param name="0"
										value="#{manageFabricBean.switches[0].displayName}"
										id="paramBay3DisplayName"></f:param>
									<f:param name="0"
										value="#{manageFabricBean.switches[1].displayName}"
										id="paramBay4DisplayName"></f:param>
									<f:param name="0"
										value="#{manageFabricBean.chassisDisplayName}"
										id="paramChassisDisplayName"></f:param>
								</h:outputFormat>
	</TD>
	</TR>
	</TBODY>
	</TABLE>
	
	<BR>
	
	<hx:commandExButton id="mismatchOK" value="#{bundle.Common_Modal_OK}" styleClass="dmc_commandExButton" style="width: 80px;">
		<hx:behavior id="mismatchOKBehavior" event="onclick" targetAction="configurationMismatchModal" behaviorAction="HIDE;STOP"/>
	</hx:commandExButton>
	
	</hx:panelDialog>	

	<%
	}
	%>
	

	<!-- ----------------------------------------------------------- CONFIGURATION MISMATCH MODAL ---------------------------------------------------------------------- -->
	<%
	// Having a single switch in bay 4 (and no switch in bay 3) is not supported. Warn the user
	// Note: this wont get in the way of the active mismatch modal because that one requires both switches for a mismatch
	if(mf.getSwitch(3) == null && mf.getSwitch(4) != null)
	{
	%>
		
	<hx:panelDialog initiallyShow="true" style="width: 400px" id="unsupportedConfigurationModal" styleClass="dmc_panelDialog" showTitleCloseButton="true" title="#{bundle.ManageFabric_UnsupportedConfigurationModalTitle}">
	
	
	<TABLE>
	<TBODY>
	<TR>
	<TD valign="top">
		<h:graphicImage id="graphicWarningImage2" value="/images/common/status/warning_16.gif" alt="#{bundle.Common_Status_Warning}" title="#{bundle.Common_Status_Warning}">
		</h:graphicImage>
	</TD>
	<TD valign="top">	
		<h:outputFormat id="unsupportedConfigurationModalNote" styleClass="dmc_outputText" value="#{bundle.ManageFabric_UnsupportedConfigurationModalNote}"></h:outputFormat>
	</TD>
	</TR>
	</TBODY>
	</TABLE>
	
	<BR>
	
	<hx:commandExButton id="unsupportedConfigurationModalOK" value="#{bundle.Common_Modal_OK}" styleClass="dmc_commandExButton" style="width: 80px;">
		<hx:behavior id="unsupportedConfigurationModalOKBehavior" event="onclick" targetAction="unsupportedConfigurationModal" behaviorAction="HIDE;STOP"/>
	</hx:commandExButton>
	
	</hx:panelDialog>	

	<%
	}
	%>
	
	<!-- ----------------------------------------------------------- ACTIVATE CONFIRMATION MODAL ---------------------------------------------------------------------- -->
	
	<hx:commandExButton id="activateConfirmationLauncher" style="display: none"></hx:commandExButton>
	
	<hx:panelDialog style="width: 400px" id="activateConfirmationModal" styleClass="dmc_panelDialog" showTitleCloseButton="true" for="activateButton" title="#{bundle.ManageFabric_ConfirmActivateModalTitle}">
	
	<%
	// Singular vs plural for the word switch
	if(mf.getSwitches().length > 1)
	{
	%>
	<h:outputFormat id="manageFabricActivateConfirmationPlural" escape="false" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfirmActivatePlural}">
						<f:param name="0" value="<SPAN id='selectedConfig'></SPAN>"
							id="paramSelectedConfig"></f:param>
						<f:param name="0"
							value="#{manageFabricBean.switches[0].displayName}"
							id="paramConfirmationBay3Display"></f:param>
						<f:param name="0"
							value="#{manageFabricBean.switches[1].displayName}"
							id="paramConfirmationBay4Display"></f:param>
					</h:outputFormat> 
	<%
	}
	else
	{
	%>
	<h:outputFormat id="manageFabricActivateConfirmationSingular" escape="false" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfirmActivateSingular}">
						<f:param name="0" value="<SPAN id='selectedConfig'></SPAN>"
							id="paramSelectedConfigSingle"></f:param>
						<f:param name="0"
							value="#{manageFabricBean.switches[0].displayName}"
							id="paramConfirmSingleSwitchDisplayName"></f:param>
					</h:outputFormat> 
	<%
	}
	%>
	
	<BR>
	<BR>
	
	<hx:commandExButton id="activateModalOK" type="submit" value="#{bundle.Common_Modal_OK}" action="#{pc_ManageFabric.activateConfiguration}" styleClass="dmc_commandExButton" style="width: 80px;">
		<hx:behavior id="manageFabricActivateConfirmationOKBehavior" event="onclick" targetAction="activateConfirmationModal" behaviorAction="HIDE;"/>
	</hx:commandExButton>
	
	<hx:commandExButton  id="manageFabricActivateConfirmationCancel" styleClass="dmc_commandExButton" style="width: 80px;" type="button" value="#{bundle.Common_Modal_Cancel}">
		<hx:behavior id="manageFabricActivateConfirmationCancelBehavior" event="onclick" targetAction="activateConfirmationModal" behaviorAction="HIDE;STOP"/>
	</hx:commandExButton>
	
	</hx:panelDialog>
	
	</h:form>
	
	
	<!-- ----------------------------------------------------------- BACKUP ALL MODAL ---------------------------------------------------------------------- -->
	<hx:panelDialog style="width: 400px" id="backupAllModal" styleClass="dmc_panelDialog" showTitleCloseButton="true" for="backupAllLauncher" title="#{bundle.ManageFabric_BackupAllModalTitle}">
	
	<LABEL for="backupAllSwitchMenu">
		<h:outputFormat  id="manageFabricBackupAllInstructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_BackupInstructions}"></h:outputFormat>
	</LABEL>
	
	<BR>
	<BR>
	
	<SELECT id="backupAllSwitchMenu" class="dmc_selectOneMenu" onchange="showBackupSwitchConfigurations()">
		<%
		MFSASSwitch[] switches = mf.getSwitches();
		
		for(int x = 0; x < switches.length; x++)
		{
		%>
			<OPTION value="<%= switches[x].getID() %>"> <%= switches[x].getDisplayName() %></OPTION>
		<%
		}
		%>	
	</SELECT>
	
	<BR>
	<BR>
	
	<h:outputFormat id="manageFabricBackupAllWillBeSaved" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationsWillBeSaved}:"></h:outputFormat>
	
	<%
	for(int x = 0; x < switches.length; x++)
	{
	
	// Show only the first one to start
	String display = "none";
	if(x == 0)
	{
		// We want this to show up
		display="block";
	}
	%>
	
	<DIV id="<%= switches[x].getID() %>" style="display: <%=display%>;" >
	
	<TABLE class="nbceTable" cellspacing="0" summary="<%=nls.getString(GWMNBCEL.Table_Summary_SAS_Backup_All_Configurations)%>">
		<THEAD>
			<TR>
				<TH class="nbceTableHeaderCell" width="35%">
					<SPAN class="dmc_outputText"><%= nls.getString(GWMNBCEL.ManageFabric_ConfigurationStore)%></SPAN>
				</TH>
				<TH class="nbceTableHeaderCell">
					<SPAN class="dmc_outputText"><%= nls.getString(GWMNBCEL.ManageFabric_Nickname)%></SPAN>
				</TH>
			</TR>
		</THEAD>
		<TBODY>
			
			<%
			MFZoneConfiguration[] configs = switches[x].getNonCannedZoneDescriptors();
			
			for(int y = 0; y < configs.length; y ++)
			{
			%>	
			<TR>
				<TD class="nbceTableRow">
					<SPAN class="dmc_outputText"><%= configs[y].getIndex() %></SPAN>
				</TD>
				<TD class="nbceTableRow">
					<SPAN class="dmc_outputText"><%= configs[y].getName() %></SPAN>
				</TD>
			</TR>
			<%
			}
			%>
		
		</TBODY>
	</TABLE>
	
	</DIV>
	
	<%
	}
	%>	
	
	<BR>
	
	<hx:commandExButton id="manageFabricBackupAllOK" styleClass="dmc_commandExButton" style="width: 80px;" type="button" value="#{bundle.Common_Modal_OK}" onclick="backupAll()">
		<hx:behavior id="manageFabricBackupAllOKBehavior" event="onclick" targetAction="backupAllModal" behaviorAction="HIDE;STOP"/>
	</hx:commandExButton>
	
	<hx:commandExButton id="manageFabricBackupAllCancel" styleClass="dmc_commandExButton" style="width: 80px;" type="button" value="#{bundle.Common_Modal_Cancel}">
		<hx:behavior id="manageFabricBackupAllCancelBehavior" event="onclick" targetAction="backupAllModal" behaviorAction="HIDE;STOP"/>
	</hx:commandExButton>
	
	</hx:panelDialog>
	
	<%
		// End of else block on no switches condition
	}
	%>
	
	<jsp:include page="/page/common/WaitFooter.jsp"/>
	
	<hx:behavior target="#body" event="onload" behaviorAction="nothing"  onActionFunction="setTimeout('disableActionButtons()', 500);document.getElementById('lastRefreshTimestamp').innerHTML = getLocalizedCurrentTime();parent.document.getElementById('ISCWork').focus(); " />
	</hx:scriptCollector>
	
	</BODY>
</f:view>
</HTML>
<%
	}
%>
