<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/zone/ManageFabric.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.sysmgmt.scm.nbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>


<%@ include file="/page/common/ServletHeader.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" 
import="javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.fabric.*, java.util.*,  pagecode.page.fabric.*"%>


<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href="<%=basePath%>page/fabric/ManageFabricEditor.css" rel="stylesheet" type="text/css">
<LINK href="<%=basePath%>page/common/dmcnbcestyle.css" rel="stylesheet" type="text/css">

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<SCRIPT src="<%=basePath%>page/fabric/ManageFabricEditor.js"></SCRIPT>
	
<TITLE>ManageFabricEditor.jsp</TITLE>


<%
String bladeImage = basePath + "images/common/components/blade_32.gif";
String driveImage = basePath + "images/common/components/disk_drive_32.gif";
String externalPortImage = basePath + "images/common/components/external_port_16.gif";
String bladeImageDisabled = basePath + "images/common/components/blade_32_disabled.gif";
String driveImageDisabled = basePath + "images/common/components/disk_drive_32_disabled.gif";
String externalPortImageDisabled = basePath + "images/common/components/external_port_16_disabled.gif";

String emptyBlock = basePath + "images/fabric/no_number.gif";
%>

<SCRIPT>
var editorServletPath = '<%= basePath %>faces/ManageFabricEditorServlet';
</SCRIPT>

</HEAD>
<f:view>
	<BODY>
	
	<%	
	ResourceBundle bundle = ResourceBundle.getBundle("com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL");
	
	FacesContext fc = FacesContext.getCurrentInstance();
						
	ManageFabricBean mfb = (ManageFabricBean) fc.getApplication().createValueBinding("#{manageFabricBean}").getValue(fc);
	ManageFabric mf = (ManageFabric) fc.getApplication().createValueBinding("#{pc_ManageFabric}").getValue(fc);
	%>
	
	<%
	// First check if we have a valid SCM configuration
	if(! mfb.isValidSCMConfig())
	{
	%>
	<TABLE width="500px" height="200px;">
		<TBODY>
			<TR>
				<TD valign="top">
					<IMG src="<%=basePath%>images/common/status/warning_16.gif" alt="#{bundle.Common_Status_Warning}">
				</TD>
				<TD valign="top">
					<h:outputFormat escape="false" id="unsupportedConfiugrationWarningMessage" styleClass="dmc_outputText" value="#{bundle.ManageFabric_EditUnsupportedConfigurationMessage}"></h:outputFormat>
				</TD>
			</TR>
		</TBODY>
	</TABLE>
	
	<SCRIPT>
		// Set the flag, so the modify page can only enable the Cancel button
		unsupportedConfigFlag = true;
	</SCRIPT>
	
	<%
	}
	// Next check if the conifg is compatible with this chassis type
	else if(! mfb.isValidForChassisType())
	{
	%>
	<TABLE width="500px" height="200px;">
		<TBODY>
			<TR>
				<TD valign="top">
					<IMG src="<%=basePath%>images/common/status/warning_16.gif" alt="#{bundle.Common_Status_Warning}">
				</TD>
				<TD valign="top">
					<h:outputFormat escape="false" id="unsupportedConfiugrationForChassisWarningMessage" styleClass="dmc_outputText" value="#{bundle.ManageFabric_EditUnsupportedConfigurationForChassisMessage}"></h:outputFormat>
				</TD>
			</TR>
		</TBODY>
	</TABLE>
	
	<SCRIPT>
		// Set the flag, so the modify page can only enable the Cancel button
		unsupportedConfigFlag = true;
	</SCRIPT>
	
	<%
	}
	else
	{
		// Here we have a valid configuration, and we continue
	%>
	
	<SCRIPT>
	
	<%
	MFSASSwitch[] switches = mf.getSwitches();
	
	// To map switch objects to bay numbers, so we can check with bay numbers are present
	HashMap switchMap = new HashMap();
	
	// Holds mappings between blade port IDs and blade numbers
	HashMap bladeIndexMap = new HashMap();
	
	int numBlades = mf.getBladeCount();
	
	// bladeIDs[x] holds an Array List of blade port IDs for the switches
	ArrayList bladeIDs = new ArrayList(numBlades);
	for(int x = 0; x < numBlades; x++)
		bladeIDs.add(new ArrayList());
	
	// Getting a list of blade ports
	for(int x = 0; x < switches.length; x++)
	{
		switchMap.put("" + switches[x].getBayNumber(), switches[x]);
	
		MFSASPort[] ports = switches[x].getBladeSlots();
		
		for(int y = 0; y < ports.length; y++)
		{
			String portID = ports[y].getPortID();
			
			// Put the ID and index in the map
			bladeIndexMap.put(portID, "" + ports[y].getPortIndex());
		
			// Get the array list of port id for this blade index
			ArrayList indexIDs = (ArrayList) bladeIDs.get(y);
			
			indexIDs.add(portID);
	
			bladeIDs.set(y, indexIDs);
		}
	}
	%>
	
	bladeIDs = [<%
	for(int x = 0; x < bladeIDs.size(); x++)
	{
		// Get the array list of port id for this blade index
		ArrayList indexIDs = (ArrayList) bladeIDs.get(x);
	%>
		[
	<%
			
		for(int y = 0; y < indexIDs.size(); y++)
		{
			String item = "new Array()";
			
			if(y != indexIDs.size() - 1)
			{
				item += ", ";
			}
	%>
			<%= item %>
	<%
		}
		
		String endBracket = "]";
		
		if(x != bladeIDs.size() - 1)
		{
			endBracket += ", ";
		}
	%>
		<%= endBracket %>
	<%	
	}
	%>
	]
	
	bladePortNames = [
	<%
	for(int x = 0; x < bladeIDs.size(); x++)
	{
		// Get the array list of port id for this blade index
		ArrayList indexIDs = (ArrayList) bladeIDs.get(x);
	%>
		[
	<%
			
		for(int y = 0; y < indexIDs.size(); y++)
		{
			String item = "'" + (String) indexIDs.get(y) + "'";
			
			if(y != indexIDs.size() - 1)
			{
				item += ", ";
			}
	%>
			<%= item %>
	<%
		}
		
		String endBracket = "]";
		
		if(x != bladeIDs.size() - 1)
		{
			endBracket += ", ";
		}
	%>
		<%= endBracket %>
	<%	
	}
	%>
	]
	
</SCRIPT>
	
	<!-- ------------------------------------- BLADES ----------------------------------------------------------- -->
	<TABLE align="center"><TR><TD>
	
	<FIELDSET style="width: 190px;">
	
	<LEGEND>
		<h:outputFormat styleClass="dmc_outputTextTitle2" value="#{bundle.ManageFabric_BladeBays}" id="bladeBays_outputFormat"></h:outputFormat>
	</LEGEND>
	
	<TABLE align="center">
		<TBODY>
			<TR>
				<%
				for(int x = 0; x < numBlades; x++)
				{
				
					// Get the blade IDs
					ArrayList indexIDs = (ArrayList) bladeIDs.get(x);
					
					String imagePath = null;
					
					// Determine if there is a blade present
					if(switches[0].getBladeSlots()[x].isAttached())
					{
						imagePath = bladeImage;
					}
					else
					{
						imagePath = bladeImageDisabled;
					}
					
				%>				
				<TD class="unmappedStorage" align="center" id="bladeCell<%=x%>" onClick="changeSelectedBlades(<%= x %>)" onMouseOver="selectMapped(<%= x %>)" onMouseOut="deselectMapped(<%= x %>)">
					<TABLE>
						<TBODY>
							<TR>
								<TD align="center">
									<IMG id="bladeImage<%=x%>" border="0" src="<%= imagePath %>" 
										title="<%= bundle.getString("ManageFabric_BladeBay") + " " + (x + 1)%>" 
										alt="<%= bundle.getString("ManageFabric_BladeBay") + " " + (x + 1)%>">
								</TD>
							</TR>
							<TR>
								<TD align="center">
									<IMG style="border: 0; margin: 0; padding: 0" id="bladeLabel<%=x%>" src="<%=basePath%>images/common/numberImages/numberImage<%=x + 1%>.gif" 
										title="<%= bundle.getString("ManageFabric_BladeBay") + " " + (x + 1) %>" 
										alt="<%= bundle.getString("ManageFabric_BladeBay") + " " + (x + 1) %>">
								</TD>
							</TR>							
						</TBODY>
					</TABLE>
				</TD>
				<%
				}
				%>
			</TR>
		</TBODY>
	</TABLE>
	
	</FIELDSET>
	
	</TD></TR></TABLE>
	
	<BR>
		
	<%
	MFDSSExpander[] expanders = mfb.getDSSExpanders();

	// Hash the expanders by the location so then we can check if expanders exist
	HashMap expandersMap = new HashMap();
	for(int x = 0; x < expanders.length; x++)
	{
		expandersMap.put(expanders[x].getLocation() + "", expanders[x]);
	}
	
	MFDSSExpander expander1 = (MFDSSExpander) expandersMap.get("1");
	MFDSSExpander expander2 = (MFDSSExpander) expandersMap.get("2");		
	%>
	
	<!--  ----------------------------- Table for formatting port groups -----------------------------  -->
	<TABLE align="center" border="0" cellpadding="0px" cellspacing="10px">
	<TBODY>
	
	<TR>
	
	<%
	if(expander1 != null)
	{
		MFSASPort[] ports = expander1.getDiskPorts();
		
		ArrayList selectAllIDList = new ArrayList();
		
	%>
	<TD valign=top align="center" width="190px">
	
	<!--  ----------------------------------------------  STORAGE MODULE 1  ---------------------------------------------- -->	
	<FIELDSET>
	
	<LEGEND>
		<h:outputFormat styleClass="dmc_outputTextTitle2"
					value="#{bundle.ManageFabric_StorageModule1}"
					id="storageModule1_outputFormat"></h:outputFormat>
	</LEGEND>
	
	<TABLE cellspacing="3">
		<TBODY>
			<%
			// Rows, of three disks per row
			for(int x = 0; x < ports.length / 3; x ++)
			{
			%>
			<TR>
				<%
				for(int y = 0; y < 3; y++)
				{
					int portIndex = 3 * x + y;
					
					String portID = ports[portIndex].getPortID();
					
					String imagePath = null;
					
					if(ports[portIndex].isAttached())
					{
						imagePath = driveImage;
					}
					else
					{
						imagePath = driveImageDisabled;
					}
					
					
					selectAllIDList.add("'" + portID + "'");
				%>
				<TD id="<%= portID %>" class="unmappedStorage">
					<!-- The table for one disk -->
					<TABLE>
						<TBODY>
							
							<!-- Disk label and icon-->
							<TR>
								<TD align="center">
									<SPAN class="dmc_outputText"><%= portIndex + 1 %></SPAN> 
									<IMG onClick="changeMapping('<%= portID %>')" border="0" src="<%= imagePath %>"
										title="<%= bundle.getString("ManageFabric_StorageModuleAlt1") + " " + bundle.getString("ManageFabric_Disk") + " " + (portIndex+1) %>" 
										alt="<%= bundle.getString("ManageFabric_StorageModuleAlt1") + " " + bundle.getString("ManageFabric_Disk") + " " + (portIndex+1) %>" >
									</TD>							
							</TR>
							
							<!--  Disk mappings -->
							<TR>
								<TD  align="center">
									<TABLE cellspacing="0" cellpadding="0" border="1">
										<TBODY>
											<!-- First row of mappings -->
											<TR>

												<TD>
													<IMG id="<%= portID %>0" onClick="toggleMapping(0, '<%= portID %>')" border="0" src="<%= emptyBlock %>"
														title="<%= bundle.getString("ManageFabric_BladeBay") + " 1" %>" 
														alt="<%= bundle.getString("ManageFabric_BladeBay") + " 1" %>" style="display: block">
												</TD>

												<TD>
													<IMG id="<%= portID %>1" onClick="toggleMapping(1, '<%= portID %>')" border="0" src="<%= emptyBlock %>"
														title="<%= bundle.getString("ManageFabric_BladeBay") + " 2" %>" 
														alt="<%= bundle.getString("ManageFabric_BladeBay") + " 2" %>" style="display: block">
												</TD>

												<TD>
													<IMG id="<%= portID %>2" onClick="toggleMapping(2, '<%= portID %>')" border="0" src="<%= emptyBlock %>"
														title="<%= bundle.getString("ManageFabric_BladeBay") + " 3" %>" 
														alt="<%= bundle.getString("ManageFabric_BladeBay") + " 3" %>" style="display: block">
												</TD>

											</TR>
											
											<!-- Second row of mappings -->
											<TR>

												<TD>
													<IMG id="<%= portID %>3" onClick="toggleMapping(3, '<%= portID %>')" border="0" src="<%= emptyBlock %>"
														title="<%= bundle.getString("ManageFabric_BladeBay") + " 4" %>" 														
														alt="<%= bundle.getString("ManageFabric_BladeBay") + " 4" %>" style="display: block">
												</TD>

												<TD>
													<IMG id="<%= portID %>4" onClick="toggleMapping(4, '<%= portID %>')" border="0" src="<%= emptyBlock %>"
														title="<%= bundle.getString("ManageFabric_BladeBay") + " 5" %>" 														
														alt="<%= bundle.getString("ManageFabric_BladeBay") + " 5" %>" style="display: block">
												</TD>

												<TD>
													<IMG id="<%= portID %>5" onClick="toggleMapping(5, '<%= portID %>')" border="0" src="<%= emptyBlock %>"
														title="<%= bundle.getString("ManageFabric_BladeBay") + " 6" %>" 														
														alt="<%= bundle.getString("ManageFabric_BladeBay") + " 6" %>" style="display: block">
												</TD>

											</TR>
										</TBODY>
									</TABLE>
								</TD>
							</TR>
						</TBODY>
					</TABLE>
				</TD>
				<%
				}
				%>
			</TR>
			<%
			}
			%>
		</TBODY>
	</TABLE>
	
	</FIELDSET>
	
	<%
	}
	%>
	
	
	<!-- ----------------------------------------------  EXTERNAL PORTS -------------------------------- -->
	<%
	if(switchMap.get("3") != null || switchMap.get("4") != null)
	{
		// Show ports label if we have at least one switch 
	%>
		<TD valign=top align="center" width="190px">
			<h:outputFormat styleClass="dmc_outputTextTitle2"
					value="#{bundle.ManageFabric_ExternalPorts}"
					id="externalPorts_outputFormat"></h:outputFormat>
			<BR>		

	<!--  ----------------------------------------------  I/O BAY 3 EXTERNAL PORTS  ---------------------------------------------- -->	
	<%
	if(switchMap.get("3") != null)
	{
		MFSASSwitch currentSwitch = (MFSASSwitch) switchMap.get("3");
		
		MFSASPort[] ports = currentSwitch.getExternalPorts();
		
		ArrayList selectAllIDList = new ArrayList();
		
		// Setting up the list for the select all button
		for(int portIndex = 0; portIndex < ports.length; portIndex++)
		{
			selectAllIDList.add("'" + ports[portIndex].getPortID() + "'");
		}
	%>
	
	<FIELDSET>
	
	<LEGEND>
		<h:outputFormat styleClass="dmc_outputTextTitle2" value="#{bundle.ManageFabric_IOBay3}" id="ioBay3_outputFormat"></h:outputFormat>
		<INPUT type="button" class="dmc_commandExButton" onClick="selectAll(<%= selectAllIDList.toString() %>)" value="<%= bundle.getString("ManageFabric_SelectAll") %>">
	</LEGEND>
	
	<TABLE cellspacing="3" border="0">
		<TBODY>
			<%
			// Table of external ports
			for(int portIndex = 0; portIndex < ports.length; portIndex++)
			{
				String portID = ports[portIndex].getPortID();
				
				String imagePath = null;
					
				if(ports[portIndex].isAttached())
				{
					imagePath = externalPortImage;
				}
				else
				{
					imagePath = externalPortImageDisabled;
				}
			%>
			<TR>
				<TD id="<%= portID %>" class="unmappedStorage">
					<!-- The table for one port -->
					<TABLE>
						<TBODY>
							<TR>
							
								<!-- External Port label -->
								<TD align="center">
									<SPAN class="dmc_outputText"><%= portIndex + 1 %></SPAN>
								</TD>
								<!-- External Port icon -->
									
								<TD align="center">
									<IMG onClick="changeMapping('<%= portID %>')" border="0" src="<%= imagePath %>" style="vertical-align: bottom;"
										title="<%= bundle.getString("ManageFabric_IOBay3") + " " + bundle.getString("ManageFabric_ExternalPort") + " " + (portIndex + 1)%>" 														
										alt="<%= bundle.getString("ManageFabric_IOBay3") + " " + bundle.getString("ManageFabric_ExternalPort") + " " + (portIndex + 1)%>" >
								</TD>
							
								<!--  External Port mappings -->
								<TD  align="center">
									<TABLE cellspacing="0" cellpadding="0" border="1">
										<TBODY>
											<TR>
												<%
												for(int x = 0; x < numBlades; x++)
												{
												%>
												<TD>
													<IMG id="<%= portID %><%= x %>" onClick="toggleMapping(<%= x %>, '<%= portID %>')" border="0" src="<%= emptyBlock %>"
														title="<%= bundle.getString("ManageFabric_BladeBay") + (x + 1) %>" 														
														alt="<%= bundle.getString("ManageFabric_BladeBay") + (x + 1) %>" style="display: block">
												</TD>
												<%
												}
												%>
											</TR>
										</TBODY>
									</TABLE>
								</TD>
							</TR>
						</TBODY>
					</TABLE>
				</TD>
				<%
				}
				%>
			</TR>
		</TBODY>
	</TABLE>
	
	</FIELDSET>
	
	<BR>
	<%
	}
	%>
	
	
	<!--  ----------------------------------------------  I/O BAY 4 EXTERNAL PORTS  ---------------------------------------------- -->	
	
	<%
	if(switchMap.get("4") != null)
	{
		MFSASSwitch currentSwitch = (MFSASSwitch) switchMap.get("4");
		
		MFSASPort[] ports = currentSwitch.getExternalPorts();
		
		ArrayList selectAllIDList = new ArrayList();
		
		// Setting up the list for the select all button
		for(int portIndex = 0; portIndex < ports.length; portIndex++)
		{
			selectAllIDList.add("'" + ports[portIndex].getPortID() + "'");
		}
	%>
	
	<FIELDSET>
	
	<LEGEND>
		<h:outputFormat styleClass="dmc_outputTextTitle2" value="#{bundle.ManageFabric_IOBay4}" id="ioBay4_outputFormat"></h:outputFormat>
		<INPUT type="button" class="dmc_commandExButton" onClick="selectAll(<%= selectAllIDList.toString() %>)" value="<%= bundle.getString("ManageFabric_SelectAll") %>">
	</LEGEND>
	
	<TABLE cellspacing="3" border="0">
		<TBODY>
			<%
			// Table of external ports
			for(int portIndex = 0; portIndex < ports.length; portIndex++)
			{
				String portID = ports[portIndex].getPortID();
				
				String imagePath = null;
					
				if(ports[portIndex].isAttached())
				{
					imagePath = externalPortImage;
				}
				else
				{
					imagePath = externalPortImageDisabled;
				}
			%>
			<TR>
				<TD id="<%= portID %>" class="unmappedStorage">
					<!-- The table for one port -->
					<TABLE>
						<TBODY>
							<TR>
							
								<!-- External Port label -->
								<TD align="center">
									<SPAN class="dmc_outputText"><%= portIndex + 1 %></SPAN>
								</TD>
								<!-- External Port icon -->
									
								<TD align="center">
									<IMG onClick="changeMapping('<%= portID %>')" border="0" src="<%= imagePath %>" style="vertical-align: bottom;"
										title="<%= bundle.getString("ManageFabric_IOBay4") + " " + bundle.getString("ManageFabric_ExternalPort") + " " + (portIndex + 1)%>" 														
										alt="<%= bundle.getString("ManageFabric_IOBay4") + " " + bundle.getString("ManageFabric_ExternalPort") + " " + (portIndex + 1)%>" >
								</TD>
							
								<!--  External Port mappings -->
								<TD  align="center">
									<TABLE cellspacing="0" cellpadding="0" border="1">
										<TBODY>
											<TR>
												<%
												for(int x = 0; x < numBlades; x++)
												{
												%>
												<TD>
													<IMG id="<%= portID %><%= x %>" onClick="toggleMapping(<%= x %>, '<%= portID %>')" border="0" src="<%= emptyBlock %>"
														title="<%= bundle.getString("ManageFabric_BladeBay") + (x + 1) %>" 														
														alt="<%= bundle.getString("ManageFabric_BladeBay") + (x + 1) %>" style="display: block">
												</TD>
												<%
												}
												%>
											</TR>
										</TBODY>
									</TABLE>
								</TD>
							</TR>
						</TBODY>
					</TABLE>
				</TD>
				<%
				}
				%>
			</TR>
		</TBODY>
	</TABLE>
	
	</FIELDSET>
	
	<%
	}
	%>
	
	<%
	}
	%>
	
	<%
	if(expander2 != null)
	{
		MFSASPort[] ports = expander2.getDiskPorts();
		
		ArrayList selectAllIDList = new ArrayList();
		
	%>
	<TD valign=top align="center" width="190px">
	
	<!-- ---------------------------------------------- STORAGE MODULE 2 ----------------------------------------- -->
	
	<FIELDSET>
	
	<LEGEND>
		<h:outputFormat styleClass="dmc_outputTextTitle2"
					value="#{bundle.ManageFabric_StorageModule2}"
					id="storageModule2_outputFormat"></h:outputFormat>
	</LEGEND>
	
	<TABLE cellspacing="3">
		<TBODY>
			<%
			// Rows, of three disks per row
			for(int x = 0; x < ports.length / 3; x ++)
			{
			%>
			<TR>
				<%
				for(int y = 0; y < 3; y++)
				{
					int portIndex = 3 * x + y;
					
					String portID = ports[portIndex].getPortID();
					
					String imagePath = null;
					
					if(ports[portIndex].isAttached())
					{
						imagePath = driveImage;
					}
					else
					{
						imagePath = driveImageDisabled;
					}
					
					selectAllIDList.add("'" + portID + "'");
				%>
				<TD id="<%= portID %>" class="unmappedStorage">
					<!-- The table for one disk -->
					<TABLE>
						<TBODY>
							
							<!-- Disk label and icon-->
							<TR>
								<TD align="center">
									<SPAN class="dmc_outputText"><%= portIndex + 1 %></SPAN> 
									<IMG onClick="changeMapping('<%= portID %>')" border="0" src="<%= imagePath %>"
										title="<%= bundle.getString("ManageFabric_StorageModuleAlt2") + " " + bundle.getString("ManageFabric_Disk") + " " + (portIndex+1) %>" 
										alt="<%= bundle.getString("ManageFabric_StorageModuleAlt2") + " " + bundle.getString("ManageFabric_Disk") + " " + (portIndex+1) %>" >
								</TD>							
							</TR>
							
							<!--  Disk mappings -->
							<TR>
								<TD  align="center">
									<TABLE cellspacing="0" cellpadding="0" border="1">
										<TBODY>
											<!-- First row of mappings -->
											<TR>

												<TD>
													<IMG id="<%= portID %>0" onClick="toggleMapping(0, '<%= portID %>')" border="0" src="<%= emptyBlock %>"
														title="<%= bundle.getString("ManageFabric_BladeBay") + " 1" %>" 
														alt="<%= bundle.getString("ManageFabric_BladeBay") + " 1" %>" style="display: block">
												</TD>

												<TD>
													<IMG id="<%= portID %>1" onClick="toggleMapping(1, '<%= portID %>')" border="0" src="<%= emptyBlock %>"
														title="<%= bundle.getString("ManageFabric_BladeBay") + " 2" %>" 
														alt="<%= bundle.getString("ManageFabric_BladeBay") + " 2" %>" style="display: block">
												</TD>

												<TD>
													<IMG id="<%= portID %>2" onClick="toggleMapping(2, '<%= portID %>')" border="0" src="<%= emptyBlock %>"
														title="<%= bundle.getString("ManageFabric_BladeBay") + " 3" %>" 
														alt="<%= bundle.getString("ManageFabric_BladeBay") + " 3" %>" style="display: block">
												</TD>

											</TR>
											
											<!-- Second row of mappings -->
											<TR>

												<TD>
													<IMG id="<%= portID %>3" onClick="toggleMapping(3, '<%= portID %>')" border="0" src="<%= emptyBlock %>"
														title="<%= bundle.getString("ManageFabric_BladeBay") + " 4" %>" 														
														alt="<%= bundle.getString("ManageFabric_BladeBay") + " 4" %>" style="display: block">
												</TD>

												<TD>
													<IMG id="<%= portID %>4" onClick="toggleMapping(4, '<%= portID %>')" border="0" src="<%= emptyBlock %>"
														title="<%= bundle.getString("ManageFabric_BladeBay") + " 5" %>" 														
														alt="<%= bundle.getString("ManageFabric_BladeBay") + " 5" %>" style="display: block">
												</TD>

												<TD>
													<IMG id="<%= portID %>5" onClick="toggleMapping(5, '<%= portID %>')" border="0" src="<%= emptyBlock %>"
														title="<%= bundle.getString("ManageFabric_BladeBay") + " 6" %>" 														
														alt="<%= bundle.getString("ManageFabric_BladeBay") + " 6" %>" style="display: block">
												</TD>

											</TR>
										</TBODY>
									</TABLE>
								</TD>
							</TR>
						</TBODY>
					</TABLE>
				</TD>
				<%
				}
				%>
			</TR>
			<%
			}
			%>
		</TBODY>
	</TABLE>
	
	</FIELDSET>
	
	<%
	}
	%>						
	
	</TD>
	</TR>
	</TBODY>
	</TABLE>
	
	
	<!-- Setting the initial mappings -->
	<SCRIPT>
	<%
	Map mappings = mfb.getPortMappings();
	Object[] keys = mappings.keySet().toArray();
	
	for(int x = 0; x < keys.length; x++)
	{
		// Make sure to proceed only for blade port IDs
		if(bladeIndexMap.get(keys[x]) == null)
			continue;
				
		String[] mappedPorts = (String[]) mappings.get(keys[x]);
		 
		for(int y = 0; y < mappedPorts.length; y++)
		{
		%>
			map(<%= bladeIndexMap.get(keys[x]) %>, '<%= mappedPorts[y] %>');
		<%
		}
	}
	%>
	</SCRIPT>
	
	
	<%
		// End the valid configuration else statement
	}
	%>
	
	</BODY>
</f:view>
</HTML>
