<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/fabric/ManageFabricModifyPage.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>
<%@ include file="/page/common/Header.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>



<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="javax.faces.model.SelectItem, pagecode.page.fabric.*, javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.fabric.*, java.util.ResourceBundle"%>


<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">


<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/dmcnbcestyle.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/nbceMenu.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/nbceTable.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/stylesheet.css") %>' rel="stylesheet" type="text/css">

<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/fabric/ManageFabricModifyPage.js") %>'></SCRIPT>
<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/common.js") %>'></SCRIPT>

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />


<TITLE>ManageFabricModifyPage.jsp</TITLE>

<%
FacesContext fc = FacesContext.getCurrentInstance();
ManageFabric mf = (ManageFabric) fc.getApplication().createValueBinding("#{pc_ManageFabric}").getValue(fc);
ManageFabricBean mfb = mf.getManageFabricBean();

// Get the bundle
ResourceBundle bundle = ResourceBundle.getBundle("com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL");
%>

<SCRIPT>
<% 
// If there are no available switches, dont try to get the active index
if(mf.getSwitches().length != 0)
{
%>
var activeIndex = '<%= mf.getWorkingSwitch().getActiveConfigurationIndex() %>';
<%
}
%>
var backupServletPath = '<%=renderResponse.encodeURL(renderRequest.getContextPath()+ "faces/ManageFabricBackupConfigurationServlet")%>';
var configNickname = '<%= mf.getManageFabricBean().getWorkingConfiguration().getName() %>';
var configDescription = '<%= mf.getManageFabricBean().getWorkingConfiguration().getDescription() %>';
</SCRIPT>

</HEAD>
<f:view>
	<BODY>
	
	<hx:scriptCollector id="mf_modify_page_script_collector">
	
	<jsp:include page="/page/common/WaitHeader.jsp"/>
	
	<BR>
	
	<h:outputFormat id="mf_modify_page_bcs_modify_instructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_BCSModifyInstructions}" rendered="#{manageFabricBean.isBCSChassis}"></h:outputFormat>
	<h:outputFormat id="mf_modify_page_non_bcs_modify_instructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_NonBCSModifyInstructions}" rendered="#{!manageFabricBean.isBCSChassis}"></h:outputFormat>
	<HR>
	
	<jsp:include page="/page/common/facesMessages.jsp"/>
	
	<!-- ------------------------------------------ NO SWITCHES ---------------------------------------------- -->
	<% 
	// If there are no available switches in the selected Chassis
	if(mf.getSwitches().length == 0)
	{
	%>

		<h:outputFormat id="manageFabricEditNoSwitchesAvailable" styleClass="dmc_outputText" value="#{bundle.ManageFabric_EditNoSwitchesAvailable}"></h:outputFormat>
		
		<BR>
		<BR>
		
		<h:outputLink id="mf_modify_page_mainpage_link" value="/faces/page/fabric/ManageFabric.jsp" >
			<h:outputFormat id="backLink" styleClass="dmc_outputText"  value="#{bundle.ManageFabric_Title}"></h:outputFormat>
		</h:outputLink>
	<%
	}
	else
	{
	%>
	
	<TABLE>
		<TBODY>
			<TR>
				<TD valign="top">
					<h:graphicImage id="mf_modify_page_working_config_img" value="/images/fabric/working_configuration.gif" alt="">
					</h:graphicImage>
				</TD>
				
				<TD valign="top">
					<h:outputFormat id="mf_modify_page_working_config_title2" styleClass="dmc_outputTextTitle2" value="#{bundle.ManageFabric_WorkingConfiguration}"></h:outputFormat>
					<BR>
					<BR>
					<h:outputFormat id="mf_modify_page_working_config_name" styleClass="dmc_outputText" value="#{manageFabricBean.workingConfiguration.name}"></h:outputFormat>
					
					<BR>
					<BR>
					
					<h:outputFormat id="mf_modify_page_mf_desc" styleClass="dmc_outputTextB" value="#{bundle.ManageFabric_Description}:"></h:outputFormat> 
					<h:outputFormat id="mf_modify_page_working_config_desc" styleClass="dmc_outputText" value="#{manageFabricBean.workingConfiguration.description}"></h:outputFormat>
					
					<BR>
					
					<h:outputFormat id="mf_modify_page_mf_last_saved" styleClass="dmc_outputTextB" value="#{bundle.ManageFabric_LastSaved}:"></h:outputFormat> 
					
					<%
					if(mf.existsSwtich(3))
					{
					%>
					<h:outputFormat id="mf_modify_page_mf_iobay3" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay3}"></h:outputFormat> - 
					<SPAN class="dmc_outputText"><%= mf.getSwitch(3).getZoneDescriptor(mfb.getWorkingConfiguration().getIndex()).getLastSaveDate() %></SPAN>
					<%
					}
					%>
					
					<%
					// Show a coma if you have both
					if(mf.existsSwtich(3) && mf.existsSwtich(4))
					{
					%>
					, 
					<%
					}
					%>
					
					<%
					if(mf.existsSwtich(4))
					{
					%>
					<h:outputFormat id="mf_modify_page_mf_iobay4" styleClass="dmc_outputText" value="#{bundle.ManageFabric_IOBay4}"></h:outputFormat> - 
					<SPAN class="dmc_outputText"><%= mf.getSwitch(4).getZoneDescriptor(mfb.getWorkingConfiguration().getIndex()).getLastSaveDate() %></SPAN>
					<%
					}
					%> 
				</TD>
			</TR>
			<TR>
				<TD>
					&nbsp;
				</TD>
				<TD>
					<h:commandButton type="button" id="clearConfigurationButton" styleClass="dmc_commandExButton" onclick="clearConfig();" value="#{bundle.ManageFabric_ClearConfiguration}"></h:commandButton>
				</TD>
			</TR>
		</TBODY>
	</TABLE>
	
	
	<!-- ---------------------------------------------- LOADING DIV AND EDITOR FRAME --------------------------------------------- -->
	<DIV id="editorLoadingDiv" style='display: block'>
		<TABLE>
			<TBODY>
				<TR>
					<TD colspan="3" height="25%">&nbsp;</TD>
				</TR>
				<TR>
					<TD><IMG border="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath()+"/images/common/loading/busy.gif") %>' alt=''></TD>
					<TD>&nbsp;</TD>
					
					<TD align="left">
						<h:outputText id="mf_modify_page_wait_loading_msg" value="#{bundle.Common_Wait_Loading}">
						</h:outputText>
					</TD>
				</TR>
				<TR>
					<TD colspan="3" height="25%">&nbsp;</TD>
				</TR>
			</TBODY>
		</TABLE>
	</DIV>
	
	<CENTER>
	
	<IFRAME name="editorFrame" title="editor" id="editorFrame" width="100%" frameborder="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/faces/page/fabric/ManageFabricEditor.jsp")%>' onload="editorFrameLoaded(); resizeFrameHeight(this.id, this.name); resizeFrameWidth(this.id, this.name)" scrolling="no"></IFRAME>

	</CENTER>
	
	<!-- ------------------------------------ BOTTOM ACTION BUTTONS -------------------------------------------------- -->
	<h:form onsubmit="startCommonWait();" id="cancelForm">
	
	<hx:commandExButton id="saveButton" styleClass="dmc_commandExButton" style="width: 80px" value="#{bundle.ManageFabric_Save}" disabled="#{manageFabricBean.workingConfiguration.canned}"></hx:commandExButton>
	
	<hx:commandExButton id="saveAsButton" styleClass="dmc_commandExButton" value="#{bundle.ManageFabric_SaveAs}" style="width: 80px"></hx:commandExButton>

	<hx:commandExButton id="mainCancel" styleClass="dmc_commandExButton" style="width: 80px;" value="#{bundle.Common_Modal_Cancel}" action="#{pc_ManageFabric.cancel}" onclick="return confirmCancel()"></hx:commandExButton>
	
	</h:form>
	
	<SCRIPT>
		// Disable all buttons
		disableControlButtons();
	</SCRIPT>
	
	<!-- ----------------------------------------------------------- SAVE MODAL ---------------------------------------------------------------------- -->
	<h:form onsubmit="startCommonWait();" id="saveModalForm" style="margin: 0px; padding: 0px;">
		
	<hx:panelDialog style="width: 500px" onshow="initSaveModal();" id="saveModal" styleClass="dmc_panelDialog" showTitleCloseButton="true" for="saveButton" title="#{bundle.ManageFabric_SaveModalTitle}">
	
	<TABLE width="100%">
		<TBODY>
			<TR>
				<TD valign="top" style="padding-right: 15px;">
					<h:outputFormat id="mf_modify_page_mf_config_store" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}:"></h:outputFormat>
				</TD>
				<TD valign="top">
					<h:outputFormat id="mf_modify_page_working_config_index" styleClass="dmc_outputText" value="#{manageFabricBean.workingConfiguration.index}"></h:outputFormat>
				</TD>
			</TR>
			<TR>
				<TD valign="top" style="padding-right: 15px;">
					<%
					// Singular vs plural for the word switch
					if(mf.getSwitches().length > 1)
					{
					%>
					<h:outputFormat id="mf_modify_page_mf_switches" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Switches}:"></h:outputFormat> 
					<%
					}
					else
					{
					%>
					<h:outputFormat id="mf_modify_page_mf_switch" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Switch}:"></h:outputFormat> 
					<%
					}
					%>
				</TD>
				<TD valign="top">
					<h:outputFormat id="mf_modify_page_switches_display_name0" styleClass="dmc_outputText" value="#{manageFabricBean.switches[0].displayName}"></h:outputFormat>
					<%
					if(mf.getSwitches().length > 1)
					{
					%>
					<BR>
					<h:outputFormat id="mf_modify_page_switches_display_name1" styleClass="dmc_outputText" value="#{manageFabricBean.switches[1].displayName}"></h:outputFormat>
					<%
					}
					%>
				</TD>
			</TR>
			<TR>
				<TD colspan="2">
					<BR>
				
					<h:outputFormat id="mf_modify_page_mf_save_instructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SaveInstructions}"></h:outputFormat>
					<BR>
					<BR>
				</TD>	
						
			</TR>
			<TR>
				<TD colspan="2">
					<h:outputText id="mf_modify_page_mf_save_invalid_input_msg" styleClass="dmc_outputText" value="" ></h:outputText>
					<BR>
				</TD>
			</TR>
			<TR>
				<TD valign="top" style="padding-right: 15px;">
					<h:outputLabel id="saveModalConfigurationNickname_label" for="saveModalConfigurationNickname">
						<h:outputFormat id="mf_modify_page_nick_name_text" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname}: "></h:outputFormat>		
					</h:outputLabel>			
				</TD>
				<TD  valign="top">
					<h:inputText styleClass="dmc_outputText" id="saveModalConfigurationNickname" maxlength="24" value="#{manageFabricBean.workingConfiguration.name}"></h:inputText>
					<BR>
					<h:outputFormat id="mf_modify_page_mf_24_char_limit" styleClass="dmc_outputTextS" value="#{bundle.ManageFabric_24CharacterLimit}"></h:outputFormat>
				</TD>
			</TR>
			<TR>
				<TD valign="top" style="padding-right: 15px; padding-top: 10px;">
					<h:outputLabel id="saveModalConfigurationDescription_label" for="saveModalConfigurationDescription">
						<h:outputFormat id="mf_modify_page_config_desc_text" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Description}: "></h:outputFormat>					
					</h:outputLabel>
				</TD>
				<TD  valign="top" style="padding-top: 10px;">
					<h:inputTextarea onkeyup="limitInput(this, 255)" styleClass="dmc_outputText" id="saveModalConfigurationDescription" rows="3" cols="35" value="#{manageFabricBean.workingConfiguration.description}"></h:inputTextarea>
					<BR>
					<h:outputFormat id="mf_modify_page_mf_255_char_limit" styleClass="dmc_outputTextS" value="#{bundle.ManageFabric_255CharacterLimit}"></h:outputFormat>
				</TD>
			</TR>
		</TBODY>
	</TABLE>
	
	<BR>
	
	<hx:commandExButton id="saveModalOK" value="#{bundle.Common_Modal_OK}" styleClass="dmc_commandExButton" style="width: 80px;" onclick="return validateSaveInput();"></hx:commandExButton>
	
	<hx:commandExButton id="mf_modify_page_cancel_button" styleClass="dmc_commandExButton" style="width: 80px;" type="button" value="#{bundle.Common_Modal_Cancel}">
		<hx:behavior id="mf_modify_page_cancel_button_behavior" event="onclick" targetAction="saveModal" behaviorAction="HIDE;STOP"/>
	</hx:commandExButton>
	
	</hx:panelDialog>
	
	<!-- ----------------------------------------------------------- CONFIRM SAVE MODAL ---------------------------------------------------------------------- -->
	<hx:panelDialog style="width: 400px" id="confirmSaveModal" styleClass="dmc_panelDialog" showTitleCloseButton="true" for="saveModalOK" title="#{bundle.ManageFabric_ConfirmSaveModalTitle}">
	
	<%
	// Singular vs plural for the word switch
	if(mf.getSwitches().length > 1)
	{
	%>
	<h:outputFormat id="mf_modify_page_confirm_save_plural" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfirmSavePlural}">
		<f:param name="0" value="#{manageFabricBean.workingConfiguration.index}"></f:param>
		<f:param name="0" value="#{manageFabricBean.switches[0].displayName}"></f:param>
		<f:param name="0" value="#{manageFabricBean.switches[1].displayName}"></f:param>
	</h:outputFormat> 
	<%
	}
	else
	{
	%>
	<h:outputFormat id="mf_modify_page_confirm_save_singular" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfirmSaveSingular}">
		<f:param name="0" value="#{manageFabricBean.workingConfiguration.index}"></f:param>
		<f:param name="0" value="#{manageFabricBean.switches[0].displayName}"></f:param>
	</h:outputFormat> 
	<%
	}
	%>
	
	<BR>
	
	<%
	if(mfb.getWorkingConfiguration().getIndex() == mf.getWorkingSwitch().getActiveConfigurationIndex())
	{
	%>
	
	<BR>
	
	<TABLE>
	<TBODY>
	<TR>
	<TD valign="top">
		<IMG src='<%=renderResponse.encodeURL(renderRequest.getContextPath()+"/images/common/status/warning_16.gif") %>' alt="">
	</TD>
	<TD valign="top">
		<h:outputFormat id="workingEqualsActive" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SaveActiveNote}"></h:outputFormat>
	</TD>
	</TR>
	</TBODY>
	</TABLE>
	
	<BR>
	
	<hx:commandExButton onclick="alreadyConfirmed=true;" id="confirmSaveAndActivateModalOK" value="#{bundle.Common_Modal_OK}" action="#{pc_ManageFabric.saveAndActivateConfiguration}" styleClass="dmc_commandExButton" style="width: 80px;">
		<hx:behavior id="confirmSaveAndActivateModalOK_confirmSave_behavior" event="onclick" targetAction="confirmSaveModal;saveModal" behaviorAction="HIDE;HIDE"/>
	</hx:commandExButton>
	
	<% 
	}
	else
	{
	%>	
	
	<BR>
	
	<hx:commandExButton onclick="alreadyConfirmed=true;" id="confirmSaveModalOK" value="#{bundle.Common_Modal_OK}" action="#{pc_ManageFabric.saveConfiguration}" styleClass="dmc_commandExButton" style="width: 80px;">
		<hx:behavior id="confirmSaveModalOK_confirmSave_behavior" event="onclick" targetAction="confirmSaveModal;saveModal" behaviorAction="HIDE;HIDE"/>
	</hx:commandExButton>
	
	<%
	}
	%>
	
	
	<hx:commandExButton id="mf_page_cancel_button" styleClass="dmc_commandExButton" style="width: 80px;" type="button" value="#{bundle.Common_Modal_Cancel}">
		<hx:behavior id="mf_page_cancel_button_behavior" event="onclick" targetAction="confirmSaveModal" behaviorAction="HIDE;STOP"/>
	</hx:commandExButton>
	
	</hx:panelDialog>
	
	</h:form>
	
	<!-- ----------------------------------------------------------- SAVE AS MODAL ---------------------------------------------------------------------- -->
	<h:form onsubmit="startCommonWait();" id="saveAsModalForm" style="margin: 0px; padding: 0px;">
		
	<hx:panelDialog style="width: 500px" id="saveAsModal" onshow="initSaveAsModal();" styleClass="dmc_panelDialog" showTitleCloseButton="true" for="saveAsButton" title="#{bundle.ManageFabric_SaveAsModalTitle}">
	
	<TABLE width="100%">
		<TBODY>
			<TR>
				<TD valign="top" style="padding-right: 15px;">
					<LABEL for="saveAsModalForm:nonCannedConfigurationIndexMenu">
						<h:outputFormat id="mf_page_save_modal_config_store" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}:"></h:outputFormat>
					</LABEL>
				</TD>
				<TD valign="top">
					
					<SELECT name="saveAsModalForm:nonCannedConfigurationIndexMenu" id="saveAsModalForm:nonCannedConfigurationIndexMenu" class="dmc_selectOneMenu">
					<%
					SelectItem[] items = mf.getNonCannedIndexSelectItems();
					
					for(int x = 0; x < items.length; x++)
					{
					%>
					<OPTION value="<%= items[x].getValue() %>"><%= items[x].getLabel() %></OPTION>
					<%
					}
					%>
					</SELECT>
					<input id="saveAsModalForm:selectedIndex" type="hidden" 
					name="saveAsModalForm:selectedIndex" value=""/>
					
					<input id="saveAsModalForm:activeIndex" type="hidden" 
					name="saveAsModalForm:activeIndex" value="<%= mfb.getActiveConfigruationIndex() %>"/>
					
				</TD>
			</TR>
			<TR>
				<TD valign="top" style="padding-right: 15px;">
					<%
					// Singular vs plural for the word switch
					if(mf.getSwitches().length > 1)
					{
					%>
					<h:outputFormat id="mf_page_save_modal_switches" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Switches}:"></h:outputFormat> 
					<%
					}
					else
					{
					%>
					<h:outputFormat id="mf_page_save_modal_switch" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Switch}:"></h:outputFormat> 
					<%
					}
					%>
				</TD>
				<TD valign="top">
					<h:outputFormat id="mf_page_save_modal_display_name0" styleClass="dmc_outputText" value="#{manageFabricBean.switches[0].displayName}"></h:outputFormat>
					<%
					if(mf.getSwitches().length > 1)
					{
					%>
					<BR>
					<h:outputFormat id="mf_page_save_modal_display_name1" styleClass="dmc_outputText" value="#{manageFabricBean.switches[1].displayName}"></h:outputFormat>
					<%
					}
					%>
				</TD>
			</TR>
			<TR>
				<TD colspan="2">
					<BR>
				
					<h:outputFormat id="mf_page_save_modal_save_instructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SaveInstructions}"></h:outputFormat>
					
					<BR>
					<BR>
				</TD>			
			</TR>
			<TR>
				<TD colspan="2">
					<h:outputText id="mf_modify_page_mf_saveas_invalid_input_msg" styleClass="dmc_outputText" value="" ></h:outputText>
					<BR>
				</TD>
			</TR>
			<TR>
				<TD valign="top" style="padding-right: 15px;">
					<h:outputLabel id="saveAsModalConfigurationNickname_label" for="saveAsModalConfigurationNickname">
						<h:outputFormat id="mf_page_save_modal_nick_name" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname}: "></h:outputFormat>					
					</h:outputLabel>
				</TD>
				<TD  valign="top">
					<h:inputText styleClass="dmc_outputText" id="saveAsModalConfigurationNickname" maxlength="24" value="#{pc_ManageFabric.saveAsConfigurationNickname}"></h:inputText>
					<BR>
					<h:outputFormat id="mf_page_save_modal_24_char_limit" styleClass="dmc_outputTextS" value="#{bundle.ManageFabric_24CharacterLimit}"></h:outputFormat>
				</TD>
			</TR>
			<TR>
				<TD valign="top" style="padding-right: 15px; padding-top: 10px;">
					<h:outputLabel id="saveAsModalConfigurationDescription_label" for="saveAsModalConfigurationDescription">
						<h:outputFormat id="mf_page_save_modal_mf_desc" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Description}: "></h:outputFormat>					
					</h:outputLabel>
				</TD>
				<TD  valign="top" style="padding-top: 10px;">
					<h:inputTextarea onkeyup="limitInput(this, 255)" styleClass="dmc_outputText" id="saveAsModalConfigurationDescription" rows="3" cols="35" value="#{pc_ManageFabric.saveAsConfigurationDescription}"></h:inputTextarea>
					<BR>
					<h:outputFormat id="mf_page_save_modal_255_char_limit" styleClass="dmc_outputTextS" value="#{bundle.ManageFabric_255CharacterLimit}"></h:outputFormat>
				</TD>
			</TR>
		</TBODY>
	</TABLE>
	
	<BR>
	
	<hx:commandExButton id="saveAsModalOK" value="#{bundle.Common_Modal_OK}" styleClass="dmc_commandExButton" style="width: 80px;" onclick="return validateSaveAsInput();" action=""></hx:commandExButton>
	
	<hx:commandExButton id="mf_page_save_modal_cancel_button" styleClass="dmc_commandExButton" style="width: 80px;" type="button" value="#{bundle.Common_Modal_Cancel}">
		<hx:behavior id="mf_page_save_modal_cancel_button_behavior" event="onclick" targetAction="saveAsModal" behaviorAction="HIDE;STOP"/>
	</hx:commandExButton>
	
	</hx:panelDialog>
		
	<!-- ----------------------------------------------------------- CONFIRM SAVE AS MODAL ---------------------------------------------------------------------- -->
	<hx:panelDialog style="width: 400px" id="confirmSaveAsModal" styleClass="dmc_panelDialog" showTitleCloseButton="true" for="saveAsModalOK" title="#{bundle.ManageFabric_ConfirmSaveAsModalTitle}">
	
	<%
	// Singular vs plural for the word switch
	if(mf.getSwitches().length > 1)
	{
	%>
	<h:outputFormat id="mf_page_confirm_modal_save_as_plural" escape="false" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfirmSaveAsPlural}">
		<f:param name="0" value="#{manageFabricBean.switches[0].displayName}"></f:param>
		<f:param name="1" value="#{manageFabricBean.switches[1].displayName}"></f:param>
	</h:outputFormat> 
	<%
	}
	else
	{
	%>
	<h:outputFormat id="mf_page_confirm_modal_save_as_singular" escape="false" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfirmSaveAsSingular}">
		<f:param name="0" value="#{manageFabricBean.switches[0].displayName}"></f:param>
	</h:outputFormat> 
	<%
	}
	%>
	
	<BR>
	
	<DIV id="saveAsEqualsActive">
	
	<BR>
	
	<TABLE>
	<TBODY>
	<TR>
	<TD valign="top">
		<IMG src='<%=renderResponse.encodeURL(renderRequest.getContextPath()+"/images/common/status/warning_16.gif") %>' alt="">
	</TD>
	<TD valign="top">
		<h:outputFormat id="workingAsEqualsActive" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SaveAsActiveNote}"></h:outputFormat>
	</TD>
	</TR>
	</TBODY>
	</TABLE>
	
	</DIV>
	
	<BR>
	
	<hx:commandExButton onclick="alreadyConfirmed=true;" id="confirmSaveAsModalOK" value="#{bundle.Common_Modal_OK}" action="#{pc_ManageFabric.saveConfigurationAs}" styleClass="dmc_commandExButton" style="width: 80px;">
		<hx:behavior id="confirm_modal_confirmSaveAsModalOK_confirm_behavior" event="onclick" targetAction="confirmSaveAsModal;saveAsModal" behaviorAction="HIDE;HIDE;"/>
	</hx:commandExButton>
	
	
	<hx:commandExButton id="confirm_modal_cancel_button" styleClass="dmc_commandExButton" style="width: 80px;" type="button" value="#{bundle.Common_Modal_Cancel}">
		<hx:behavior id="confirm_modal_cancel_button_behavior" event="onclick" targetAction="confirmSaveAsModal" behaviorAction="HIDE;STOP"/>
	</hx:commandExButton>
	
	</hx:panelDialog>
		
	</h:form>
	
	<h:form id="hiddenForm">
	<!-- ----------------------   NLS messages for navigate away prompts ------------------------------->
	<h:inputHidden id='navigateAwayNLSMessage' value="#{pc_ManageFabric.navigateAwayNLSMessage}"></h:inputHidden>
	<h:inputHidden id='confirmCancelNLSMessage' value="#{pc_ManageFabric.confirmCancelNLSMessage}"></h:inputHidden>
	</h:form>
	
	<%
		// End of else block on no switches condition
	}
	%>
	
	<jsp:include page="/page/common/WaitFooter.jsp"/>

	</hx:scriptCollector>
	
	<h:outputText id="nicknameUnexceptedCharactersMsg" style="display: none;" 
			value="#{bundle.ManageFabric_Modify_Save_NicknameWrongCharacterMsg}">
	</h:outputText>
	<h:outputText id="descriptionUnexceptedCharactersMsg" style="display: none;" 
			value="#{bundle.ManageFabric_Modify_Save_DescriptionWrongCharacterMsg}">
	</h:outputText>
	
	</BODY>
</f:view>
</HTML>
