<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/fabric/RestoreAllConfigurations.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>
<%@ include file="/page/common/Header.jsp"%>


<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>



<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" import="java.util.*,pagecode.page.fabric.*, javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.fabric.*,com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL"%>


<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">


<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css")%>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/dmcnbcestyle.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/nbceTable.css") %>' rel="stylesheet" type="text/css">

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<TITLE>RestoreAllConfigurations.jsp</TITLE>

<%
FacesContext fc = FacesContext.getCurrentInstance();
ManageFabricBean mfb = (ManageFabricBean) fc.getApplication().createValueBinding("#{manageFabricBean}").getValue(fc);
RestoreAllConfigurations rac = (RestoreAllConfigurations) fc.getApplication().createValueBinding("#{pc_RestoreAllConfigurations}").getValue(fc);
ResourceBundle nls = ResourceBundle.getBundle("com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL",fc.getExternalContext().getRequestLocale());
%>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="restore_all_config_script_collector">
	

	<jsp:include page="/page/common/WaitHeader.jsp"/>
	
	<BR>
	<h:outputFormat id="instructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_RestoreAllConfigurationsInstructions}"></h:outputFormat>
	<HR>
	
	<h:form id="form1" onsubmit="startCommonWait();">
	
	<h:outputFormat id="restore_all_config_instructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_RestoreAllInstructions}">
		<f:param name="0" value="#{pc_RestoreAllConfigurations.selectedSwitchName}"></f:param>
		<f:param name="0" value="#{pc_RestoreAllConfigurations.filePath}"></f:param>
	</h:outputFormat>
	
	<BR>
	<BR>
	
	<h:outputFormat id="restore_all_config_on_switch" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationsOnSwitch}">
		<f:param name="0" value="#{pc_RestoreAllConfigurations.selectedSwitchName}"></f:param>
	</h:outputFormat>
	
	<TABLE class="nbceTable" cellspacing="0" width="500px" summary="<%=nls.getString(GWMNBCEL.Table_Summary_SAS_Restore_All_Device_Configurations)%>">
		<THEAD>
			<TR>
				<TH class="nbceTableHeaderCell"><h:outputFormat id="restore_all_config_mf_config_store" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}"></h:outputFormat></TH>
				<TH class="nbceTableHeaderCell" width="300px"><h:outputFormat id="restore_all_config_mf_nick_name" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname}"></h:outputFormat></TH>
			</TR>
		</THEAD>
		<TBODY>
	<%
	// Restored configurations
	MFZoneConfiguration[] configurations = mfb.getSwtich(rac.getSelectedSwitchID()).getNonCannedZoneDescriptors();
	
	for(int x = 0; x < configurations.length; x++)
	{	
	%>
			<TR>
				<TD class="nbceTableRow"><SPAN class="dmc_outputText"><%= configurations[x].getIndex() %></SPAN></TD>
				<TD class="nbceTableRow"><SPAN class="dmc_outputText"><%= configurations[x].getName() %></SPAN></TD>
			</TR>
	<%
	} 
	%>
	</TBODY>
	</TABLE>
	
	<BR>
	<BR>
	
	
	<h:outputFormat id="restore_all_config_mf_config_infile" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationsInFile}">
		<f:param name="0" value="#{pc_RestoreAllConfigurations.filePath}"></f:param>
	</h:outputFormat>
	
	<BR>

	<TABLE class="nbceTable" cellspacing="0" width="500px" summary="<%=nls.getString(GWMNBCEL.Table_Summary_SAS_Restore_All_Archived_Configurations)%>">
		<THEAD>
			<TR>
				<TH class="nbceTableHeaderCell"><h:outputFormat id="restore_all_config_mf_config_store2" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}"></h:outputFormat></TH>
				<TH class="nbceTableHeaderCell" width="300px"><h:outputFormat id="restore_all_config_mf_nick_name2" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname}"></h:outputFormat></TH>
			</TR>
		</THEAD>	
	<TBODY>
	<%
	// Restored configurations
	MFRestoredZoneConfiguration[] restored = mfb.getRestoredNonCannedZoneConfigurations();
	
	for(int x = 0; x < restored.length; x++)
	{	
	%>
			<TR>
				<TD class="nbceTableRow"><SPAN class="dmc_outputText"><%= restored[x].getIndex() %></SPAN></TD>
				<TD class="nbceTableRow"><SPAN class="dmc_outputText"><%= restored[x].getName() %></SPAN></TD>
			</TR>
	<%
	} 
	%>
	</TBODY>
	</TABLE>
	
	<BR>
	
	<hx:commandExButton id="backButton" styleClass="dmc_commandExButton" style="width: 80;" value="#{bundle.Common_Modal_OK}" action="#{pc_RestoreAllConfigurations.ok}"></hx:commandExButton>
	
	<hx:commandExButton id="cancelButton" styleClass="dmc_commandExButton" style="width: 80;" value="#{bundle.Common_Modal_Cancel}" action="#{pc_RestoreAllConfigurations.cancel}"></hx:commandExButton>
	
	<!-- Passing the selected switch ID in the request -->
	<INPUT type="hidden" name="selectedSwitchID" value="<%= request.getParameter("selectedSwitchID") %>">
	
	</h:form>
	
	<jsp:include page="/page/common/WaitFooter.jsp"/>

	
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
