<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/fabric/RestoreConfigurationStep1.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>
<%@ include file="/page/common/Header.jsp"%>


<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>



<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="javax.faces.context.FacesContext"%>


<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">


<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/dmcnbcestyle.css") %>' rel="stylesheet" type="text/css">

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/fabric/RestoreConfigurationStep1.js") %>'></SCRIPT>

<TITLE>RestoreConfigurationStep1.jsp</TITLE>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="restoreConfigurationStep1ScriptCollector">
	
	
	<jsp:include page="/page/common/WaitHeader.jsp"/>
	
	<BR>
	<h:outputFormat id="instructions" styleClass="dmc_outputText" value="#{pc_RestoreConfigurationStep1.pageInstructions}"></h:outputFormat>
	<HR>

	<h:form id="restoreForm" onsubmit="startCommonWait();">
	
	<%
	if(FacesContext.getCurrentInstance().getMessages().hasNext())
	{
	%>
	<jsp:include page="/page/common/facesMessages.jsp"></jsp:include>
	<%
	}
	%>	
	
	<h:outputFormat id="restoreConfigurationStep1Title" styleClass="dmc_outputTextTitle2" value="#{bundle.ManageFabric_Step1}"></h:outputFormat>
	
	<BR>
	
	<h:outputLabel id="fileUpload_label" for="fileUpload">
		<h:outputFormat id="restoreConfigurationStep1SpecifyFile" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SpecifyFile}:"></h:outputFormat>
	</h:outputLabel>
	
	<BR>

	<IFRAME name="uploadFileFrame" title="upload" id="uploadFileFrame" width="100%" height="30" marginwidth="0" marginheight="0" frameborder="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/faces/page/fabric/RestoreConfigurationUpload.jsp")%>' onload="lazyUpdateNext()" scrolling="no"></IFRAME>
	
	<h:outputFormat id="restoreConfigurationStep2Title" styleClass="dmc_outputTextTitle2" value="#{bundle.ManageFabric_Step2}"></h:outputFormat>
	
	<BR>
	
	<h:outputLabel id="switchMenu_label" for="switchMenu">
    	<h:outputFormat id="restoreConfigurationStep1SelectedSwitchLabel" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SelectSwitch}:"></h:outputFormat>
	</h:outputLabel>
	
	<BR>
	
	<h:selectOneMenu id="switchMenu" value="#{pc_RestoreConfigurationStep1.selectedSwitchID}" styleClass="dmc_selectOneMenu">
		<f:selectItems value="#{pc_RestoreConfigurationStep1.swichSelectItems}" />	
	</h:selectOneMenu>
	
	<BR>
	<BR>
	
	<hx:commandExButton id="nextButton" styleClass="dmc_commandExButton" style="width: 80;" value="#{bundle.ManageFabric_Next}" onclick="return uploadFileAndClickNext()" ></hx:commandExButton>
	
	<hx:commandExButton id="cancelButton" styleClass="dmc_commandExButton" style="width: 80;" value="#{bundle.Common_Modal_Cancel}" action="#{pc_RestoreConfigurationStep1.cancel}"></hx:commandExButton>
	
	<hx:commandExButton id="hiddenNextButton" styleClass="dmc_commandExButton" style="display: none;" value="" action="#{pc_RestoreConfigurationStep1.next}" ></hx:commandExButton>
	
	<!-- Determines the next step (types are single and all) -->
	<INPUT type="hidden" name="restoreType" value="<%= request.getParameter("restoreType") %>">
	
	<!-- Hidden input for the selected file path -->
	<INPUT type="hidden" id="filePath" name="filePath" value="">
	
	</h:form>
	
	<jsp:include page="/page/common/WaitFooter.jsp"/>

	
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
