<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/fabric/RestoreOneConfiguration.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>
<%@ include file="/page/common/Header.jsp"%>


<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/BrowserFramework" prefix="odc"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>



<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" import="pagecode.page.fabric.*, javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.fabric.*, java.util.*,com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL"%>
	
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/dmcnbcestyle.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/nbceTable.css") %>'rel="stylesheet" type="text/css">

<TITLE>RestoreOneConfiguration.jsp</TITLE>

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/fabric/RestoreOneConfiguration.js") %>'></SCRIPT>

<%
FacesContext fc = FacesContext.getCurrentInstance();
ManageFabricBean mfb = (ManageFabricBean) fc.getApplication().createValueBinding("#{manageFabricBean}").getValue(fc);
RestoreOneConfiguration roc = (RestoreOneConfiguration) fc.getApplication().createValueBinding("#{pc_RestoreOneConfiguration}").getValue(fc);
ResourceBundle nls = ResourceBundle.getBundle("com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL",fc.getExternalContext().getRequestLocale());
%>
</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="restore_one_config_script_collector">
		
	
	<jsp:include page="/page/common/WaitHeader.jsp"/>

	<h:form id="form1" onsubmit="startCommonWait();">
	
	<BR>
	<h:outputFormat id="instructions" styleClass="dmc_outputText" value="#{bundle.ManageFabric_RestoreConfigurationInstructions}"></h:outputFormat>
	<HR>
	
 	<h:outputFormat id="restore_one_config_mf_step3" styleClass="dmc_outputTextTitle2" value="#{bundle.ManageFabric_Step3}"></h:outputFormat>
	
	<BR>
	<h:outputFormat id="restore_one_config_select_switch_index" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SelectSwitchIndex}">
		<f:param name="0" value="#{pc_RestoreOneConfiguration.filePath}"></f:param>
	</h:outputFormat>
	
	<BR>
	<BR>
	
	<TABLE class="nbceTable" cellspacing="0" width="500px" summary="<%=nls.getString(GWMNBCEL.Table_Summary_SAS_Restore_One_Archived_Configurations)%>">
		<THEAD>
			<TR>
				<TH class="nbceTableHeaderCell"><h:outputFormat id="restore_one_config_select_text" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Select}"></h:outputFormat></TH>
				<TH class="nbceTableHeaderCell"><h:outputFormat id="restore_one_config_config_store_text" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}"></h:outputFormat></TH>
				<TH class="nbceTableHeaderCell" width="300px"><h:outputFormat id="restore_one_config_mf_nick_name_text" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname}"></h:outputFormat></TH>
			</TR>
		</THEAD>
		<TBODY>
	<%
	// Restored configurations
	MFRestoredZoneConfiguration[] restored = mfb.getRestoredNonCannedZoneConfigurations();
	
	for(int x = 0; x < restored.length; x++)
	{	
	%>
			<TR>
				<TD align="center" class="nbceTableRow"> 
					<INPUT onclick="updateFinish()" title="<%= restored[x].getName() %>" type="radio" id="restoredIndex<%= restored[x].getIndex() %>" name="restoredIndex" value="<%= restored[x].getIndex() %>">
				</TD>
				<TD class="nbceTableRow">
					<LABEL for="restoredIndex<%= restored[x].getIndex() %>">
						<SPAN class="dmc_outputText"><%= restored[x].getIndex() %></SPAN>
					</LABEL>
				</TD>
				<TD class="nbceTableRow"><SPAN class="dmc_outputText"><%= restored[x].getName() %></SPAN></TD>
			</TR>
	<%
	} 
	%>
	</TBODY>
	</TABLE>
	
	<BR>
	<BR>
	
	<h:outputFormat id="restore_one_config_mf_step4" styleClass="dmc_outputTextTitle2" value="#{bundle.ManageFabric_Step4}"></h:outputFormat>
	
	<BR>

	<h:outputFormat id="restore_one_config_select_config_store" styleClass="dmc_outputText" value="#{bundle.ManageFabric_SelectConfigurationStore}">
		<f:param name="0" value="#{pc_RestoreOneConfiguration.selectedSwitchName}"></f:param>
	</h:outputFormat>
	<BR>
	<BR>
	
	<TABLE class="nbceTable" cellspacing="0" width="500px"  summary="<%=nls.getString(GWMNBCEL.Table_Summary_SAS_Restore_One_Device_Configurations)%>">
		<THEAD>
			<TR>
				<TH class="nbceTableHeaderCell"><h:outputFormat id="restore_one_config_mf_select_text2" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Select}"></h:outputFormat></TH>
				<TH class="nbceTableHeaderCell"><h:outputFormat id="restore_one_config_mf_config_store_text2" styleClass="dmc_outputText" value="#{bundle.ManageFabric_ConfigurationStore}"></h:outputFormat></TH>
				<TH class="nbceTableHeaderCell" width="300px"><h:outputFormat id="restore_one_config_mf_nick_name_text2" styleClass="dmc_outputText" value="#{bundle.ManageFabric_Nickname}"></h:outputFormat></TH>
			</TR>
		</THEAD>
		<TBODY>
	<%
	// Restored configurations
	MFZoneConfiguration[] configurations = mfb.getSwtich(roc.getSelectedSwitchID()).getNonCannedZoneDescriptors();
	
	for(int x = 0; x < configurations.length; x++)
	{	
	%>
			<TR>
				<TD align="center" class="nbceTableRow"> 
					<INPUT id="configurations<%= configurations[x].getIndex() %>" title="<%= configurations[x].getName() %>" onclick="updateFinish()" type="radio" name="switchIndex" value="<%= configurations[x].getIndex() %>"> 
				</TD>
				<TD class="nbceTableRow">
					<LABEL for="configurations<%= configurations[x].getIndex() %>">
						<SPAN class="dmc_outputText"><%= configurations[x].getIndex() %></SPAN>
					</LABEL>
				</TD>
				<TD class="nbceTableRow"><SPAN class="dmc_outputText"><%= configurations[x].getName() %></SPAN></TD>
			</TR>
	<%
	} 
	%>
	</TBODY>
	</TABLE>
	
	<BR>
	
	<hx:commandExButton id="backButton" styleClass="dmc_commandExButton" style="width: 80;" value="#{bundle.ManageFabric_Back}" action="#{pc_RestoreOneConfiguration.back}"></hx:commandExButton>
	
	<hx:commandExButton id="finishButton" styleClass="dmc_commandExButton" style="width: 80;" value="#{bundle.ManageFabric_Finish}" action="#{pc_RestoreOneConfiguration.finish}"></hx:commandExButton>
	
	<hx:commandExButton id="cancelButton" styleClass="dmc_commandExButton" style="width: 80;" value="#{bundle.Common_Modal_Cancel}" action="#{pc_RestoreOneConfiguration.cancel}"></hx:commandExButton>
	
	<!-- Passing the selected switch ID in the request -->
	<INPUT type="hidden" name="selectedSwitchID" value="<%= request.getParameter("selectedSwitchID") %>">
	
	<!-- Also pass the restore type, in case back is clicked -->
	<INPUT type="hidden" name="restoreType" value="<%= request.getParameter("restoreType") %>">
	
	</h:form>
	
	<jsp:include page="/page/common/WaitFooter.jsp"/>
	
	</hx:scriptCollector>
	</BODY>
</f:view>
<script type="text/javascript">
	updateFinish();
</script>
</HTML>
