// DownloadFirmware.js

/**
 * show the description of the Download Firmware
 */
com.ibm.sysmgmt.nbce.gui.updatefirmware.DownloadFirmware = function() {
	// ************************************************************************ 
	// Private Properties
	// *********************************************************************** 
		
	var displayNone = 'none';
	var displayBlock = 'block';
	var expandaImgURL = 'images/common/help/expandahelp.gif';
	var collapseaImgURL = 'images/common/help/collapseahelp.gif';
			
	var DFDescriptionExpandaed = true;
	var IDFDescriptionExpandaed = true;
	
	var DFDescription = "download_firmware_descriptor";
	var IDFDescription = "install_firmware_descriptor";
	
	// ************************************************************************ 
	// Public Methods
	// *********************************************************************** 
		
	this.showDFDescription = function(imgObj){
	    var imgSrc = imgObj.src;
		if (DFDescriptionExpandaed==true) {
			imgObj.src = imgSrc.replace('expandahelp','collapseahelp');
			imgObj.alt = document.getElementById(namespace_g+"ufForm:ot_collapse_alt").innerHTML;
			imgObj.title = document.getElementById(namespace_g+"ufForm:ot_collapse_alt").innerHTML;
			showDFDescriptionContent();
			DFDescriptionExpandaed = false;
		}else{
			imgObj.src = imgSrc.replace('collapseahelp','expandahelp');
			imgObj.alt = document.getElementById(namespace_g+"ufForm:ot_expand_alt").innerHTML;
			imgObj.title = document.getElementById(namespace_g+"ufForm:ot_expand_alt").innerHTML;
			hideDFDescriptionContent();
			DFDescriptionExpandaed = true;
		}
	}
	
	this.showIDFDescription = function(imgObj){
	     var imgSrc = imgObj.src;
		if (IDFDescriptionExpandaed==true) {
			imgObj.src = imgSrc.replace('expandahelp','collapseahelp');
			imgObj.alt = document.getElementById(namespace_g+"ufForm:ot_collapse_alt").innerHTML;
			imgObj.title = document.getElementById(namespace_g+"ufForm:ot_collapse_alt").innerHTML;
			showIDFDescriptionContent();
			IDFDescriptionExpandaed = false;
		}else{
			imgObj.src = imgSrc.replace('collapseahelp','expandahelp');
			imgObj.alt = document.getElementById(namespace_g+"ufForm:ot_expand_alt").innerHTML;
			imgObj.title = document.getElementById(namespace_g+"ufForm:ot_expand_alt").innerHTML;
			hideIDFDescriptionContent();
			IDFDescriptionExpandaed = true;
		}
	}			
	
	// ************************************************************************ 
	// Private Method
	// *********************************************************************** 
	
	function showDFDescriptionContent(){
		getDFDescriptionContent().style.display = displayBlock;
	}
	function hideDFDescriptionContent(){
		getDFDescriptionContent().style.display = displayNone;
	}
	function showIDFDescriptionContent(){
		getIDFDescriptionContent().style.display = displayBlock;
	}
	function hideIDFDescriptionContent(){
		getIDFDescriptionContent().style.display = displayNone;
	}

	function getDFDescriptionContent(){
		return document.getElementById(DFDescription);
	}
	
	function getIDFDescriptionContent(){
		return document.getElementById(IDFDescription);
	}		
	
}

com.ibm.sysmgmt.nbce.gui.updatefirmware.DownloadFirmware.getInstance = function(){
	if(com.ibm.sysmgmt.nbce.gui.updatefirmware.DownloadFirmware._instance == null){
		com.ibm.sysmgmt.nbce.gui.updatefirmware.DownloadFirmware._instance = new com.ibm.sysmgmt.nbce.gui.updatefirmware.DownloadFirmware();
	}
	
	return com.ibm.sysmgmt.nbce.gui.updatefirmware.DownloadFirmware._instance;
};
