/**
 * FirmwareTable.js
 */
com.ibm.sysmgmt.nbce.gui.updatefirmware.FirmwareTable = function(){

	// ************************************************************************ 
	// Public Methods
	// *********************************************************************** 
 
 	/**
 	 * When clicking on the check box, the file tag will be enabled or disabled.
 	 */
 	this.clickCheckBox = function(deviceType, deviceName, thisObj) {
 	    var namespace_ajax="view:";
 		var fileUploadId;
 		var frameName = "";	 		
 		if (deviceType == "switch_id") {
 		    frameName = "fw_update_switch_frame";
 			fileUploadId = namespace_ajax + "form1:switchFileUpload";
 		} else if (deviceType == "expander_id") {
 		    frameName = "fw_update_expander_frame";
 			fileUploadId = namespace_ajax + "form1:expanderFileUpload"; 		
 		}
 		
 		//add for selecting the same storage module
 		if (deviceType == "expander_id") {
	 		var elem = document.getElementsByName("expander_id");
		    for(i = 0; i < elem.length; i++) {		    
		    	var expander_name = "expander_name" + elem[i].id.substring(11);
		    	var expanderDeviceName = document.getElementById(expander_name).value;
		        if ( expanderDeviceName == deviceName) {
		        	if (thisObj.checked == true) {
		        		elem[i].checked = true;
		        	} else {
		        		elem[i].checked = false;		        	
		        	}
		        }
		    }	 			
 		}
 		
 		if ( travelCheckBox(deviceType) == true ) {
 			//document.getElementById(fileUploadId).disabled = false;
 			getFrameDocument(frameName).getElementById(fileUploadId).disabled = false;
 		} else {	
			//clearFileValue(fileUploadId);
			clearFileValue(fileUploadId,frameName);	
 			//document.getElementById(fileUploadId).disabled = true;
 			getFrameDocument(frameName).getElementById(fileUploadId).disabled = true; 							
 		}
 		
 		
 		if ( travelCheckBox("switch_id") == true || travelCheckBox("expander_id") == true ) {
 			document.getElementById(namespace_g+"ufForm:cb_install_button").disabled = false;
 		} else {
			document.getElementById(namespace_g + "ufForm").reset(); 	
 			document.getElementById(namespace_g+"ufForm:cb_install_button").disabled = true;	
 		}
 	}
 	
 	
	// ************************************************************************ 
	// Private Methods
	// *********************************************************************** 
 
 	/**
 	 * This function checks if there exists any selected checkbox.
 	 * Return true if exists, else false.
 	 *
 	 */
 	function travelCheckBox(checkBoxName) {
 		var elem = document.getElementsByName(checkBoxName);
	    for(i = 0; i < elem.length; i++) {
	        if ( elem[i].checked == true) {
	        	return true;
	        }
	    }	    
	    return false;
 	}
 	
 }
 
 // ************************************************************************ 
// Static Methods&Fields
// *********************************************************************** 
com.ibm.sysmgmt.nbce.gui.updatefirmware.FirmwareTable._instance=null;

/*
 * singleton of treeTable
 */
com.ibm.sysmgmt.nbce.gui.updatefirmware.FirmwareTable.getInstance = function(){
	if(com.ibm.sysmgmt.nbce.gui.updatefirmware.FirmwareTable._instance == null){
		com.ibm.sysmgmt.nbce.gui.updatefirmware.FirmwareTable._instance = new com.ibm.sysmgmt.nbce.gui.updatefirmware.FirmwareTable();
	}
	
	return com.ibm.sysmgmt.nbce.gui.updatefirmware.FirmwareTable._instance;
};
 
 
