<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.firmware.*, javax.portlet.*"%>
<%@ page import="com.ibm.sysmgmt.scm.nbce.nls.MessageFormatter,java.util.*" %>
	
<f:subview id="treeTable">		
	<%
	FacesContext fc = FacesContext.getCurrentInstance();
	UpdateFirmwareBean ufb = (UpdateFirmwareBean)fc.getApplication().createValueBinding("#{updateFirmwareBean}").getValue(fc);
	ResourceBundle nls = ResourceBundle.getBundle("com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL",fc.getExternalContext().getRequestLocale());
	%>	
	<%
	String firmwareTableSummary = "";
	if (ufb.isBCS() == false) {
		firmwareTableSummary = nls.getString("Table_Summary_FirmwareLevel_ActivationDate_SASModule");
	}else {
		firmwareTableSummary = nls.getString("Table_Summary_FirmwareLevel_ActivationDate_SASModule_StorageModule");
	}
	%>
	<scmc:scmJspPanel>
	<TABLE class="nbceTable dmc_outputText" cellspacing="0" cellpadding="0" width="100%" summary="<%=firmwareTableSummary%>">
		<TBODY>
			<TR>
				<TD width="7%" class="nbceTableHeaderCell">
					<DIV id="uf_page_select_div" class="nbceTableHeaderCellDiv"><h:outputFormat id="uf_page_select_label" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_Select_Label}"></h:outputFormat></DIV>
				</TD>
				
				<TD width="38%" class="nbceTableHeaderCell">
					<DIV id="uf_page_id_div" class="nbceTableHeaderCellDiv"><h:outputFormat id="uf_page_id_label" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_Identifier_Label}"></h:outputFormat></DIV>
				</TD>
				
				<TD width="25%" class="nbceTableHeaderCell">
					<DIV id="uf_page_type_div" class="nbceTableHeaderCellDiv"><h:outputFormat id="uf_page_type_label" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_Type_Label}"></h:outputFormat></DIV>
				</TD>
				
				<TD width="10%" class="nbceTableHeaderCell">
					<DIV id="uf_page_level_div" class="nbceTableHeaderCellDiv"><h:outputFormat id="uf_page_level_label" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_Level_Label}"></h:outputFormat></DIV>
				</TD>
				
				<TD width="20%" class="nbceTableHeaderCell">
					<DIV id="uf_page_date_div" class="nbceTableHeaderCellDiv"><h:outputFormat id="uf_page_date_label" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_Activation_Date_Label}"></h:outputFormat></DIV>
				</TD>
			</TR>
			<TR> 
				<TD width="7%" class="nbceTableRow">
					<h:outputText id="uf_page_chaiss_select_space" styleClass="dmc_outputText" value="">&nbsp;</h:outputText>
				</TD>
				
				<TD width="38%" class="nbceTableRow">
					&nbsp;
</scmc:scmJspPanel>	
					<hx:graphicImageEx styleClass="graphicImageEx" style="vertical-align: middle;" title="#{bundle.Update_Firmware_BCEType}" 
						alt="#{bundle.Update_Firmware_BCEType}" id="chassis_bce_image" value="/images/common/components/chassis_16.gif">
					</hx:graphicImageEx>
					<h:outputText styleClass="dmc_outputText" id="chassis_name" value="#{updateFirmwareBean.BCEChassis.deviceName}"></h:outputText>
<scmc:scmJspPanel>	
				</TD>
				
				<TD width="25%" class="nbceTableRow">
					<h:outputText id="uf_page_bce_type" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_BCEType}"></h:outputText>
				</TD>
				
				<TD width="10%" class="nbceTableRow">
					<h:outputText id="uf_page_chaiss_level_space" styleClass="dmc_outputText" value="">&nbsp;</h:outputText>
				</TD>
				
				<TD width="20%" class="nbceTableRow">
					<h:outputText id="uf_page_chaiss_date_space" styleClass="dmc_outputText" value="">&nbsp;</h:outputText>				
				</TD>
			</TR>
			<TR>
				<TD colspan="5">
</scmc:scmJspPanel>			
					<hx:dataIterator id="uf_page_data_table" value="#{updateFirmwareBean.BCEChassis.SASSwitches}" var="sasSwitches">
<scmc:scmJspPanel>						
						<TABLE width="100%" class="nbceTableRow">
							<TBODY>
								<TR>
									<TD width="7%">
										<input type="checkbox" id="switch_id_#{sasSwitches.deviceID}" name="switch_id" value="#{sasSwitches.deviceID}" onclick="com.ibm.sysmgmt.nbce.gui.updatefirmware.FirmwareTable.getInstance().clickCheckBox('switch_id', '#{sasSwitches.deviceName}', this)">										
										<label id="ol_switch_id_#{sasSwitches.deviceID}_label" for="switch_id_#{sasSwitches.deviceID}" class="outputLabel" style="display:none">
										    <span id="ol_switch_id_#{sasSwitches.deviceID}_hidden" class="dmc_outputText">#{sasSwitches.deviceID}</span>
										</label>
										<input type="checkbox" id="switch_id_helper_#{sasSwitches.deviceID}" name="switch_id_helper" style="display: none;">
										<label id="ol_switch_id_helper_#{sasSwitches.deviceID}_label" for="switch_id_helper_#{sasSwitches.deviceID}" class="outputLabel" style="display:none">
										    <span id="ol_switch_id_helper#{sasSwitches.deviceID}_hidden" class="dmc_outputText">#{sasSwitches.deviceID}</span>
										</label>
									</TD>
									<TD width="38%">
										&nbsp;&nbsp;&nbsp;&nbsp;
</scmc:scmJspPanel>						
										<hx:graphicImageEx styleClass="graphicImageEx" style="vertical-align: middle;" title="#{bundle.Update_Firmware_SwitchType}" 
											alt="#{bundle.Update_Firmware_SwitchType}" id="switch_bce_image" value="/images/common/components/sas_switch_16.gif">
										</hx:graphicImageEx>							
										<h:outputText id="uf_page_switch_device_name" styleClass="dmc_outputText" value="#{sasSwitches.deviceName}"></h:outputText>
<scmc:scmJspPanel>									
									</TD>
									<TD width="25%">
										<h:outputText id="uf_page_switch_type" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_SwitchType}"></h:outputText>
									</TD>
									<TD width="10%">
										<h:outputText id="uf_page_switch_level" styleClass="dmc_outputText" value="#{sasSwitches.codeLevel}"></h:outputText>
									</TD>
									<TD width="20%">
										<h:outputText id="uf_page_switch_date" styleClass="dmc_outputText" value="#{sasSwitches.activationDate}"></h:outputText>
									</TD>
								</TR>
							</TBODY>
						</TABLE>						
</scmc:scmJspPanel>						
						<hx:dataIterator id="uf_page_expander_data_table" value="#{sasSwitches.DSSExpanders}" var="dssExpanders">
<scmc:scmJspPanel>								
							<TABLE width="100%" class="nbceTableRow">
								<TBODY>
									<TR>
										<TD width="7%">
											<input type="checkbox" id="expander_id_#{dssExpanders.deviceID}" name="expander_id" value="#{dssExpanders.deviceID}" onclick="com.ibm.sysmgmt.nbce.gui.updatefirmware.FirmwareTable.getInstance().clickCheckBox('expander_id', '#{dssExpanders.deviceName}', this)">
											<input type="hidden" id="expander_name_#{dssExpanders.deviceID}" value="#{dssExpanders.deviceName}">
											<label id="ol_expander_id_#{dssExpanders.deviceID}_label" for="expander_id_#{dssExpanders.deviceID}" class="outputLabel" style="display:none">
											    <span id="ol_expander_id_#{dssExpanders.deviceID}_hidden" class="dmc_outputText">#{dssExpanders.deviceID}</span>
											</label>
											<input type="checkbox" id="expander_id_helper_#{dssExpanders.deviceID}" name="expander_id_helper" style="display: none;">
											<label id="ol_expander_id_helper_#{dssExpanders.deviceID}_label" for="expander_id_helper_#{dssExpanders.deviceID}" class="outputLabel" style="display:none">
											    <span id="ol_expander_id_helper_#{dssExpanders.deviceID}_hidden" class="dmc_outputText">#{dssExpanders.deviceID}</span>
											</label>
										</TD>
										<TD width="38%">
											&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
</scmc:scmJspPanel>
											<hx:graphicImageEx styleClass="graphicImageEx" title="#{bundle.Update_Firmware_DSSExpanderType}" 
												alt="#{bundle.Update_Firmware_DSSExpanderType}" id="switchImage" value="/images/common/components/expander_16.gif">
											</hx:graphicImageEx>&nbsp;	
											<h:outputText id="uf_page_expander_device_name" styleClass="dmc_outputText" value="#{dssExpanders.deviceName}"></h:outputText>
<scmc:scmJspPanel>
										</TD>
										<TD width="25%">
											<h:outputText id="uf_page_expander_type" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_DSSExpanderType}"></h:outputText>
										</TD>
										<TD width="10%">
											<h:outputText id="uf_page_expander_level" styleClass="dmc_outputText" value="#{dssExpanders.codeLevel}"></h:outputText>
										</TD>
										<TD width="20%">
											<h:outputText id="uf_page_expander_date" styleClass="dmc_outputText" value="#{dssExpanders.activationDate}"></h:outputText>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
   </scmc:scmJspPanel>							
						</hx:dataIterator>
					</hx:dataIterator>
    <scmc:scmJspPanel>	
				</TD>
			</TR>
		</TBODY>
	</TABLE>
	</scmc:scmJspPanel>
</f:subview>
