<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/firmware/UpdateFirmware.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>
<%@ include file="/page/common/Header.jsp"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>


<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/dmcnbcestyle.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/nbceTable.css") %>' rel="stylesheet" type="text/css">

<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/common.js") %>'></SCRIPT>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/firmware/Base.js") %>'></SCRIPT>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/firmware/FirmwareTable.js") %>'></SCRIPT>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/firmware/DownloadFirmware.js") %>'></SCRIPT>
<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/firmware/UpdateFirmware.js") %>'></SCRIPT>

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<TITLE>UpdateFirmware.jsp</TITLE>

</HEAD>

<%

if(data.isNoDomains() && request.getRequestURI().indexOf("ViewAllSwitches.jsp") == -1)
	{
		// Forward
		//headerFC.getExternalContext().redirect(basePath + "faces/page/common/NoDomains.jsp");
%>
<f:view>
<h:form id="divFormHidden">
	<jsp:include page="/page/common/RedirectNoDomains.jsp"/>
</h:form>
</f:view>
<%
	}else{
%>
<f:view>
	<BODY >
	
	<hx:scriptCollector id="uf_page_script_collector" preRender="#{pc_UpdateFirmware.initPrePageRender}">
	
	
		
		<jsp:include page="/page/common/WaitHeader.jsp"/>
		<h:inputHidden id="isBCS" value="#{pc_UpdateFirmware.updateFirmwareBean.BCS}"></h:inputHidden>
		<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
			<TBODY>
				<TR>
					<TD valign="top">
					</TD>
					<TD align="right">
						<jsp:include page="/page/common/BCEDeviceList.jsp"></jsp:include>
					</TD>
				</TR>
			</TBODY>
		</TABLE>
	
		<h:form styleClass="form" id="ufForm" style="margin: 0px" onsubmit="startCommonWait();">		
		
		<h:outputFormat styleClass="dmc_outputText" id="ot_descriptor" value="#{bundle.Update_Firmware_Description_Label}"></h:outputFormat>
		
		<DIV id="div_failed" style="display: none">
			<TABLE border="0" cellspacing="3" cellpadding="3" bgcolor="#e3e5f1" class="borderGray" width="100%">
				<TBODY>
					<TR>
						<TD width="5%">
							<hx:graphicImageEx id="uf_page_failed_img" style="border-width: 0; width: 32; height: 32;" title="#{bundle.Common_Status_Error}"
								alt="#{bundle.Common_Status_Error}" value="/images/common/status/failed_32.gif">
							</hx:graphicImageEx>
						</TD>
						<TD width="95%">
							<h:outputText styleClass="dmc_outputText" id="ot_failed" value="" style="color:red;"/>
						</TD>
					</TR>
				</TBODY>
			</TABLE>	
		</DIV>
			
		<HR>
		
		<hx:jspPanel id="BCSWarningPanel" rendered="#{pc_UpdateFirmware.updateFirmwareBean.BCS}">
			<TABLE class="dmc_outputText">
				<TBODY>
					<TR valign="top">
						<TD>
							<h:graphicImage id="bcsWarningImage" value="/images/common/status/warning_12.gif" alt="">
							</h:graphicImage>
						</TD>
						<TD>								
							<h:outputFormat id="bcsWarningMessage" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_BCS_Message}"></h:outputFormat>						
						</TD>
					</TR>
				</TBODY>
			</TABLE>
		</hx:jspPanel>
		
		<hx:jspPanel id="contentPanel" rendered="#{!pc_UpdateFirmware.updateFirmwareBean.BCS}">
		
		
		<hx:commandExButton type="submit" id="refreshButton" styleClass="dmc_commandExButton" style="width: 80px;" 
			action="#{pc_UpdateFirmware.doRefreshAction}" value="#{bundle.Common_Page_Refresh}" 
			onclick="com.ibm.sysmgmt.nbce.gui.updatefirmware.MainFrame.getInstance().showWaitCursorPublic(this);">
	    </hx:commandExButton>
		<h:outputText styleClass="dmc_outputText" id="ct_last_refresh_title" value="#{bundle.Common_Page_LastRefresh}"></h:outputText>
		<SPAN class="dmc_outputText" id="lastRefreshTimestamp"></SPAN>
		<BR>
		<BR>
				
		<jsp:include page="/page/firmware/FirmwareTable.jsp"/>					
						
		<BR><BR>
		<h:outputText styleClass="dmc_outputTextTitle2" id="download" value="#{bundle.Update_Firmware_Download_Firmware_Label}"></h:outputText>&nbsp;
		<hx:graphicImageEx id="uf_page_download_img" style="border-width: 0" title="#{bundle.Common_Expand_Alt}" alt="#{bundle.Common_Expand_Alt}" value="/images/common/help/expandahelp.gif" 
			onclick="com.ibm.sysmgmt.nbce.gui.updatefirmware.DownloadFirmware.getInstance().showDFDescription(this);">
		</hx:graphicImageEx>
		<BR>
		<div id="download_firmware_descriptor" style="display: none">
			<h:outputFormat id="checkForLatestFirmwareButtonForBCS" rendered="#{pc_UpdateFirmware.updateFirmwareBean.BCS}" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_Download_Firmware_Description}">
			</h:outputFormat>
			<h:outputFormat id="checkForLatestFirmwareButtonForNonBCS" rendered="#{!pc_UpdateFirmware.updateFirmwareBean.BCS}" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_Download_Firmware_Description_For_Non_BCS}">
			</h:outputFormat>
			<BR>
		</div>
		<hx:outputLinkEx target="_blank" styleClass="dmc_outputText" id="ot_download_descriptor" value="http://www.ibm.com/systems/support/bladecenter">
			<h:outputFormat styleClass="dmc_outputText" id="download_firmware_link" value="#{bundle.Update_Firmware_Check_For_Latest_Firmware_Link}">
			</h:outputFormat>
		</hx:outputLinkEx>
		<BR><BR>
		
		<h:outputText styleClass="dmc_outputTextTitle2" id="install" value="#{bundle.Update_Firmware_Install_Firmware_Label}"></h:outputText>&nbsp;
		<hx:graphicImageEx id="uf_page_install_img" style="border-width: 0" title="#{bundle.Common_Expand_Alt}" alt="#{bundle.Common_Expand_Alt}" value="/images/common/help/expandahelp.gif" 
			onclick="com.ibm.sysmgmt.nbce.gui.updatefirmware.DownloadFirmware.getInstance().showIDFDescription(this);">
		</hx:graphicImageEx>
		<BR>
		<div id="install_firmware_descriptor" style="display: none">
			<h:outputFormat styleClass="dmc_outputText" rendered="#{pc_UpdateFirmware.updateFirmwareBean.BCS}" id="ot_install_descriptor" value="#{bundle.Update_Firmware_Install_Firmware_Description}">
			</h:outputFormat>
			<h:outputFormat styleClass="dmc_outputText" rendered="#{!pc_UpdateFirmware.updateFirmwareBean.BCS}" id="ot_install_descriptor_for_non_bcs" value="#{bundle.Update_Firmware_Install_Firmware_Description_For_Non_BCS}">
			</h:outputFormat>
			<BR><BR>
		</div>
		<BR>
		
		<h:outputFormat styleClass="dmc_outputText" id="ot_note_descriptor" value="#{bundle.Update_Firmware_Install_Firmware_Note}"></h:outputFormat>
		<BR><BR>


		<DIV id="FWUploadFormDiv" style="display:none">
		<h:inputHidden id="selected_switch_list" value="#{pc_UpdateFirmware.selectedSwitchStr}"/>
		<h:inputHidden id="selected_expander_list" value="#{pc_UpdateFirmware.selectedExpanderStr}"/>		
		<TABLE border="0" cellpadding="0" cellspacing="0" width="750">
			<TBODY>
				<TR>
					<TD width="25%">
						<h:outputLabel styleClass="dmc_outputText" id="ol_switch_file_label" for="switchFileUpload">
						    <h:outputFormat styleClass="dmc_outputText" id="ot_switch_firmware" value="#{bundle.Update_Firmware_Switch_Firmware_Label}">
						    </h:outputFormat>:
						</h:outputLabel>
					</TD>
					<TD width="75%">
					    <iframe style="width:250px; height:22px" scrolling="no" onload="com.ibm.sysmgmt.nbce.gui.updatefirmware.MainFrame.getInstance().completeUpload('switch');" id="fw_update_switch_frame" name="fw_update_switch_frame"  title="switchUpdate" frameborder="0"  src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/firmware/UpdateSwitch.jsp")%>'></iframe>			
					</TD>
				</TR>
				<TR id="section_expander_fileupload">
					<TD>						
						<h:outputLabel styleClass="dmc_outputText" id="ol_expander_file_label" for="expanderFileUpload">
						    <h:outputFormat styleClass="dmc_outputText" id="ot_expander_firmware" value="#{bundle.Update_Firmware_Expander_Firmware_Label}">
						    </h:outputFormat>:
						</h:outputLabel>
					</TD>
					<TD>
						<iframe style="width:250px; height:22px" scrolling="no" onload="com.ibm.sysmgmt.nbce.gui.updatefirmware.MainFrame.getInstance().completeUpload('expander');" id="fw_update_expander_frame" name="fw_update_expander_frame"  title="expanderUpdate" frameborder="0"  src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/firmware/UpdateExpander.jsp")%>'></iframe>			 		
					</TD>
				</TR>
				<TR>
					<TD>&nbsp;</TD>
					<TD>
						<hx:commandExButton type="submit" style="width: 80px;" styleClass="dmc_commandExButton" id="cb_install_button" disabled="true"
							value="#{bundle.Update_Firmware_Install_Firmware_Button}" onclick="return com.ibm.sysmgmt.nbce.gui.updatefirmware.MainFrame.getInstance().checkFileAction(this, event);">
						</hx:commandExButton>
						<!-- Upload Hidden Button -->
						<hx:commandExButton type="submit" style="width: 80px; display:none" styleClass="dmc_commandExButton" id="cb_install_button_hidden"
							value="hidden install" action="#{pc_UpdateFirmware.doFirmwareInstallAction}">
						</hx:commandExButton>		
					</TD>
				</TR>
			</TBODY>		
		</TABLE>
			
		<hx:panelDialog id="confirmInstallModal" styleClass="dmc_panelDialog" style="width: 550px;" showTitleCloseButton="true" for="cb_install_button" title="#{bundle.Update_Firmware_Confirm_Install_Title}">
			
			<hx:behaviorKeyPress id="uf_page_press_enter_key" targetAction="cb_install_button_ok" behaviorAction="click;nothing" key="ENTER" />
			<hx:behaviorKeyPress id="uf_page_press_esc_key" targetAction="cb_install_button_cancel" behaviorAction="click;nothing" key="ESC" />
			<TABLE align="center" width="500" class="dmc_outputText">
				<TBODY>
					<TR valign="top">
						<TD>
							<h:graphicImage id="uf_page_attention_img" value="/images/common/status/warning_12.gif" alt="">
							</h:graphicImage>
						</TD>
						<TD>
							<h:outputFormat id="uf_page_attention" styleClass="dmc_outputText" style="font-weight: bold;" value="#{bundle.Update_Firmware_Install_Attention}"></h:outputFormat>				
							
							<h:outputFormat id="attention_BCSInstructions" escape="false" rendered="#{pc_UpdateFirmware.updateFirmwareBean.BCS}" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_Install_BCSWarning}"></h:outputFormat>
							<h:outputFormat id="attention_nonBCSInstructions" escape="false" rendered="#{!pc_UpdateFirmware.updateFirmwareBean.BCS}" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_Install_NonBCSWarning}"></h:outputFormat>							
							
							<BR>						
							<DIV style="text-align: left; width: 100%;">
								<hx:commandExButton id="cb_install_button_ok" styleClass="dmc_commandExButton" style="width: 80px;" type="button" value="#{bundle.Common_Modal_OK}" 
									onclick="return com.ibm.sysmgmt.nbce.gui.updatefirmware.MainFrame.getInstance().submitInstall(this, event);" >
									<hx:behavior id="uf_page_install_button_behavior" event="onclick" targetAction="confirmInstallModal" behaviorAction="HIDE;"/>
								</hx:commandExButton>
								<hx:commandExButton id="cb_install_button_cancel" styleClass="dmc_commandExButton" style="width: 80px" type="button" value="#{bundle.Common_Modal_Cancel}">
									<hx:behavior id="uf_page_cancel_button_behavior" event="onclick" targetAction="confirmInstallModal" behaviorAction="HIDE;STOP"/>
								</hx:commandExButton>
							</DIV>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
		</hx:panelDialog>
		</DIV>
		
		<DIV id="progress-div" style="display: none;">
			<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
				<TBODY>
					<TR>
						<TD>
							<h:outputText id="ot_updating" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_Uploading_Label}"></h:outputText>
						</TD>
					</TR>
					<TR>
						<TD>
							<IMG id="uf_page_progress_bar" width="200" height="16" alt="" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/images/common/progress/slow_progress_bar.gif")%>' border=0 />
						</TD>
					</TR>
				</TBODY>
			</TABLE>
		</DIV>
			
		<DIV id="msg-div" style="display: none">
			<h:outputText id="ot_choose_switch_file" value="#{bundle.Update_Firmware_Choose_Switch_File_Label}"></h:outputText>
			<h:outputText id="ot_choose_expander_file" value="#{bundle.Update_Firmware_Choose_Expander_File_Label}"></h:outputText>
			<h:outputText id="ot_update_success" value="#{bundle.Update_Firmware_Update_Success_Label}"></h:outputText>
			<h:outputText id="ot_update_confirm" value="#{bundle.Update_Firmware_Install_Desc}"></h:outputText>
			<h:outputText id="ot_update_confirm2" value="#{bundle.Update_Firmware_Install_Desc2}"></h:outputText>
			<h:outputText id="ot_firmware_in_progress" value="#{bundle.Update_Firmware_Update_Firmware_In_Progress}"></h:outputText>	
			<h:outputText id="ot_percent_in_progress" value="#{bundle.Update_Firmware_Update_Percent_In_Progress}"></h:outputText>
			<h:outputText id="ot_expand_alt" value="#{bundle.Common_Expand_Alt}"></h:outputText>
			<h:outputText id="ot_collapse_alt" value="#{bundle.Common_Collapse_Alt}"></h:outputText>
		</DIV>
				
		<DIV id="install_completed_button" style="display: none">
			<hx:commandExButton id="cb_install_completed_button" type="submit" styleClass="dmc_commandExButton"></hx:commandExButton>			
		</DIV>					
		<hx:panelDialog style="width: 300px" id="confirmInstallCompletedModal" styleClass="dmc_panelDialog" showTitleCloseButton="false" for="cb_install_completed_button" title="#{bundle.Update_Firmware_Confirm_Install_Completed_Title}">			
			<hx:behaviorKeyPress id="uf_page_install_completed_enter_key" targetAction="cb_install_completed_button_ok" behaviorAction="click;Get" key="ENTER" />
			<TABLE align="center" width="250" class="dmc_outputText">
				<TBODY>
					<TR>
						<TD>							
							<SPAN style="width: 100%"><h:outputFormat id="uf_page_install_completed_desc" styleClass="dmc_outputText" value="#{bundle.Update_Firmware_Install_Completed_Desc}"></h:outputFormat></SPAN>										
							<BR>
							<BR>							
							<DIV style="text-align: left; width: 100%;">
								<hx:commandExButton id="cb_install_completed_button_ok" action="#{pc_UpdateFirmware.doShowResultAction}" 
									styleClass="dmc_commandExButton" style="width: 80px;" type="submit" value="#{bundle.Common_Modal_OK}" 
									onclick="return com.ibm.sysmgmt.nbce.gui.updatefirmware.MainFrame.getInstance().showWaitCursorPublic(this);">
									<hx:behavior id="uf_page_install_completed_button_behavior" event="onclick" targetAction="confirmInstallCompletedModal" behaviorAction="HIDE;POST"/>
								</hx:commandExButton>
							</DIV>							
						</TD>
					</TR>
				</TBODY>
			</TABLE>				
		</hx:panelDialog>
		
		</hx:jspPanel>
		
		</h:form>
   
	<DIV id="ajax_div">
		<IFrame name="fw_update_ajax_frame" id="fw_update_ajax_frame" title="updateFirmwareAjaxFrame" onload="com.ibm.sysmgmt.nbce.gui.updatefirmware.MainFrame.getInstance().mutipleInstallControl();" frameborder="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/firmware/UpdateFirmwareAjax.jsp")%>'></IFrame>
	</DIV>
    <%
		if (request.getHeader("User-Agent").toLowerCase().indexOf("msie") != -1) {
	%>
    <embed id="beepid" src="<%=renderResponse.encodeURL(renderRequest.getContextPath()) %>/media/dynamicRefresh.wav" autostart="false" width="0" height="0" enablejavascript="true" class="scm_flyaway_component"></embed>
    <%
    	}
    %>
    <jsp:include page="/page/common/WaitFooter.jsp"/>
    <hx:behavior event="onload"/>
	</hx:scriptCollector>
	<SCRIPT type="text/javascript">
		parent.document.getElementById("ISCWork").focus();
	</SCRIPT>
	
	</BODY>
</f:view>
<%
	}
%>
</HTML>
