function ClientPortlet()
{

	this.centerLink = initCenterLink();
	this.rightLink = initRightLink();
	this.minImg = '<img border="0" align="absmiddle" src="/ibm/console/images/title_minimize.gif" title="Minimize" alt="Minimize"/>'
	this.restoreImg = '<img border="0" align="absmiddle" src="/ibm/console/images/title_restore.gif" title="Restore" alt="Restore"/>';
	this.maxImg = '<img border="0" align="absmiddle" src="/ibm/console/images/title_maximize.gif" title="Maximize" alt="Maximize"/>'
	this.divHeight = document.getElementById("mainContentDiv").style.height;

	function initCenterLink() {
		var linkArr = document.getElementsByTagName("a");
		var minLinkIndex;
		for(var i=0; i<linkArr.length; i++) {
			var temp = linkArr[i].href;
			if(temp.indexOf("/ibm/console/cws.do?.ws=minimized") > -1 ) {
				minLinkIndex = i;
				break;
			}
		}
		if (minLinkIndex){
			linkArr[minLinkIndex].href = "";
			return linkArr[minLinkIndex];
		}
	} 
	
	function initRightLink() {
		var linkArr = document.getElementsByTagName("a");
		var maxLinkIndex;
		for(var i=0; i<linkArr.length; i++) {
			var temp = linkArr[i].href;
			if(temp.indexOf("/ibm/console/cws.do?.ws=maximized") > -1 ) {
				maxLinkIndex = i;
				break;
			}
		}
		if (maxLinkIndex){
			linkArr[maxLinkIndex].href = "";
			return linkArr[maxLinkIndex];
		}
	}
	
	// link from the table to the ClientPortlet object
	this.centerLink.clientPortlet = this;
	this.rightLink.clientPortlet = this;

	this.centerLink.onclick = ClientPortlet.prototype.onMinimize;
	this.rightLink.onclick = ClientPortlet.prototype.onMaximize;

}

ClientPortlet.prototype.onMinimize = function()
{
	//alert(this);
	//alert(this.tagName);
	//alert(this instanceof ClientPortlet);
	this.clientPortlet.minimize();
	return false;
}
ClientPortlet.prototype.minimize = function()
{
	//1.minimize page
	hideDiv("mainContentDiv");
	
	
	//2.set restore link
	this.centerLink.innerHTML = this.restoreImg;
	this.centerLink.onclick = ClientPortlet.prototype.onRestore;
	//3.set maximize like
	this.rightLink.innerHTML = this.maxImg
	this.rightLink.onclick = ClientPortlet.prototype.onMaximize;
}
ClientPortlet.prototype.onMaximize = function()
{
	//alert(this.tagName);
	this.clientPortlet.maximize();
	return false;
}
ClientPortlet.prototype.maximize = function()
{
	//1.maximize page
	var divMainContent = document.getElementById("mainContentDiv");
	divMainContent.style.height = "650px";
	divMainContent.style.display = "block";
	//2.set minimize link
	this.centerLink.innerHTML = this.minImg;
	this.centerLink.onclick = ClientPortlet.prototype.onMinimize;
	//3.set restore link
	this.rightLink.innerHTML = this.restoreImg;
	this.rightLink.onclick = ClientPortlet.prototype.onRestore;	
}

ClientPortlet.prototype.onRestore = function()
{
	this.clientPortlet.restore();
	return false;
}

ClientPortlet.prototype.restore = function()
{	

	//1.restore page
	var divMainContent = document.getElementById("mainContentDiv");
	divMainContent.style.height = this.divHeight;
	divMainContent.style.display = "block";
	//2.set minimize link
	this.centerLink.innerHTML = this.minImg;
	this.centerLink.onclick = ClientPortlet.prototype.onMinimize;
	//3.set maximize link
	this.rightLink.innerHTML = this.maxImg;
	this.rightLink.onclick = ClientPortlet.prototype.onMaximize;
}



