<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/initialconfigwizard/ICWAddSwitch.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.sysmgmt.scm.nbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%
	String path = request.getContextPath();
	String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/"; 
%>

<BASE href="<%= request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + request.getContextPath() + "/" %>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href="page/common/dmcnbcestyle.css" rel="stylesheet" type="text/css">
<LINK href="page/common/nbceTable.css" rel="stylesheet" type="text/css">
<LINK href="theme/stylesheet.css" rel="stylesheet" type="text/css">

<SCRIPT type="text/javascript" src="page/common/common.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/initialconfigwizard/Base.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/initialconfigwizard/ICWAddSwitch.js"></SCRIPT>

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<TITLE>ICWAddSwitch.jsp</TITLE>

</HEAD>

<f:view>
	<BODY>
	<hx:scriptCollector id="icw_addswitch_script_collector">
		<h:form styleClass="form" id="ajax_form">

			<div id="div_progress_indicator" style="display:none">
				<TABLE>
					<TBODY>
						<TR>
							<TD>
								<IMG border="0" src="images/common/loading/busy.gif" alt=''>
							</TD>
							<TD>&nbsp;</TD>
							<TD align="left">
								<h:outputText styleClass="dmc_outputText" value="#{bundle.ViewAllSwitches_AddSwitch_ProgressMsg}">
								</h:outputText>
							</TD>
						</TR>
					</TBODY>
				</TABLE>
			</div>
			
			<TABLE width="95%" cellspacing="0" class="dmc_outputText">
				<TBODY>
					<TR>
						<TD valign="top">&nbsp;</TD>
						<TD>
							<h:outputText styleClass="dmc_outputText" id="ot_message_label" value=""/>							
						</TD>
					</TR>
					<TR>
						<TD width="10%" rowspan="2" valign="top">
							<hx:graphicImageEx styleClass="graphicImageEx" id="calendar_image" alt="" value="images/common/components/sas_switch_32.gif">
							</hx:graphicImageEx>
						</TD>
						<TD width="90%">
							<TABLE width="95%" cellspacing="0" class="dmc_outputText">
								<TR>
									<TD>&nbsp;</TD>
									<TD colspan="2">
										<h:outputText id="indentifier" styleClass="dmc_outputTextTitle2" value="#{bundle.ICW_AddSwitch_Page_Identifier}"></h:outputText>
										<hx:graphicImageEx styleClass="graphicImageEx" id="help_indentifier" value="images/common/help/expandahelp.gif"
											title="#{bundle.Common_Expand_Alt}" alt="#{bundle.Common_Expand_Alt}" 
											onclick="com.ibm.sysmgmt.nbce.gui.initialconfigwizard.AddSwitch.getInstance()._showIPAddressHelp(this);">
										</hx:graphicImageEx>
										<div id="switch_ip_address_help_div" style="display: none">
											<h:outputFormat styleClass="dmc_outputText" id="switch_ip_address_help"
											value="#{bundle.ICW_AddSwitch_Page_Identifier_Help}"></h:outputFormat>
										</div>
									</TD>
								</TR>
								<TR>
									<TD style="color: red; text-align: right;"><label for="ajax_form:switch_ip_address_input">*</label></TD>
									<TD width="20%" nowrap>
										<h:outputLabel styleClass="dmc_outputText" id="ol_ipaddr_label" for="switch_ip_address_input">
										    <h:outputText id="ipaddr_text" styleClass="dmc_outputText" 
										    	value="#{bundle.ICW_AddSwitch_Page_Switch_IP_Address}">
										    </h:outputText>
										</h:outputLabel>
									</TD>
									<TD>
										<h:inputText styleClass="inputText" style="width: 200px;" id="switch_ip_address_input"></h:inputText>
										<h:inputHidden id="addswitch_switch1_ip_address_value" value=""/>
										<h:inputHidden id="addswitch_switch2_ip_address_value" value=""/>
									</TD>
								</TR>
								<TR>
									<TD>&nbsp;</TD>
									<TD>
										<h:outputLabel styleClass="dmc_outputText" id="ol_nickname_label" for="nick_name_input">
										    <h:outputText id="nickname_text" styleClass="dmc_outputText" 
										    	value="#{bundle.ICW_AddSwitch_Page_Nickname}">
										    </h:outputText>
										</h:outputLabel>
									</TD>
									<TD>
										<h:inputText styleClass="inputText" style="width: 200px;" id="nick_name_input"></h:inputText>
										<h:inputHidden id="addswitch_switch1_nick_name_value" value=""/>
										<h:inputHidden id="addswitch_switch2_nick_name_value" value=""/>
									</TD>
								</TR>
	
								<TR><TD><BR></TD></TR>
	
								<TR>
									<TD>&nbsp;</TD>
									<TD colspan="2">
										<h:outputText id="login" styleClass="dmc_outputTextTitle2" value="#{bundle.ICW_AddSwitch_Page_Login}"></h:outputText> 
											<hx:graphicImageEx styleClass="graphicImageEx" id="help_login" value="images/common/help/expandahelp.gif"
												title="#{bundle.Common_Expand_Alt}" alt="#{bundle.Common_Expand_Alt}" 
												onclick="com.ibm.sysmgmt.nbce.gui.initialconfigwizard.AddSwitch.getInstance()._showLoginHelp(this);">
											</hx:graphicImageEx>
										<div id="switch_login_help_div" style="display: none">
											<h:outputFormat styleClass="dmc_outputText" id="switch_login_help" 
											value="#{bundle.ICW_AddSwitch_Page_Login_Help}"></h:outputFormat>
										</div>
									</TD>
								</TR>
								<TR>
									<TD>&nbsp;</TD>
									<TD>
										<h:outputLabel styleClass="dmc_outputText" id="ol_userid_label" for="user_id_input">
										    <h:outputText id="userid_text" styleClass="dmc_outputText" 
										    	value="#{bundle.ICW_AddSwitch_Page_User_ID}">
										    </h:outputText>
										</h:outputLabel>
									</TD>
									<TD>
										<h:inputText styleClass="inputText" style="width: 200px; background-color: #eeeeee;" id="user_id_input" readonly="true"
											value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID}">
										</h:inputText>
									</TD>
								</TR>
								<TR>
									<TD style="color: red; text-align: right;"><label for="ajax_form:password_input">*</label></TD>
									<TD>
										<h:outputLabel styleClass="dmc_outputText" id="ol_password_label" for="password_input">
										    <h:outputText id="password_text" styleClass="dmc_outputText" 
										    	value="#{bundle.ICW_AddSwitch_Page_Password}">
										    </h:outputText>
										</h:outputLabel>
									</TD>
									<TD>
										<h:inputSecret styleClass="inputText" style="width:200px" id="password_input" value=""></h:inputSecret>
										<h:inputHidden id="addswitch_switch1_password_value" value=""/>
										<h:inputHidden id="addswitch_switch2_password_value" value=""/>
									</TD>
								</TR>
	
								<TR><TD><BR></TD></TR>

								<TR>
									<TD>&nbsp;</TD>
									<TD>
										<hx:commandExButton id="switch_apply" type="button" 
											value="#{bundle.ViewAllSwitches_AddSwitch}" styleClass="dmc_commandExButton"
											action="#{pc_ICWAddSwitch.doApplySwitchAction}"
											onclick="return com.ibm.sysmgmt.nbce.gui.initialconfigwizard.AddSwitch.getInstance()._applyAddSwitch(this);">
										</hx:commandExButton>
									</TD>
									<TD>&nbsp;</TD>
								</TR>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			
		</h:form>
		<h:inputHidden id="applied_switch_num_for_frame" value="0"/>
		<h:inputHidden id="applied_switch1_bayNumber" value=""/>
		<h:inputHidden id="applied_switch2_bayNumber" value=""/>
		<DIV id="div_hiddenmsg" style="display: none">
			<h:outputText id="ot_addswitch_success" value="#{bundle.ViewAllSwitches_AddSwitch_SuccessMsg}"></h:outputText>
			<h:outputText id="ot_addswitch_failed" value="#{bundle.ICW_AddSwitch_Page_Add_Failed}"></h:outputText>
			<h:outputText id="ot_add_reminding" value="#{bundle.ICW_AddSwitch_Page_First_Add_Reminding}"></h:outputText>
			<h:outputText id="ot_ip_address_empty" value="#{bundle.ViewAllSwitches_AddSwitch_IPBlankMsg}"></h:outputText>
			<h:outputText id="ot_ip_invalid" value="#{bundle.ViewAllSwitches_AddSwitch_IPInvalidMsg}"></h:outputText>
			<h:outputText id="ot_nickname_invalid" value="#{bundle.ViewAllSwitches_AddSwitch_NicknameInvalidMsg}"></h:outputText>
			<h:outputText id="ot_password_empty" value="#{bundle.ViewAllSwitches_AddSwitch_PWDBlankMsg}"></h:outputText>
			<h:outputText id="ot_expand_alt" value="#{bundle.Common_Expand_Alt}"></h:outputText>
			<h:outputText id="ot_collapse_alt" value="#{bundle.Common_Collapse_Alt}"></h:outputText>
			<h:outputText id="ot_wrong_character_msg" value="#{bundle.ViewAllSwitches_AddSwitch_NicknameWrongCharacterMsg}"></h:outputText>
		</DIV>
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
