<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/initialconfigwizard/ICWSetCalendar.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.sysmgmt.scm.nbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<BASE href="<%= request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + request.getContextPath() + "/" %>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href="page/common/dmcnbcestyle.css" rel="stylesheet" type="text/css">
<LINK href="page/common/nbceTable.css" rel="stylesheet" type="text/css">
<LINK href="theme/stylesheet.css" rel="stylesheet" type="text/css">

<SCRIPT type="text/javascript" src="page/initialconfigwizard/Base.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/initialconfigwizard/ICWSetCalendar.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/initialconfigwizard/InitialConfigWizard.js"></SCRIPT>

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<TITLE>ICWSetCalendar.jsp</TITLE>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="icw_setcalendar_script_collector">	
	<h:form styleClass="form" id="calendar_form">
	
	<TABLE width="100%" cellspacing="0" class="dmc_outputText">
		<TBODY>
		<TR>
			<TD width="10%" rowspan="2" valign="top">
				<hx:graphicImageEx styleClass="graphicImageEx" id="calendar_image" alt="" value="images/common/components/date_time_32.gif">
				</hx:graphicImageEx>
			</TD>
			<TD width="90%">
				<TABLE>
					<TR>
						<TD colspan="3">
							<h:outputText styleClass="dmc_outputText" style="color: red;" id="ot_message_label" value=""/>&nbsp;
						</TD>
					</TR>
					<TR> 
						<TD colspan="3">
						    <input type="radio" id="set_type_ntp_server" name="set_type" value="ntp_server" onclick="javascript:return com.ibm.sysmgmt.nbce.gui.initialconfigwizard.SetCalendar.getInstance()._setCalenadarType('','ntp_server');"/>							
							<label id="ol_ntp_server_label" for="set_type_ntp_server" class="dmc_outputText">
								<h:outputText id="ntp_sever_title" styleClass="dmc_outputText" value="#{bundle.ICW_SetCalendar_Page_NTPServer_Title}"></h:outputText>
							</label>
						</TD>
					</TR>
					<TR>
						<TD width="5%">&nbsp;&nbsp;&nbsp;&nbsp;</TD>
						<TD width="30%" align="left">
							<h:outputLabel styleClass="dmc_outputText" id="ol_primary_label" for="dt_it_primary">
								<h:outputText id="dt_Primary_label" styleClass="dmc_outputText" value="#{bundle.ICW_SetCalendar_Page_NTPServer_Primary}">
								</h:outputText>
							</h:outputLabel>
						</TD>
						<TD width="65%" align="left">
							<h:inputText styleClass="inputText" size="30" id="dt_it_primary"></h:inputText>
						</TD>
					</TR>
					<TR>
						<TD>&nbsp;&nbsp;&nbsp;&nbsp;</TD>
						<TD>							
							<h:outputLabel styleClass="dmc_outputText" id="ol_secondary_label" for="dt_it_secondary">
								<h:outputText id="dt_Secondary_label" styleClass="dmc_outputText" value="#{bundle.ICW_SetCalendar_Page_NTPServer_Secondary}">
								</h:outputText>
							</h:outputLabel>
						</TD>
						<TD>
							<h:inputText styleClass="inputText" size="30" id="dt_it_secondary"></h:inputText>
						</TD>
					</TR>
					
					<TR><TD><BR></TD></TR>
					<TR>
						<TD colspan="3">
						    <input type="radio" id="set_type_manual" name="set_type" value="manual" checked onclick="javascript:return com.ibm.sysmgmt.nbce.gui.initialconfigwizard.SetCalendar.getInstance()._setCalenadarType('','manual');"/>							
							<label id="ol_manual_label" for="set_type_manual" class="dmc_outputText">
								<h:outputText id="manual_set_calendar_title" styleClass="dmc_outputText" value="#{bundle.ICW_SetCalendar_Page_Manually_Title}"></h:outputText>
							</label>
						</TD>
					</TR>
					<TR>
						<TD>&nbsp;&nbsp;&nbsp;&nbsp;</TD>
						<TD>														
							<h:outputLabel styleClass="dmc_outputText" id="ol_date_label" for="dt_it_date">
							    <h:outputText id="dt_Date_label" styleClass="dmc_outputText" value="#{bundle.ICW_SetCalendar_Page_Manually_Date}">
							    </h:outputText>
							</h:outputLabel>
						</TD>	
						<TD>
							<h:inputText id="dt_it_date" size="30" styleClass="dmc_inputText">
			       				<f:convertDateTime type="date" pattern="yyyy-MM-dd" />
								<hx:inputHelperDatePicker buttonBorder="1"/>
		 					</h:inputText>
		 				</TD>			
					</TR>	
					<TR>
						<TD>&nbsp;&nbsp;&nbsp;&nbsp;</TD>
						<TD>
							<h:outputLabel styleClass="dmc_outputText" id="ol_time_label" for="dt_it_time">
							    <h:outputText id="dt_time_label" styleClass="dmc_outputText" value="#{bundle.ICW_SetCalendar_Page_Manually_Time}">
							    </h:outputText>
							</h:outputLabel>
						</TD>
						<TD>
							<h:inputText id="dt_it_time" size="30" styleClass="dmc_inputText">
			        			<f:convertDateTime type="time" pattern="HH:mm:ss" dateStyle="long" />	
								<hx:inputHelperDatePicker />
		 					</h:inputText>
						</TD>	
					</TR>	
										
					<TR><TD><BR></TD></TR>	
					<TR>
						<TD colspan="3">
						    <input type="radio" id="set_type_skip" name="set_type" value="skip" onclick="javascript:return com.ibm.sysmgmt.nbce.gui.initialconfigwizard.SetCalendar.getInstance()._setCalenadarType('','skip');"/>							
							<label id="ol_skip_label" for="set_type_skip" class="dmc_outputText">
								<h:outputText id="skip_set_calendar_title" styleClass="dmc_outputText" value="#{bundle.ICW_SetCalendar_Page_Skip_Step}"></h:outputText>
							</label>
						</TD>						
					</TR>
				</TABLE>
			</TD>
		</TR>
		</TBODY>
	</TABLE>
	
	<h:inputHidden id="select_set_type" value=""/>
	<h:inputHidden id="applied_switch_num" value="0"/>
	<h:inputHidden id="set_date_str" value=""/>
	<h:inputHidden id="set_time_str" value=""/>
	<DIV style="display:none">
		<h:outputText id="ot_invalid_ip"  value="#{bundle.ICW_SetCalendar_Page_Invalid_IP_Address}"></h:outputText>
		<h:outputText id="ot_invalid_date" value="#{bundle.ICW_SetCalendar_Page_Invalid_Date}"></h:outputText>	
		<h:outputText id="ot_invalid_time" value="#{bundle.ICW_SetCalendar_Page_Invalid_Time}"></h:outputText>
		<h:outputText id="ot_time_empty" value="#{bundle.ICW_SetCalendar_Page_Time_Empty}"></h:outputText>
		<h:outputText id="ot_date_empty" value="#{bundle.ICW_SetCalendar_Page_Date_Empty}"></h:outputText>
		<h:outputText id="ot_primary_empty" value="#{bundle.ICW_SetCalendar_Page_Primary_Empty}"></h:outputText>
		<hx:commandExButton id="set_caendar_apply" type="button" value="" action="#{pc_ICWSetCalendar.setCalendar}"
			onclick="return com.ibm.sysmgmt.nbce.gui.initialconfigwizard.SetCalendar.getInstance()._applySetCalendar(this);">
		</hx:commandExButton>	
	</DIV>
	
	</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
