<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/initialconfigwizard/ICWSummary.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.sysmgmt.scm.nbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<BASE href="<%= request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + request.getContextPath() + "/" %>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>


<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href="page/common/dmcnbcestyle.css" rel="stylesheet" type="text/css">
<LINK href="page/common/nbceTable.css" rel="stylesheet" type="text/css">

<SCRIPT type="text/javascript" src="page/initialconfigwizard/Base.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/initialconfigwizard/ICWSummary.js"></SCRIPT>

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<TITLE>ICWSummary.jsp</TITLE>

</HEAD>

<f:view>
	<BODY>
	<hx:scriptCollector id="icw_summary_script_collector">
	
	<hx:graphicImageEx styleClass="graphicImageEx" id="calendar_image" alt="" value="images/common/components/summary_32.gif">
	</hx:graphicImageEx>
	<BR><BR>
	
	<TABLE border="0" cellpadding="0" cellspacing="0" width="80%">
		<TR> 
			<TD colspan="3">
				<h:outputText id="summary_add_switch_title" styleClass="dmc_outputTextTitle2" value="#{bundle.ICW_Summary_Page_AddSwitch_Title}"></h:outputText>
			</TD>
		</TR>
		<TR>
			<TD width="30%">
				<h:outputText id="summary_ip_address_label" styleClass="dmc_outputText" value="#{bundle.ICW_Summary_Page_AddSwitch_IPAddress}"></h:outputText>
			</TD>
			<TD width="20%">
				<h:outputText id="summary_switch1_ip_address_value" styleClass="dmc_outputText" value=""></h:outputText>
			</TD>
			<TD width="20%">
				<DIV id="row_1" style="display: none;">
					<h:outputText id="summary_switch2_ip_address_value" styleClass="dmc_outputText" value=""></h:outputText>
				</DIV>				
			</TD>
		</TR>
		<TR>
			<TD>
				<h:outputText id="summary_nick_name_label" styleClass="dmc_outputText" value="#{bundle.ICW_AddSwitch_Page_Nickname}"></h:outputText>
			</TD>
			<TD>
				<h:outputText id="summary_switch1_nick_name_value" styleClass="dmc_outputText" value=""></h:outputText>
			</TD>
			<TD>
				<DIV id="row_2" style="display: none;">
					<h:outputText id="summary_switch2_nick_name_value" styleClass="dmc_outputText" value=""></h:outputText>
				</DIV>	
			</TD>
		</TR>
		
		<TR><TD>&nbsp;</TD></TR>
		<TR> 
			<TD colspan="3">
				<h:outputText id="summary_tcp_ports_title" styleClass="dmc_outputTextTitle2" value="#{bundle.ICW_AddSwitch_Page_TCP_Ports}"></h:outputText>
			</TD>
		</TR>
		<TR>
			<TD>
				<h:outputText id="summary_administration_label" styleClass="dmc_outputText" value="#{bundle.ICW_AddSwitch_Page_Administration}"></h:outputText>
			</TD>
			<TD>
				<h:outputText id="summary_switch1_administration_port_value" styleClass="dmc_outputText" value="6641"></h:outputText>
			</TD>
			<TD>
				<DIV id="row_3" style="display: none;">
					<h:outputText id="summary_switch2_administration_port_value" styleClass="dmc_outputText" value="6641"></h:outputText>
				</DIV>	
			</TD>
		</TR>
		<TR>
			<TD>
				<h:outputText id="summary_events_label" styleClass="dmc_outputText" value="#{bundle.ICW_AddSwitch_Page_Event}"></h:outputText>
			</TD>
			<TD>
				<h:outputText id="summary_switch1_event_port_value" styleClass="dmc_outputText" value="6642"></h:outputText>
			</TD>
			<TD>
				<DIV id="row_4" style="display: none;">
					<h:outputText id="summary_switch2_event_port_value" styleClass="dmc_outputText" value="6642"></h:outputText>
				</DIV>
			</TD>
		</TR>
		<TR>
			<TD>
				<h:outputText id="summary_firmware_download_label" styleClass="dmc_outputText" value="#{bundle.ICW_AddSwitch_Page_Firmware_Download}"></h:outputText>
			</TD>
			<TD>
				<h:outputText id="summary_switch1_firmware_download_port_value" styleClass="dmc_outputText" value="6643"></h:outputText>
			</TD>
			<TD>
				<DIV id="row_5" style="display: none;">
					<h:outputText id="summary_switch2_firmware_download_port_value" styleClass="dmc_outputText" value="6643"></h:outputText>
				</DIV>
			</TD>
		</TR>
		
		<TR><TD>&nbsp;</TD></TR>
		<TR> 
			<TD>
				<h:outputText id="summary_calendar_title" styleClass="dmc_outputTextTitle2" value="#{bundle.ICW_Summary_Page_DateTime_Title}"></h:outputText>
			</TD>
			<TD>
				<input type="checkbox" id="summary_switch1_calendar_set" name="summary_switch1_calendar_set" disabled>
				<label id="ol_switch1_calendar_set_label" for="summary_switch1_calendar_set" class="dmc_hiddenLabel">
					<h:outputText id="ol_switch1_calendar_set_hidden" styleClass="dmc_outputText" value="#{bundle.ICW_Summary_Page_DateTime_Title}"></h:outputText>
				</label>
			</TD>
			<TD>
				<DIV id="row_6" style="display: none;">
					<input type="checkbox" name="summary_switch2_calendar_set" id="summary_switch2_calendar_set" disabled>	
					<label id="ol_switch2_calendar_set_label" for="summary_switch2_calendar_set" class="dmc_hiddenLabel">
						<h:outputText id="ol_switch2_calendar_set_hidden" styleClass="dmc_outputText" value="#{bundle.ICW_Summary_Page_DateTime_Title}"></h:outputText>
					</label>
				</DIV>
			</TD>
		</TR>
		
		<TR><TD>&nbsp;</TD></TR>
		<TR> 
			<TD colspan="3">
				<h:outputText id="summary_modify_pwd_title" styleClass="dmc_outputTextTitle2" value="#{bundle.ICW_Summary_Page_ModifyPassword_Title}"></h:outputText>
			</TD>
		</TR>
		<TR>
			<TD>
				<h:outputText id="summary_userid_label" styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID}"></h:outputText>
			</TD>
			<TD>
				<input type="checkbox" id="summary_switch1_userid_changed" name="summary_switch1_userid_changed" disabled>
				<label id="ol_switch1_userid_changed_label" for="summary_switch1_userid_changed" class="dmc_hiddenLabel">
					<h:outputText id="ol_switch1_userid_changed_hidden" styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID}"></h:outputText>
				</label>
			</TD>
			<TD>
				<DIV id="row_7" style="display: none;">
					<input type="checkbox" name="summary_switch2_userid_changed" id="summary_switch2_userid_changed" disabled>
					<label id="ol_switch2_userid_changed_label" for="summary_switch2_userid_changed" class="dmc_hiddenLabel">
						<h:outputText id="ol_switch2_userid_changed_hidden" styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID}"></h:outputText>
					</label>
				</DIV>	
			</TD>
		</TR>
		<TR>
			<TD>
				<h:outputText id="summary_userid1_label" styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID1}"></h:outputText>
			</TD>
			<TD>
				<input type="checkbox" name="summary_switch1_userid1_changed" id="summary_switch1_userid1_changed" disabled>
				<label id="ol_switch1_userid1_changed_label" for="summary_switch1_userid1_changed" class="dmc_hiddenLabel">
					<h:outputText id="ol_switch1_userid1_changed_hidden" styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID1}"></h:outputText>
				</label>
			</TD>
			<TD>
				<DIV id="row_8" style="display: none;">
					<input type="checkbox" name="summary_switch2_userid1_changed" id="summary_switch2_userid1_changed" disabled>
					<label id="ol_switch2_userid1_changed_label" for="summary_switch2_userid1_changed" class="dmc_hiddenLabel">
						<h:outputText id="ol_switch2_userid1_changed_hidden" styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID1}"></h:outputText>
					</label>
				</DIV>	
			</TD>
		</TR>
		<TR>
			<TD>
				<h:outputText id="summary_userid2_label" styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID2}"></h:outputText>
			</TD>
			<TD>
				<input type="checkbox" name="summary_switch1_userid2_changed" id="summary_switch1_userid2_changed" disabled>
				<label id="ol_switch1_userid2_changed_label" for="summary_switch1_userid2_changed" class="dmc_hiddenLabel">
					<h:outputText id="ol_switch1_userid2_changed_hidden" styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID2}"></h:outputText>
				</label>
			</TD>
			<TD>
				<DIV id="row_9" style="display: none;">
					<input type="checkbox" name="summary_switch2_userid2_changed" id="summary_switch2_userid2_changed" disabled>
					<label id="ol_switch2_userid2_changed_label" for="summary_switch2_userid2_changed" class="dmc_hiddenLabel">
						<h:outputText id="ol_switch2_userid2_changed_hidden" styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID2}"></h:outputText>
					</label>
				</DIV>	
			</TD>
		</TR>
		<TR>
			<TD>
				<h:outputText id="summary_userid3_label" styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID3}"></h:outputText>
			</TD>
			<TD>
				<input type="checkbox" name="summary_switch1_userid3_changed" id="summary_switch1_userid3_changed" disabled>
				<label id="ol_switch1_userid3_changed_label" for="summary_switch1_userid3_changed" class="dmc_hiddenLabel">
					<h:outputText id="ol_switch1_userid3_changed_hidden" styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID3}"></h:outputText>
				</label>
			</TD>
			<TD>
				<DIV id="row_10" style="display: none;">
					<input type="checkbox" name="summary_switch2_userid3_changed" id="summary_switch2_userid3_changed" disabled>
					<label id="ol_switch2_userid3_changed_label" for="summary_switch2_userid3_changed" class="dmc_hiddenLabel">
						<h:outputText id="ol_switch2_userid3_changed_hidden" styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID3}"></h:outputText>
					</label>
				</DIV>
			</TD>
		</TR>
		
		<TR><TD>&nbsp;</TD></TR>
		<TR> 
			<TD colspan="3">
				<h:outputText id="summary_set_sas_access_reminder" styleClass="dmc_outputText" value="#{bundle.ICW_Summary_Page_SetSASAccess_Reminder}" style="font-weight: bold"></h:outputText>
			</TD>
		</TR>		
	</TABLE>
	
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>