<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/log/ViewAuditLog.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>
<%@ include file="/page/common/Header.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>


<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/dmcnbcestyle.css") %>' >
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/nbceTable.css") %>' >

<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/log/Log.js") %>'></SCRIPT>

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<TITLE>ViewAuditLog.jsp</TITLE>

</HEAD>
<BODY>
<%
if(data.isNoDomains())
{
%>
<f:view>
<h:form id="divForm">
	<jsp:include page="/page/common/RedirectNoDomains.jsp"/>
</h:form>
</f:view>
<%
	}else{
%>
<f:view>	
		<hx:scriptCollector id="scriptCollector">			
		<jsp:include page="/page/common/WaitHeader.jsp"/>
		<!-- TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
			<TBODY>
				<TR>
					<TD valign="top">
						<h:outputText styleClass="dmc_outputTextTitle" id="auditLogPageTitle" value="#{bundle.AuditLog_Title}"></h:outputText>
					</TD>
				</TR>
			</TBODY>
		</TABLE -->
		
		<h:outputFormat styleClass="dmc_outputText" id="auditLogPageDesc" value="#{bundle.AuditLog_Description}"></h:outputFormat>		
		<HR>
		
		<h:form styleClass="form" id="auditLogForm" style="margin: 0px" onsubmit="startCommonWait()">
		<jsp:include page="/page/common/RedirectNoDomains.jsp"/>
		<hx:commandExButton type="submit" id="refreshButton" styleClass="dmc_commandExButton" style="width: 80px;" value="#{bundle.Common_Page_Refresh}"  action="pc_ViewAuditLog.doRefreshButton">
	    </hx:commandExButton>
		<h:outputText styleClass="dmc_outputText" id="auditLogPageLastRefreshTitle" value="#{bundle.Common_Page_LastRefresh}"></h:outputText>
		<SPAN class="dmc_outputText" id="lastRefreshTimestamp"></SPAN>		
		<BR>
		<BR>
		<h:outputText id="auditLogNoRecordsDesc" value="#{bundle.AuditLog_No_Records_Description}" styleClass="dmc_outputText" rendered="#{auditLogsBean.noRecords}"></h:outputText>

		<h:dataTable border="0" cellpadding="0" cellspacing="0" headerClass="nbceTableHeaderCell" rowClasses="nbceTableRow" columnClasses="nbceTableRow" styleClass="nbceTable"
			id="auditLogTable" summary="#{bundle.Table_Summary_Audit_Log}"  width="100%" value="#{auditLogsBean.logEvent}" var="varAuditBean" rendered="#{!auditLogsBean.noRecords}">
			<h:column id="auditLogCol1">
				<f:facet name="header">
					<h:outputText id="auditLogColTitle1"
						styleClass="dmc_outputText"
						value="#{bundle.AuditLogTable_ID}"></h:outputText>
				</f:facet>
				<h:outputText id="auditLogID" value="#{varAuditBean.messageID}"
					styleClass="dmc_outputText">
				</h:outputText>
				<f:attribute value="left" name="align" />
				<f:attribute value="120" name="width" />
				</h:column>
			<h:column id="auditLogCol2">
				<f:facet name="header">
					<h:outputText id="auditLogColTitle2"
						styleClass="dmc_outputText"
						value="#{bundle.AuditLogTable_Date_and_Time}"></h:outputText>
				</f:facet>
				<h:outputText id="auditLogTimeStamps" value="#{varAuditBean.timestamp}"
					styleClass="dmc_outputText">
				</h:outputText>
				<f:attribute value="left" name="align" />
				<f:attribute value="180" name="width" />
			</h:column>  
			<h:column id="auditLogCol3">
				<f:facet name="header">
					<h:outputText id="auditLogColTitle3"
						styleClass="dmc_outputText"
						value="#{bundle.AuditLogTable_DeviceSASAddress}"></h:outputText>
				</f:facet>
			
				<h:outputText id="auditLogDevice" value="#{varAuditBean.device}"
					styleClass="dmc_outputText">
				</h:outputText>
				<f:attribute value="left" name="align" />
				<f:attribute value="150" name="width" />
			</h:column>
			<h:column id="auditLogCol4">
				<f:facet name="header">
					<h:outputText id="auditLogColTitle4"
						styleClass="dmc_outputText"
						value="#{bundle.AuditLogTable_User_ID}"></h:outputText>
				</f:facet>
			
				<h:outputText id="auditLogUserID" value="#{varAuditBean.userID}"
					styleClass="dmc_outputText">
				</h:outputText>
				<f:attribute value="left" name="align" />
				<f:attribute value="100" name="width" />
			</h:column>
			<h:column id="auditLogCol5">
				<f:facet name="header">
					<h:outputText id="auditLogColTitle5"
						styleClass="dmc_outputText"
						value="#{bundle.AuditLogTable_Description}"></h:outputText>
				</f:facet>
				
				<h:outputText id="auditLogDescription" value="#{varAuditBean.description}"
					styleClass="dmc_outputText">
				</h:outputText>
				<f:attribute value="left" name="align" />
				<f:attribute value="200" name="width" />
			</h:column>
		</h:dataTable>
			
		</h:form>
		
		<jsp:include page="/page/common/WaitFooter.jsp"/>
<hx:behavior target="#body" event="onload" behaviorAction="nothing"  onActionFunction="document.getElementById('lastRefreshTimestamp').innerHTML = getLocalizedCurrentTime();parent.document.getElementById('ISCWork').focus();" />
	</hx:scriptCollector>
	</f:view>
	<%
	}
   %>
</BODY>
</HTML>