// ExpanderPorts.js

function disablePropertiesButton()
{
	if(document.getElementById("view:propertiesButton"))
	{
		document.getElementById("view:propertiesButton").disabled = true;
	}
}

function enablePropertiesButton()
{
	document.getElementById("view:propertiesButton").disabled = false;
}

function viewProperties()
{	
	radioButtons = document.getElementsByName('selectedPort');
	
	for(x = 0; x < radioButtons.length; x++)
	{
		if(radioButtons[x].checked)
		{
			selectedID = radioButtons[x].value;
			break;
		}
	}
	
	for(x = 0; x < properties.length; x++)
	{
		if(properties[x][0] == selectedID)
		{
			break;
		}
	}
		
	// Make sure x is valid
	if(x == properties.length)
	{
		return;
	}
		
	// Check the type of the item selected
	showDiskDrivePortProperties(properties[x]);
}

function showDiskDrivePortProperties(data)
{	
	// Set the data in the modal
	document.getElementById("diskDrivePortPropertiesPortID").innerHTML = data[1];
	document.getElementById("diskDrivePortPropertiesAddress").innerHTML = data[2];
	document.getElementById("diskDrivePortPropertiesType").innerHTML = data[3];
	document.getElementById("diskDrivePortPropertiesStatus").innerHTML = data[4];
	
	// Setting up the PHYs table
	var phys = data[5];
	
	// We are only going to have one phy
	var phy = phys[0];
	
	document.getElementById("diskDrivePortPHYPropertiesPHYID").innerHTML = phy[0];
	document.getElementById("diskDrivePortPHYPropertiesLinkRate").innerHTML = phy[1];
	document.getElementById("diskDrivePortPHYPropertiesMaxLinkRate").innerHTML = phy[2];
	document.getElementById("diskDrivePortPHYPropertiesIsConnected").innerHTML = phy[3];
	
	// Show the modal
	document.getElementById("diskDrivePortPropertiesLauncher").click();	
}