<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/ports/SASSwitchPorts.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.sysmgmt.scm.nbce.nls.MessageFormatter,com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/ServletHeader.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.viewports.*, javax.swing.tree.DefaultMutableTreeNode, java.util.ArrayList, java.util.ResourceBundle"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href="../../theme/Master.css" rel="stylesheet" type="text/css">
<LINK href="page/common/dmcnbcestyle.css" rel="stylesheet" type="text/css">
<LINK href="page/ports/SASSwitchPorts.css" rel="stylesheet" type="text/css">
<LINK href="page/common/nbceTable.css" rel="stylesheet" type="text/css">

<TITLE>SASSwitchPorts.jsp</TITLE>

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<SCRIPT src="page/ports/SASSwitchPorts.js"></SCRIPT>

<%
// Making sure that this variable has global scope
ViewPortsBean vpb = null;

%>

</HEAD>
<f:view>
	<BODY onLoad="disableButtons(); document.getElementById('lastRefreshTimestamp').innerHTML = getLocalizedCurrentTime(); " onkeydown = "parent.switchTab(event);">
	
	<jsp:include page="/page/common/WaitHeader.jsp"/>
	
	<hx:scriptCollector id="sasswitch_ports_script_collector">
	<h:form id="form1" onsubmit='startCommonWait()'>
	
	<h:outputText id="expand_alt" style="display: none;" value="#{bundle.Common_Expand_Alt}"></h:outputText>
	<h:outputText id="collapse_alt" style="display: none;" value="#{bundle.Common_Collapse_Alt}"></h:outputText>
	<hx:commandExButton styleClass="dmc_commandExButton" style="width: 80px;" id="refreshButton" value="#{bundle.Common_Page_Refresh}"  type="button" onclick="parent.reloadCurrentTab()"></hx:commandExButton>
	<h:outputFormat id="sasswitch_ports_last_refresh_time_text" styleClass="dmc_outputText" value="#{bundle.Common_Page_LastRefresh}"></h:outputFormat>
	<SPAN class="dmc_outputText" id="lastRefreshTimestamp"> </SPAN>	
	
	<BR>
	<BR>
	
	<hx:commandExButton styleClass="dmc_commandExButton" style="width: 80px;" id="enableButton" value="#{bundle.SASSwitchPorts_Enable}" type="button" onclick="clickedEnable()"></hx:commandExButton>	
	<hx:commandExButton styleClass="dmc_commandExButton" style="width: 80px;" id="disableButton" value="#{bundle.SASSwitchPorts_Disable}" type="button" onclick="clickedDisable()"></hx:commandExButton>
	<hx:commandExButton styleClass="dmc_commandExButton" style="width: 80px;" id="propertiesButton" value="#{bundle.SASSwitchPorts_Properties}"  type="button" onclick="viewProperties()"></hx:commandExButton>
	
	<hx:commandExButton style="display: none;" id="enableLauncher" value="Enable" type="button"></hx:commandExButton>	
	<hx:commandExButton style="display: none;" id="disableLauncher" value="Disable" type="button"></hx:commandExButton>

	<hx:commandExButton style="display: none;" id="enableSubmit" value="Enable" type="submit" action="#{pc_SASSwitchPorts.enablePorts}"></hx:commandExButton>	
	<hx:commandExButton style="display: none;" id="disableSubmit" value="Disable" type="submit" action="#{pc_SASSwitchPorts.disablePorts}"></hx:commandExButton>

	<TABLE class="nbceTable dmc_outputText" cellspacing="0" cellpadding="0" width="630" summary="<%=MessageFormatter.formatLabel(GWMNBCEL.Table_Summary_SASSwitch_Ports,null)%>">
		<TBODY>
			<TR>
				<TD width="10%" class="nbceTableHeaderCell">
					<h:outputFormat id="sasswitch_ports_select_header" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_Select}"></h:outputFormat>
				</TD>
				<TD width="35%" class="nbceTableHeaderCell">
					<h:outputFormat id="sasswitch_ports_id_header" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_PortID}"></h:outputFormat>
				</TD>
				<TD width="25%" class="nbceTableHeaderCell">
					<h:outputFormat id="sasswitch_ports_address_header" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_AttachedAddress}"></h:outputFormat>
				</TD>
				<TD width="15%" class="nbceTableHeaderCell">
					<h:outputFormat id="sasswitch_ports_enabled_header" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_Enabled}"></h:outputFormat>
				</TD>
				<TD width="15%" class="nbceTableHeaderCell" style="border-right-width: 0">
					<h:outputFormat id="sasswitch_ports_status_header" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_Status}"></h:outputFormat>
				</TD>
			</TR>
			
		
				
					<%
						FacesContext fc = FacesContext.getCurrentInstance();
						
						vpb = (ViewPortsBean) fc.getApplication().createValueBinding("#{viewPortsBean}").getValue(fc);
						
						DefaultMutableTreeNode dummyRoot = new DefaultMutableTreeNode();
						
						ResourceBundle nls = ResourceBundle.getBundle("com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL");
						
						// Blade Slot Connections
						DefaultMutableTreeNode bladeSlotConnectionsRoot = new DefaultMutableTreeNode(new String[] {"", nls.getString("SASSwitchPorts_BladeBayConnections"), "&nbsp;", "&nbsp;", "&nbsp;", "&nbsp;"});
						
						VPBladeSlotConnection[] bladeSlotConnections = vpb.getBladeSlotConnections();
						
						for(int x = 0; x < bladeSlotConnections.length; x++)
						{
							String[] properties = new String[5];
							
							properties[0] = "<INPUT id='" + bladeSlotConnections[x].getID() + "' type='checkbox' name='portList' value='" + bladeSlotConnections[x].getID() + "' onClick='portCheckBoxClicked(this)'>";
							properties[1] = "&nbsp;&nbsp;&nbsp;<IMG style='vertical-align: bottom;' src='images/common/components/blade_16.gif'"+ " alt=''><label for='" + bladeSlotConnections[x].getID() + "' class='dmc_outputText'><span class='dmc_outputText'>" + bladeSlotConnections[x].getDisplayName() + "</span></label>";
							properties[2] = bladeSlotConnections[x].getAttachedPortAddress();
							
							properties[3] = bladeSlotConnections[x].isEnabled() + "";
							
							properties[4] = "<IMG src='" + bladeSlotConnections[x].getStatusImage12().substring(1) + "'"+" alt=''> " + bladeSlotConnections[x].getStatusTextLink();
							
							bladeSlotConnectionsRoot.add(new DefaultMutableTreeNode(properties));
						}
						
						// Add blade connections to the dummy root
						dummyRoot.add(bladeSlotConnectionsRoot);
						
						// External Ports
						DefaultMutableTreeNode externalPortsRoot = new DefaultMutableTreeNode(new String[] {"", nls.getString("SASSwitchPorts_ExternalPorts"), "&nbsp;", "&nbsp;", "&nbsp;", "&nbsp;"});
						
						VPExternalPort[] externalPorts = vpb.getExternalPorts();
						
						for(int x = 0; x < externalPorts.length; x++)
						{
							String[] properties = new String[5];
							
							properties[0] = "<INPUT id='" + externalPorts[x].getID() + "' type='checkbox' name='portList' value='" + externalPorts[x].getID() + "' onClick='portCheckBoxClicked(this)'>";
							properties[1] = "&nbsp;&nbsp;&nbsp;<IMG style='vertical-align: bottom;' src='images/common/components/external_port_16.gif'"+ " alt=''><label for='" + externalPorts[x].getID() + "' class='dmc_outputText'><span class='dmc_outputText'>" + externalPorts[x].getDisplayName() + "</span></label>";
							properties[2] = externalPorts[x].getAttachedPortAddress();

							properties[3] = externalPorts[x].isEnabled() + "";
							
							properties[4] = "<IMG src='" + externalPorts[x].getStatusImage12().substring(1) + "'"+" alt=''> " + externalPorts[x].getStatusTextLink();
							
							
							externalPortsRoot.add(new DefaultMutableTreeNode(properties));
						}
						
						// Add external ports to the dummy root
						dummyRoot.add(externalPortsRoot);
						
						// Expanders
						VPDSSExpander[] expanders = vpb.getDSSExpanders();						
						
						for(int x = 0; x < expanders.length; x++)
						{
							String[] properties = new String[5];
							
							properties[0] = "<INPUT id='" + expanders[x].getID() + "' type='checkbox' name='expanderList' value='" + expanders[x].getID() + "' onClick='expanderCheckBoxClicked(this)'>";
							
							// If the expander is connected, make the name clickable (to bring up its tab)
							if(expanders[x].isConnected())
							{
								properties[1] = "<A href='javascript:parent.clickedTab(" + (x + 1) + ")'><label for='" + expanders[x].getID() + "' class='dmc_outputText' onclick='javascript:parent.clickedTab(" + (x + 1) + ")'><span class='dmc_outputText' style='cursor: pointer'>" + expanders[x].getDisplayName() + "</span></label></A>";
							}
							else
							{
								// Here its just a plain text name
								properties[1] = expanders[x].getDisplayName();
							}
							
							// Adding the expander image before the nickname
							properties[1] = "<IMG src='images/common/components/expander_16.gif' style='vertical-align: bottom;' alt=''>" + properties[1];
							
							properties[2] = expanders[x].getSASAddress();
							
							properties[3] = "&nbsp";
							properties[4] = "<IMG src='" + expanders[x].getStatusImage12().substring(1) + "'" + " alt=''> " + expanders[x].getStatusText();
							
							DefaultMutableTreeNode currentExpander = new DefaultMutableTreeNode(properties);
							
							// Add to dummy root
							dummyRoot.add(currentExpander);
						}					

					
						StringBuffer sb = new StringBuffer();
						
						// Printing the tree
						printTrees(dummyRoot, "root", 0,  sb);
					%>

					<%= sb.toString() %>
			        
						
		</TBODY>
	</TABLE>
	
	</h:form>
	
	<!-- ----------------------------------------------------------- CONFIRMATION MODALS ---------------------------------------------------------------------- -->
	
	<hx:panelDialog style="width: 400px" id="confirmEnableModal" styleClass="dmc_panelDialog" showTitleCloseButton="true" for="enableLauncher" title="#{bundle.SASSwitchPorts_ConfirmEnablePortTitle}">
		
		<TABLE align="center" width="350" class="dmc_outputText">
		<TBODY>
		<TR>
		<TD>
		
		<SPAN style="width: 100%"><h:outputFormat id="sasswitch_ports_confirm_enable_port_question" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_ConfirmEnablePortQuestion}"></h:outputFormat></SPAN>
		
		<UL id="enablePortList">
		</UL>
		
		<DIV id="enableDisclaimer">
		<h:outputFormat id="sasswitch_ports_confirm_enable_port_disclaimer" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_ConfirmEnablePortDisclaimer}"></h:outputFormat>
		<BR>
		<BR>
		</DIV>
		
		<SPAN>
		<h:outputFormat id="sasswitch_ports_confirm_enable_port_confirm_text" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_ConfirmEnablePortConfirmText}"></h:outputFormat>
		<BR>
		<h:outputFormat id="sasswitch_ports_confirm_enable_port_cancel_text" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_ConfirmEnablePortCancelText}"></h:outputFormat>
		</SPAN>
		
		<BR>
		<BR>
		
		<DIV style="text-align: left; width: 100%;">
			<hx:commandExButton id="sasswitch_ports_confirm_enable_port_ok_button" styleClass="dmc_commandExButton" style="width: 80px;" type="button" value="#{bundle.Common_Modal_OK}" onclick="document.getElementById('view:form1:enableSubmit').click()">
				<hx:behavior id="sasswitch_ports_confirm_enable_port_ok_button_behavior" event="onclick" targetAction="confirmEnableModal" behaviorAction="HIDE;STOP"/>
			</hx:commandExButton>
			<hx:commandExButton id="sasswitch_ports_confirm_enable_port_cancel_button" styleClass="dmc_commandExButton" style="width: 80px" type="button" value="#{bundle.Common_Modal_Cancel}">
				<hx:behavior id="sasswitch_ports_confirm_enable_port_cancel_button_behavior" event="onclick" targetAction="confirmEnableModal" behaviorAction="HIDE;STOP"/>
			</hx:commandExButton>
		</DIV>
		
		</TD>
		</TR>
		</TBODY>
		</TABLE>
		
	</hx:panelDialog>
	
	<hx:panelDialog style="width: 400px;" id="confirmDisableModal" styleClass="dmc_panelDialog" showTitleCloseButton="true" for="disableLauncher" title="#{bundle.SASSwitchPorts_ConfirmDisablePortTitle}">
		
		<TABLE align="center" width="350" class="dmc_outputText">
		<TBODY>
		<TR>
		<TD>
		
		<SPAN style="width: 100%"><h:outputFormat id="sasswitch_ports_confirm_disable_port_question" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_ConfirmDisablePortQuestion}"></h:outputFormat></SPAN>
		
		<UL id="disablePortList">
		</UL>
		
		<DIV id="disableDisclaimer">
		<h:outputFormat id="sasswitch_ports_confirm_disable_port_disclaimer" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_ConfirmDisablePortDisclaimer}"></h:outputFormat>
		<BR>
		<BR>
		</DIV>
		
		<SPAN>
		<h:outputFormat id="sasswitch_ports_confirm_disable_port_confirm_text" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_ConfirmDisablePortConfirmText}"></h:outputFormat>
		<BR>
		<h:outputFormat id="sasswitch_ports_confirm_disable_port_cancel_text" styleClass="dmc_outputText" value="#{bundle.SASSwitchPorts_ConfirmDisablePortCancelText}"></h:outputFormat>
		</SPAN>
		
		<BR>
		<BR>
		
		<DIV style="text-align: left; width: 100%;">
			<hx:commandExButton id="sasswitch_ports_confirm_disable_port_ok_button" styleClass="dmc_commandExButton" style="width: 80px;" value="#{bundle.Common_Modal_OK}" onclick="document.getElementById('view:form1:disableSubmit').click()">
				<hx:behavior id="sasswitch_ports_confirm_disable_port_ok_button_behavior" event="onclick" targetAction="confirmDisableModal" behaviorAction="HIDE;STOP"/>
			</hx:commandExButton>

			<hx:commandExButton id="sasswitch_ports_confirm_disable_port_cancel_button" styleClass="dmc_commandExButton" style="width: 80px;" type="button" value="#{bundle.Common_Modal_Cancel}">
				<hx:behavior id="sasswitch_ports_confirm_disable_port_cancel_button_behavior" event="onclick" targetAction="confirmDisableModal" behaviorAction="HIDE;STOP"/>
			</hx:commandExButton>
		</DIV>
		
		</TD>
		</TR>
		</TBODY>
		</TABLE>
		
	</hx:panelDialog>
	
	
	<!------------------------------------------------------------ PROPERTIES DATA -------------------------------------------------------------------------------->
	<%
	VPBladeSlotConnection[] bladeSlotConnections = vpb.getBladeSlotConnections();
	VPExternalPort[] externalPorts = vpb.getExternalPorts();
	VPDSSExpander[] expanders = vpb.getDSSExpanders();
	%>
	<SCRIPT>
	properties = [
	<%
	for(int x = 0; x < bladeSlotConnections.length; x++)
	{
	%>
	['<%= bladeSlotConnections[x].getID() %>', 'BladeSlotConnection', '<%= bladeSlotConnections[x].getDisplayName() %>', '<%= bladeSlotConnections[x].getAttachedPortAddress() %>', '<%= bladeSlotConnections[x].getAttachedType() %>', '<%= bladeSlotConnections[x].isEnabled() %>', '<%= "<IMG src=\"" + bladeSlotConnections[x].getStatusImage16().substring(1) + "\" alt=\"\"> " + bladeSlotConnections[x].getStatusTextLink() %>', 
		[
		<%
		VPPHY[] phys = bladeSlotConnections[x].getPHYs();
		
		for(int y = 0; y < phys.length; y++)
		{
		%>
		['<%= phys[y].getLinkRate() %>', '<%= phys[y].getMaximumLinkRate() %>', '<%= phys[y].isConnected() %>', '<%=phys[y].getDisplayName()%>'], 
		<%
		}
		%>
		]
	], 	
	<%
	}
	%>
	
	<%
	for(int x = 0; x < externalPorts.length; x++)
	{
	%>
	['<%= externalPorts[x].getID() %>', 'ExternalPort', '<%= externalPorts[x].getDisplayName() %>', '<%= externalPorts[x].getAttachedPortAddress() %>', '<%= externalPorts[x].getAttachedType() %>', '<%= externalPorts[x].getRoutingSetting() %>', '<%= externalPorts[x].isEnabled() %>', '<%= "<IMG src=\"" + externalPorts[x].getStatusImage16().substring(1) + "\" alt=\"\"> " + externalPorts[x].getStatusTextLink() %>',
		[
		<%
		VPPHY[] phys = externalPorts[x].getPHYs();
		
		for(int y = 0; y < phys.length; y++)
		{
		%>
		['<%= phys[y].getDisplayName() %>', '<%= phys[y].getLinkRate() %>', '<%= phys[y].getMaximumLinkRate() %>', '<%= phys[y].isConnected() %>', '<%= "<IMG src=\"" + phys[y].getStatusImage12().substring(1) + "\" alt=\"\"> " + phys[y].getStatusTextLink() %>']
		<%
		// Dont end with a , (errors in IE)
		if(y != phys.length - 1)
		{
		%>
		, 
		<%
		}
		}
		%>
		]
	],
	<%
	}
	%>
	
	<%
	for(int x = 0; x < expanders.length; x++)
	{
	%>
	['<%= expanders[x].getID() %>', 'DSSExpander', '<%= expanders[x].getDisplayName() %>', '<%= expanders[x].getSASAddress() %>', '<%= expanders[x].getLocation() %>', '<%= expanders[x].getProductID() %>', '<%= expanders[x].getSerialNumber() %>', '<%= expanders[x].getPartNumber() %>', '<%= expanders[x].getFirmwareVersion() %>', '<%= expanders[x].getFirmwareInstallDate() %>', '<%= "<IMG src=\"" + expanders[x].getStatusImage16().substring(1) + "\" alt=\"\"> " + expanders[x].getStatusText() %>'],
	<%
	}
	%>
	]
	</SCRIPT>
	
	<!-- ------------------------------------------------------ MAKING EXPANDER TABS ----------------------------------------------------------------------------- -->
	
	<SCRIPT>
	<%	
	// Add the appropriate number of tabs
	for(int x = 0; x < 2; x++)
	{
		if(x < expanders.length)
		{
	%>
		// Making the tab
		parent.addTab(<%= (x + 1) %>, '<%= expanders[x].getDisplayName() %>', <%= expanders[x].isConnected() %>);
		
		// Setting the tab url
		parent.portListingPages[<%= x + 1 %>] = parent.expandersPage + "?id=<%= expanders[x].getID() %>";
	<%
		}
		else
		{
			// Here we account for tabs that are not there
	%>
		parent.removeTab(<%= (x + 1) %>);
	<%	
		}
	}
	%>
	</SCRIPT>
	
	<!------------------------------------ MODAL FOR BLADE SLOT CONNECTION PROPERTIES ----------------------------------------------------------------------->
	
	<INPUT id="bladeSlotConnectionPropertiesLauncher" type="button" style="display: none">
	
	<hx:panelDialog style="width: 520px;" id="bladeSlotConnectionPropertiesModal" styleClass="dmc_panelDialog" showTitleCloseButton="true" for="bladeSlotConnectionPropertiesLauncher" title="#{bundle.Ports_BladeBayPortProperties}">		
		
		<TABLE align="center">
		<TBODY>
		<TR>
		<TD>
		
		<h:outputFormat id="bladeBayPortPropertiesLabel" styleClass="dmc_outputText" style="text-decoration: underline; font-weight: bold;" value="#{bundle.Ports_PortProperties}"></h:outputFormat>
		
		<TABLE width="470" cellspacing="0" class="dmc_outputText">
			<TBODY>
				<TR>
					<TD align="left" width="40%">
						<h:outputFormat id="blade_slot_connection_portid_format" styleClass="dmc_outputText" value="#{bundle.Ports_PortID}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="bladeSlotConnectionPropertiesPortID">
						
					</TD>
				</TR>
				<TR>
					<TD colspan="2">
						&nbsp;<!-- Spacing row -->
					</TD>
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="blade_slot_connection_attached_address_text" styleClass="dmc_outputText" value="#{bundle.Ports_AttachedSASAddress}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="bladeSlotConnectionPropertiesAddress">
						
					</TD>
					
				</TR>
				<TR>
					
					<TD align="left" width="40%" valign="top">
						<h:outputFormat id="blade_slot_connection_attached_type_text" styleClass="dmc_outputText" value="#{bundle.Ports_AttachedType}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="bladeSlotConnectionPropertiesType">
					</TD>
					
				</TR>
				<TR>
					<TD colspan="2">
						&nbsp;<!-- Spacing row -->
					</TD>
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="blade_slot_connection_enabled_text" styleClass="dmc_outputText" value="#{bundle.Ports_Enabled}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="bladeSlotConnectionPropertiesEnabled">
					</TD>
					
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="blade_slot_connection_status_text" styleClass="dmc_outputText" value="#{bundle.Ports_Status}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="bladeSlotConnectionPropertiesStatus">
					</TD>
					
				</TR>			
				
			</TBODY>
		</TABLE>
		
		<BR>
		
		<SPAN style="text-decoration: underline; font-weight: bold;"><h:outputFormat id="blade_slot_connection_phy_properties_title" styleClass="dmc_outputText" value="#{bundle.Ports_PHYProperties}"></h:outputFormat></SPAN>
		
		
		<TABLE width="470" cellspacing="0" class="dmc_outputText">
			<TBODY>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="blade_slot_connection_phyid_text" styleClass="dmc_outputText" value="#{bundle.Ports_PHYID}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="bladeSlotConnectionPHYPropertiesPHYID">
					</TD>
					
				</TR>		
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="blade_slot_connection_link_rate_text" styleClass="dmc_outputText" value="#{bundle.Ports_LinkRate}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="bladeSlotConnectionPHYPropertiesLinkRate">
					</TD>
					
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="blade_slot_connection_max_link_rate_text" styleClass="dmc_outputText" value="#{bundle.Ports_MaxLinkRate}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="bladeSlotConnectionPHYPropertiesMaxLinkRate">
					</TD>
					
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="blade_slot_connection_connected_text" styleClass="dmc_outputText" value="#{bundle.Ports_Connected}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="bladeSlotConnectionPHYPropertiesIsConnected">
					</TD>
					
				</TR>	
			</TBODY>
		</TABLE>
		
		<BR>
		
		<hx:commandExButton type="submit" styleClass="dmc_commandExButton" style="width: 80px;" value="#{bundle.Common_Modal_Close}" id="bladeSlotConnectionPropertiesClose">
			<hx:behavior id="blade_slot_connection_ok_button_behavior" event="onclick" targetAction="bladeSlotConnectionPropertiesModal" behaviorAction="HIDE;STOP"/>
		</hx:commandExButton>
		
		</TD>
		<TD valign="top" align="right">
			<A href="/help/topic/com.ibm.storage.nssm.doc/scm_nssm_blade_bay_port_connection_properties_help.html" onclick="window.open('/help/topic/com.ibm.storage.nssm.doc/scm_nssm_blade_bay_port_connection_properties_help.html', 'helpwin', 'status,resizable,scrollbars,width=740,height=290'); return false;" target="helpwin">
				<h:outputText id="blade_slot_connection_help_text" styleClass="dmc_outputText" value="#{bundle.Common_Modal_Help}"></h:outputText>
			</A>
			<BR>
			<IMG id="bladeSlotConnectionPropertiesImg" alt="" src="images/common/components/blade_32.gif">
		</TD>		
		</TR>
		</TBODY>
		</TABLE>
			
	</hx:panelDialog>
	
	
	<!------------------------------------ MODAL FOR EXTERNAL PORT PROPERTIES ----------------------------------------------------------------------->

	<INPUT id="externalPortPropertiesLauncher" type="button" style="display: none">

	<hx:panelDialog style="width: 520px;" id="externalPortPropertiesModal" styleClass="dmc_panelDialog" showTitleCloseButton="true" for="externalPortPropertiesLauncher" title="#{bundle.Ports_ExternalPortProperties}">
		
		<TABLE align="center">
		<TBODY>
		<TR>
		<TD>
		
		<h:outputFormat id="externalSASPortPropertiesLabel" styleClass="dmc_outputText" style="text-decoration: underline; font-weight: bold;" value="#{bundle.Ports_PortProperties}"></h:outputFormat>
		
		<TABLE width="470" cellspacing="0" class="dmc_outputText">
			<TBODY>
				<TR>
					<TD align="left" width="40%">
						<h:outputFormat id="external_port_portid_text" styleClass="dmc_outputText" value="#{bundle.Ports_PortID}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="externalPortPropertiesPortID">
						
					</TD>
				</TR>
				<TR>
					<TD colspan="2">
						&nbsp;<!-- Spacing row -->
					</TD>
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="external_port_attached_sasaddress_text" styleClass="dmc_outputText" value="#{bundle.Ports_AttachedSASAddress}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="externalPortPropertiesAddress">
						
					</TD>
					
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="external_port_attached_type_text" styleClass="dmc_outputText" value="#{bundle.Ports_AttachedType}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="externalPortPropertiesType">
					</TD>
					
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="external_port_routing_setting_text" styleClass="dmc_outputText" value="#{bundle.Ports_RoutingSetting}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="externalPortPropertiesRoutingSetting">
					</TD>
					
				</TR>
				<TR>
					<TD colspan="2">
						&nbsp;<!-- Spacing row -->
					</TD>
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="external_port_enabled_text" styleClass="dmc_outputText" value="#{bundle.Ports_Enabled}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="externalPortPropertiesEnabled">
					</TD>
					
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="external_port_status_format" styleClass="dmc_outputText" value="#{bundle.Ports_Status}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="externalPortPropertiesStatus">
					</TD>
					
				</TR>				
				
			</TBODY>
		</TABLE>
		
		<BR>
		
		<SPAN style="text-decoration: underline; font-weight: bold;"><h:outputFormat id="external_port_phy_properties_title" styleClass="dmc_outputText" value="#{bundle.Ports_PHYProperties}"></h:outputFormat></SPAN>
		<TABLE id="externalPortPropertiesPHYsTable" class="nbceTable dmc_outputText" cellspacing="0" cellpadding="0" width="470"  summary="<%=MessageFormatter.formatLabel(GWMNBCEL.Table_Summary_Phys,null)%>">
			<TBODY>
				<TR>
					<TD class="nbceTableHeaderCell">
						<h:outputFormat id="external_port_phyid_text" styleClass="dmc_outputText" value="#{bundle.Ports_PHYID}"></h:outputFormat>
					</TD>
					<TD class="nbceTableHeaderCell">
						<h:outputFormat id="external_port_link_rate_text" styleClass="dmc_outputText" value="#{bundle.Ports_LinkRate}"></h:outputFormat>
					</TD>
					<TD class="nbceTableHeaderCell">
						<h:outputFormat id="external_port_mak_link_rate_text" styleClass="dmc_outputText" value="#{bundle.Ports_MaxLinkRate}"></h:outputFormat>
					</TD>
					<TD class="nbceTableHeaderCell">
						<h:outputFormat id="external_port_connected_text" styleClass="dmc_outputText" value="#{bundle.Ports_Connected}"></h:outputFormat>
					</TD>
					<TD class="nbceTableHeaderCell">
						<h:outputFormat id="external_port_status_text" styleClass="dmc_outputText" value="#{bundle.Ports_Status}"></h:outputFormat>
					</TD>
				</TR>						
			</TBODY>
		</TABLE>
		
		<BR>
		
		<hx:commandExButton type="submit" styleClass="dmc_commandExButton" style="width: 80px;" value="#{bundle.Common_Modal_Close}" id="externalPortPropertiesClose">
			<hx:behavior id="external_port_close_button_behavior" event="onclick" targetAction="externalPortPropertiesModal" behaviorAction="HIDE;STOP"/>
		</hx:commandExButton>
		
		</TD>
		<TD valign="top" align="right">
			<A href="/help/topic/com.ibm.storage.nssm.doc/scm_nssm_external_port_properties_help.html" onclick="window.open('/help/topic/com.ibm.storage.nssm.doc/scm_nssm_external_port_properties_help.html', 'helpwin', 'status,resizable,scrollbars,width=740,height=290'); return false;" target="helpwin">
				<h:outputText id="external_port_help_text" styleClass="dmc_outputText" value="#{bundle.Common_Modal_Help}"></h:outputText>
			</A>

			<BR>
			
			<IMG id="externalPortPropertiesImg" alt="" src="images/common/components/external_port_32.gif">
		</TD>
		</TR>
		</TBODY>
		</TABLE>
			
	</hx:panelDialog>
	
	
	
	<!------------------------------------ MODAL FOR DSS EXPANDER PROPERTIES ----------------------------------------------------------------------->

	<INPUT id="dssExpanderPropertiesLauncher" type="button" style="display: none">
	
	<hx:panelDialog style="width: 520px;" id="dssExpanderPropertiesModal" styleClass="dmc_panelDialog" showTitleCloseButton="true" for="dssExpanderPropertiesLauncher" title="#{bundle.Ports_StorageModuleProperties}">
		<TABLE align="center">
		<TBODY>
		<TR>
		<TD>
		
		<TABLE width="470" cellspacing="0" class="dmc_outputText">
			<TBODY>
				<TR>
					<TD align="left" width="40%">
						<h:outputFormat id="dss_expander_location_format" styleClass="dmc_outputText" value="#{bundle.Ports_Location}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="dssExpanderPropertiesLocation">
					</TD>
					
					<TD rowspan="12" valign="top" align="right">
						<A href="/help/topic/com.ibm.storage.nssm.doc/scm_nssm_storage_module_properties_help.html" onclick="window.open('/help/topic/com.ibm.storage.nssm.doc/scm_nssm_storage_module_properties_help.html', 'helpwin', 'status,resizable,scrollbars,width=740,height=290'); return false;" target="helpwin">
							<h:outputText id="dss_expander_help_text" styleClass="dmc_outputText" value="#{bundle.Common_Modal_Help}"></h:outputText>
						</A>
						<BR>						
						<IMG id='dssExpanderPropertiesImg' alt="" src='images/common/components/expander_32.gif'>
					</TD>
					
				</TR>
				<TR>
					<TD colspan="2">
						&nbsp;<!-- Spacing row -->
					</TD>
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="dss_expander_sasaddress" styleClass="dmc_outputText" value="#{bundle.Ports_SASAddress}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="dssExpanderPropertiesSASAddress">
						
					</TD>
					
				</TR>
				<TR>
					<TD colspan="2">
						&nbsp;<!-- Spacing row -->
					</TD>
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="dss_expander_product_id" styleClass="dmc_outputText" value="#{bundle.Ports_ExpanderProductID}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="dssExpanderPropertiesProductId">
					</TD>
					
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="dss_expander_serial_number" styleClass="dmc_outputText" value="#{bundle.Ports_ExpanderSerialNumber}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="dssExpanderPropertiesSerialNumber">
					</TD>
					
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="dss_expander_part_number" styleClass="dmc_outputText" value="#{bundle.Ports_ExpanderPartNumber}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="dssExpanderPropertiesPartNumber">
					</TD>
					
				</TR>
				<TR>
					<TD colspan="2">
						&nbsp;<!-- Spacing row -->
					</TD>
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="dss_expander_fimware_version" styleClass="dmc_outputText" value="#{bundle.Ports_FirmwareVersion}"></h:outputFormat>:
					</TD>
					
					<TD align="left">
						<SPAN id="dssExpanderPropertiesFirmwareVersion"></SPAN>&nbsp; <hx:commandExButton id="dss_expander_update_button" styleClass="dmc_commandExButton" style="width: 80px;" type="button" value="#{bundle.Ports_Update}" onclick="goUpdateFirmware();"></hx:commandExButton>
					</TD>
					
				</TR>	
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="dss_expander_last_update_date_format" styleClass="dmc_outputText" value="#{bundle.Ports_DateOfLastUpdate}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="dssExpanderPropertiesDateOfLastUpdate">
					</TD>
					
				</TR>
				<TR>
					
					<TD align="left" width="40%">
						<h:outputFormat id="dss_expander_status_text" styleClass="dmc_outputText" value="#{bundle.Ports_Status}"></h:outputFormat>:
					</TD>
					
					<TD align="left" id="dssExpanderPropertiesStatus">
					</TD>
					
				</TR>			
				
			</TBODY>
		</TABLE>
		
		<BR>
		<BR>
		
		<hx:commandExButton type="submit"  styleClass="dmc_commandExButton" style="width: 80px;" value="#{bundle.Common_Modal_Close}" id="dssExpanderPropertiesClose">
			<hx:behavior id="dss_expander_close_button_behavior" event="onclick" targetAction="dssExpanderPropertiesModal" behaviorAction="HIDE;STOP"/>
		</hx:commandExButton>
		
		</TD>
		</TR>
		</TBODY>
		</TABLE>
			
	</hx:panelDialog>
	
	<!-- ------------------------------------------------------ TREE GENERATION ----------------------------------------------------------------------------- -->
	
	<%!
	final String EXPANDED_IMAGE = "images/common/tree/collapse_obj.gif";
	final String COLLAPSED_IMAGE = "images/common/tree/expand_obj.gif";
	final String NONCLICKABLE_IMAGE = "images/common/tree/clear.gif";
	
	// The number of &nbsp; that are added for each level of depth
	final int INDENTATIONS = 0;
	
	// This array will be added to by the recursive function
	// It will include all the div IDs
	ArrayList allIDs = new ArrayList();
	
	void printTrees(DefaultMutableTreeNode tree, String id, int depth, StringBuffer sb)
	{
		// Since we can have multiple "root" nodes, the actual tree root is a dummy
		// Here we print all the dummy roots children
			
		for(int x = 0; x < tree.getChildCount(); x++)
		{
			printTree((DefaultMutableTreeNode) tree.getChildAt(x), id  + x, 0, sb);
		}
	}
	
	void printTree(DefaultMutableTreeNode tree, String id, int depth, StringBuffer sb)
	{
		
		ResourceBundle nls = ResourceBundle.getBundle("com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL");
		
		// Input checking
		if(tree == null)
		{
			// There is nothing to print for this node
			return;
		}
			
		String[] data = (String[]) tree.getUserObject();
		
		if(data == null || data.length < 2)
		{
			// There is nothing to print for this node
			return;
		}		
		
		// Print the node it self
		// Note: the first index it the string array will have the rows on click action
		sb.append("<TR    style='height:25px' id='TR_" + id + "'>");

		sb.append("		<TD  style='height:25px' class='nbceTableRow treeTableColumn" + 0 + "'>");
		
		// Calculating the indentation
		StringBuffer spacing = new StringBuffer(depth * INDENTATIONS + "&nbsp;".length());
		for(int x = 0; x < depth * INDENTATIONS; x++)
			spacing.append("&nbsp;");	
		
		// Dont have expand/collapse on leaves
		if(tree.isLeaf())
			sb.append("			" + spacing.toString() + "<IMG border='0' alt='' src='" + NONCLICKABLE_IMAGE + "' style='visibility: hidden;'> " + data[0]);
		else
			sb.append("			" + spacing.toString() + "<IMG tabIndex=0 id='image_" + id + "' border='0' src='" + EXPANDED_IMAGE + "'"+" alt='"+nls.getString("Common_Collapse_Alt")+"' title='"+nls.getString("Common_Collapse_Alt")+"' onClick=\"toggle('" + id + "', this, event)\"> " + data[0]);
		
		sb.append("		</TD>");
		
		// Printing the other data cells
		for(int x = 1; x < data.length && x<5; x++)
		{
			sb.append("		<TD style='height:25px' class='nbceTableRow treeTableColumn" + x + "' style='white-space: nowrap;'>");
			sb.append("			" + data[x]);
			sb.append("		</TD>");
		}
		
		
		sb.append(""); // Source readability
		sb.append("</TR>");
		
		
		if(!tree.isLeaf())
		{
			// Adding the id to the list of all IDs
			// That list will be used for expand and collapse all
			allIDs.add(id);
					
			// Printing the children div
			sb.append("<DIV id='" + id + "' style='display: block'>");
			
			for(int x = 0; x < tree.getChildCount(); x++)
			{
				// Recurse on the children
				// The child's id is determined by appending "-n" to this id, where n is the child number
				printTree((DefaultMutableTreeNode) tree.getChildAt(x), id + "-" + x, depth + 1, sb); 
			}
			
			sb.append("</DIV>");
		}
	}
	%>
	<hx:behavior event="onload" />
		</hx:scriptCollector>
		
		<jsp:include page="/page/common/WaitFooter.jsp"/>
		
	</BODY>
</f:view>
</HTML>
