<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/users/UserAdministration.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>
<%@ include file="/page/common/Header.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/dmcnbcestyle.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/nbceTable.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/stylesheet.css") %>' rel="stylesheet" type="text/css">

<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath()+"/page/users/UserAdministration.js") %>'></SCRIPT>

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<TITLE>UserAdministration.jsp</TITLE>

</HEAD>
<BODY>
<%
if(data.isNoDomains() && request.getRequestURI().indexOf("ViewAllSwitches.jsp") == -1)
{
%>
<f:view>
<h:form id="divForm">
	<jsp:include page="/page/common/RedirectNoDomains.jsp"/>
</h:form>
</f:view>
<%
	}else{
%>
<f:view>
	
	<hx:scriptCollector id="scriptCollector">
				
			<jsp:include page="/page/common/WaitHeader.jsp"/>
			
			<h:inputHidden id="currentUser"	value="#{manageUsersBean.currentUser.userID}"></h:inputHidden>
			<h:inputHidden id="canModify" value="#{manageUsersBean.currentUser.role}"></h:inputHidden>
			<h:inputHidden id="modifyResult" value="#{pc_UserAdministration.result}"></h:inputHidden>

			<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
				<TBODY>
					<TR>
						<!-- TD valign="top">
							<h:outputText styleClass="dmc_outputTextTitle" id="ot_title" value="#{bundle.UA_Title}">
							</h:outputText>
						</TD  -->
						<TD align="right">
							<jsp:include page="/page/common/SwitchDeviceList.jsp"></jsp:include>
						</TD>
					</TR>
				</TBODY>
			</TABLE>

			<h:form styleClass="form" id="userListform" style="margin: 0px" onsubmit="startCommonWait()">	
		          
			<h:outputFormat styleClass="dmc_outputText" id="ot_descriptor" value="#{bundle.UA_Descriptor}"></h:outputFormat>
			
			<DIV id="div_success" style="display: none">
				<TABLE border="0" cellspacing="3" cellpadding="3" bgcolor="#e3e5f1" class="borderGray" width="100%">
					<TBODY>
						<TR>
							<TD width="5%">
								<hx:graphicImageEx styleClass="graphicImageEx" title="#{bundle.Common_Status_Success}" alt="#{bundle.Common_Status_Success}" 
									border="0" width="32" height="32" id="success_img_id" value="/images/common/status/success_32.gif">
								</hx:graphicImageEx>
							</TD>
							<TD width="95%">
								<h:outputText styleClass="dmc_outputText" id="ot_success" value="#{bundle.UA_modSuccess}" style="color:green;"/>
							</TD>
						</TR>
					</TBODY>
				</TABLE>	
			</DIV>
			<DIV id="div_failed" style="display: none">
				<TABLE border="0" cellspacing="3" cellpadding="3" bgcolor="#e3e5f1" class="borderGray" width="100%">
					<TBODY>
						<TR>
							<TD width="5%">
								<hx:graphicImageEx styleClass="graphicImageEx" title="#{bundle.Common_Status_Error}" alt="#{bundle.Common_Status_Error}"
									border="0" width="32" height="32" id="failed_img_id" value="/images/common/status/failed_32.gif">
								</hx:graphicImageEx>
							</TD>
							<TD width="95%">
								<h:outputText styleClass="dmc_outputText" id="ot_failed" value="" style="color:red;"/>
							</TD>
						</TR>
					</TBODY>
				</TABLE>	
			</DIV>

			<HR>
			
			<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
				<TBODY>
					<TR>
						<TD>
							<hx:commandExButton type="submit" value="#{bundle.Common_Page_Refresh}" 
								id="refreshButton" styleClass="dmc_commandExButton" style="width: 80px;"
								action="#{pc_UserAdministration.doRefreshButtonAction}">
							</hx:commandExButton>
							<h:outputText styleClass="dmc_outputText" id="userPageLastRefreshTitle" value="#{bundle.Common_Page_LastRefresh}"></h:outputText>
							<SPAN class="dmc_outputText" id="lastRefreshTimestamp"/>	
						</TD>
					</TR>
					<TR><TD>&nbsp;</TD></TR>
					<TR><TD>&nbsp;</TD></TR>
				</TBODY>
			</TABLE>	
		
			<hx:commandExButton type="submit" value="#{bundle.UA_ModPasswordBtn}" styleClass="dmc_commandExButton" id="btnModifyPassword" disabled="true">
			</hx:commandExButton>
			<hx:graphicImageEx id="modify_password_help_img" style="border-width: 0" alt="#{bundle.Common_Expand_Alt}" value="/images/common/help/expandahelp.gif" onclick="showHelp(this);">
			</hx:graphicImageEx>
			<BR>
			<div id="modify_password_help_div" style="display:none">
				<h:outputFormat styleClass="dmc_outputText" id="modify_password_help_text" value="#{bundle.UA_Help_Content}">
				</h:outputFormat>
				<BR><BR>
			</div>
		    
			<h:dataTable border="0" cellpadding="0" cellspacing="0" headerClass="nbceTableHeaderCell" rowClasses="nbceTableRow" 
				columnClasses="nbceTableRow" styleClass="nbceTable" id="userTable" width="400"  var="varUserBean"
				value="#{manageUsersBean.accountData.users}" rendered="true" summary="#{bundle.Table_Summary_Users}">
				<h:column id="userCol1">
					<f:facet name="header">
						<h:outputText id="userTitle1" styleClass="dmc_outputText" value="#{bundle.UA_Select}"></h:outputText>
					</f:facet>
					<scmc:scmJspPanel>
				    	<input type="radio" id="select_user_id#{varUserBean.userID}" name="select_user_id" value="#{varUserBean.userID}" onclick="javascript:return radiobuttonClick(this, event);">
					</scmc:scmJspPanel>
					<f:attribute value="center" name="align"/>
				</h:column>
				<h:column id="userCol2">
					<f:facet name="header">
						<h:outputText id="userTitle2" styleClass="dmc_outputText" value="#{bundle.UA_UNameHead}"></h:outputText>
					</f:facet>
					<scmc:scmJspPanel>
						<label id="ol_#{varUserBean.userID}_label" for="select_user_id#{varUserBean.userID}" class="dmc_outputText">
						    <span id="#{varUserBean.userID}_text" class="dmc_outputText">#{varUserBean.userID}</span>
						</label>
					</scmc:scmJspPanel>						
					<f:attribute value="left" name="align"/>
				</h:column>  
				<h:column id="userCol3">
					<f:facet name="header">
						<h:outputText id="userTitle3" styleClass="dmc_outputText" value="#{bundle.UA_AccessLevelHead}"></h:outputText>
					</f:facet>
					<h:outputText id="accessLevel" value="#{varUserBean.role}" styleClass="dmc_outputText">
					</h:outputText>
					<f:attribute value="center" name="align"/>
				</h:column>
				<h:column id="userCol4">
					<f:facet name="header">
						<h:outputText id="userTitle4" styleClass="dmc_outputText" value="#{bundle.UA_LastModifiedHead}"></h:outputText>
					</f:facet>
					<h:outputText id="changeDate" value="#{varUserBean.passwordChangeDate}" styleClass="dmc_outputText">
					</h:outputText>
					<f:attribute value="left" name="align"/>
				</h:column>
			</h:dataTable>

			</h:form>

			<hx:panelDialog id="dlgModifyPassword" showTitleCloseButton="false" for="btnModifyPassword" 
				initiallyShow="false" type="modal" styleClass="dmc_panelDialog" style="width:390px;" align="center" 
				title="#{bundle.UA_ModPassLabel}" onshow="return fieldFocus(this, event);">

			<h:form styleClass="form" id="passForm">

			<hx:behaviorKeyPress id="press_enter_key" targetAction="cb_modify_button_ok" behaviorAction="click;nothing" key="ENTER" />
			<hx:behaviorKeyPress id="press_esc_key" targetAction="cb_modify_cancel" behaviorAction="click;nothing" key="ESC" />

			<TABLE border="0" width="95%" cellspacing="2" cellpadding="2" align="center">
				<TBODY>
					<TR>
						<TD>
							<h:outputText styleClass="dmc_outputText" id="dlgModifyPassword_txtModifyingPasswordFor" value="#{bundle.UA_ModPassForLbl}">
							</h:outputText>
						</TD>
						<TD>
							<h:outputText styleClass="dmc_outputText" id="dlgModifyPassword_txtUser"></h:outputText>
							<h:inputHidden id="ih_dlgModifyPassword_txtUser"/>
						</TD>
					</TR>
					<TR>
						<TD>
							<DIV id="div_dlgModifyPassword_txtOldPassword">
							<h:outputLabel styleClass="dmc_outputText" id="ol_old_pwd_label" for="dlgModifyPassword_OldPassword">
							    <h:outputText id="old_pwd_text" styleClass="dmc_outputText" value="#{bundle.UA_OldPassLbl}">
							    </h:outputText>
							</h:outputLabel>
							</DIV>
						</TD>
						<TD>
							<DIV id="div_dlgModifyPassword_OldPassword">
							<h:inputSecret styleClass="dmc_outputText" id="dlgModifyPassword_OldPassword">
							</h:inputSecret>
							</DIV>
						</TD>
					</TR>
					<TR>
						<TD>
							<h:outputLabel styleClass="dmc_outputText" id="ol_new_pwd_label" for="dlgModifyPassword_NewPassword">
							    <h:outputText id="new_pwd_text" styleClass="dmc_outputText" value="#{bundle.UA_NewPassLbl}">
							    </h:outputText>
							</h:outputLabel>
						</TD>
						<TD>
							<h:inputSecret styleClass="dmc_outputText" id="dlgModifyPassword_NewPassword">
							</h:inputSecret>
						</TD>
					</TR>
					<TR>
						<TD>
							<h:outputLabel styleClass="dmc_outputText" id="ol_confirm_pwd_label" for="dlgModifyPassword_VerifyNewPassword">
							    <h:outputText id="confirm_pwd_text" styleClass="dmc_outputText" value="#{bundle.UA_VerifyNewPassLbl}">
							    </h:outputText>
							</h:outputLabel>
						</TD>
						<TD>
							<h:inputSecret styleClass="dmc_outputText" id="dlgModifyPassword_VerifyNewPassword">
							</h:inputSecret>
						</TD>
					</TR>
					<TR>
						<TD colspan="2">
							<h:outputText styleClass="dmc_outputText" id="dlgModifyPassword_pwdDesc" value="#{bundle.UA_PwdDescLbl}">
							</h:outputText>
						</TD>
					</TR>
					<TR>
						<TD colspan="2" align="center">
							<h:outputText styleClass="dmc_outputText" id="dlgModifyPassword_txtError" value="" style="color: red">
							</h:outputText>
						</TD>
					</TR>
					<TR>
						<TD colspan="2" align="right">
							<hx:commandExButton style="width: 50px" type="button" 
								value="#{bundle.Common_Modal_OK}" styleClass="dmc_commandExButton" 
								id="cb_modify_button_ok" onclick="return checkModifyPasswords(this, event);">
							</hx:commandExButton>
							<hx:commandExButton style="width: 50px" type="reset" value="#{bundle.Common_Modal_Cancel}" 
								styleClass="dmc_commandExButton" id="cb_modify_cancel" >
								<hx:behavior id="modal_cancel_button" event="onclick" targetAction="dlgModifyPassword"
									behaviorAction="hide;nothing" onActionFunction="return cancelAction();"/>
							</hx:commandExButton>
							<hx:commandExButton	id="cb_modify_ok" type="submit" style="display: none" 
								action="#{pc_UserAdministration.doModifyAction}">
							</hx:commandExButton> 
						</TD>
					</TR>
				</TBODY>
			</TABLE>					
			</h:form>
			</hx:panelDialog>
			<DIV id="div_hiddenmsg" style="display:none">
				<h:outputText styleClass="dmc_outputText" id="ot_modsuccess" value="#{bundle.UA_modSuccess}"></h:outputText>
				<h:outputText styleClass="dmc_outputText" id="ot_modqueryerror" value="#{bundle.UA_modQueryError}"></h:outputText>
				<h:outputText styleClass="dmc_outputText" id="ot_modusererror" value="#{bundle.UA_modUserError}"></h:outputText>
				<h:outputText styleClass="dmc_outputText" id="ot_modpermerror" value="#{bundle.UA_modPermError}"></h:outputText>
				<h:outputText styleClass="dmc_outputText" id="ot_modpwderror" value="#{bundle.UA_modPwdError}"></h:outputText>
				<h:outputText styleClass="dmc_outputText" id="ot_modupdateerror" value="#{bundle.UA_modUpdateError}"></h:outputText>
				<h:outputText styleClass="dmc_outputText" id="ot_blankerror" value="#{bundle.UA_Blank_Password}"></h:outputText>
				<h:outputText styleClass="dmc_outputText" id="ot_mismatcherror" value="#{bundle.UA_Mismatch_Password}"></h:outputText>
				<h:outputText styleClass="dmc_outputText" id="ot_lengtherror" value="#{bundle.UA_Length_Password}"></h:outputText>
				<h:outputText styleClass="dmc_outputText" id="ot_numbererror" value="#{bundle.UA_Number_Password}"></h:outputText>
				<h:outputText styleClass="dmc_outputText" id="ot_lettererror" value="#{bundle.UA_Letter_Password}"></h:outputText>
				<h:outputText id="ot_expand_alt" value="#{bundle.Common_Expand_Alt}"></h:outputText>
				<h:outputText id="ot_collapse_alt" value="#{bundle.Common_Collapse_Alt}"></h:outputText>
			</DIV>

			<jsp:include page="/page/common/WaitFooter.jsp"/>
			<hx:behavior target="#body" event="onload" behaviorAction="nothing"  onActionFunction="document.getElementById('lastRefreshTimestamp').innerHTML = getLocalizedCurrentTime();init();parent.document.getElementById('ISCWork').focus();" />
		</hx:scriptCollector>
	
    </f:view>
    <%
	}
   %>
	</BODY>
</HTML>
