<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/viewswitches/AddSwitch.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.sysmgmt.scm.nbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%

String basePath = request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + request.getContextPath() + "/";

 %>

<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href="<%=basePath%>theme/Master.css" rel="stylesheet" type="text/css">
<LINK href="<%=basePath%>page/common/dmcnbcestyle.css" rel="stylesheet" type="text/css">
<LINK href="<%=basePath%>page/common/nbceTable.css" rel="stylesheet" type="text/css">
<LINK href="<%=basePath%>page/viewswitches/menu.css" rel="stylesheet" type="text/css">
<LINK href="<%=basePath%>theme/stylesheet.css" rel="stylesheet" type="text/css">

<SCRIPT src="<%=basePath%>page/viewswitches/AddSwitch.js"></SCRIPT>
<SCRIPT src="<%=basePath%>page/common/common.js"></SCRIPT>

<TITLE>AddSwitch.jsp</TITLE>
<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />
</HEAD>
<f:view>
	<BODY onLoad="init();">
		<h:inputHidden id="addResult" value="#{pc_AddSwitch.addSwitch_Success}"></h:inputHidden>
		<h:inputHidden id="addResultMsg" value="#{pc_AddSwitch.addSwitch_Message}"></h:inputHidden>
		<h:form style="align:top" id="AddSwitchForm" onsubmit="addSW();">
			<hx:jspPanel>
			<TABLE width="99%" cellspacing="0" class="dmc_outputText">
				<TBODY>
					<TR>
						<TD width="90%">
							<h:outputText id="ot_add_switch_desc"
								styleClass="dmc_outputText"
								value="#{bundle.ViewAllSwitches_AddSwitch_Description}">
							</h:outputText>
						</TD>
						<TD align="center">
							<a	href="/help/topic/com.ibm.storage.nssm.doc/scm_nssm_add_sas_switch_help.html"
								onclick="window.open('/help/topic/com.ibm.storage.nssm.doc/scm_nssm_add_sas_switch_help.html', 'helpwin', 'status,resizable,scrollbars,width=740,height=290'); return false;"
								target="helpwin"> 
									<h:outputText id="help_label_add_switch"
										styleClass="dmc_outputText" value="#{bundle.Common_Modal_Help}">
									</h:outputText>
							</a>
							<BR>

							<hx:graphicImageEx styleClass="graphicImageEx" id="switchImage0" alt="" value="/images/common/components/sas_switch_32.gif">
							</hx:graphicImageEx>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
		
			<div id="div_progress_indicator" style="display:none">
				<TABLE>
					<TBODY>
						<TR>
							<TD>
								<IMG border="0" src="<%=basePath%>images/common/loading/busy.gif" alt=''>
							</TD>
							<TD>&nbsp;</TD>
							<TD align="left">
								<h:outputText
									styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_AddSwitch_ProgressMsg}">
								</h:outputText>
							</TD>
						</TR>
					</TBODY>
				</TABLE>

			</div>
			
		<TABLE width="99%" cellspacing="0" class="dmc_outputText">
			<TBODY>
				<TR><TD>&nbsp;</TD></TR>
				<TR>
					<TD colspan="2">
						<h:outputText styleClass="dmc_outputText" id="ot_message_label" value=""/>	
					</TD>
				</TR>
				<TR>
					<TD width="40%">
						<font color="red"><label for="AddSwitchForm:it_addsas_ipaddr">*</label></font> 
						<h:outputLabel styleClass="dmc_outputTextB" id="ol_ipaddr_label" for="it_addsas_ipaddr">
						    <h:outputText id="ipaddr_text" styleClass="dmc_outputTextB" value="#{bundle.ViewAllSwitches_AddSwitch_IPAddr}">
						    </h:outputText>
						</h:outputLabel>
					</TD>
					<TD align="left">
						<h:inputText styleClass="inputText" style="width:155px" id="it_addsas_ipaddr">
						</h:inputText> 
						<hx:graphicImageEx styleClass="graphicImageEx" id="help_ipaddress" title="#{bundle.Common_Expand_Alt}" 
							alt="#{bundle.Common_Expand_Alt}" value="/images/common/help/expandahelp.gif" onclick="showIPHelp(this);">
						</hx:graphicImageEx>
					</TD>
				</TR>
				<TR>
					<TD colspan="2">
						<h:outputText id="ot_add_switch_help_ip"
							styleClass="dmc_outputTextS" style="display:none;"
							value="#{bundle.ViewAllSwitches_AddSwitch_Help_IP}">
						</h:outputText>
					</TD>
				</TR>
				<TR>
					<TD colspan="2"><BR>
					</TD>
				</TR>
				<TR>
					<TD colspan="2"><font color="red">&nbsp&nbsp</font> <h:outputText
						id="ot_add_switch_login" styleClass="dmc_outputTextB"
						value="#{bundle.ViewAllSwitches_AddSwitch_Login}">
					</h:outputText></TD>
				</TR>
				<TR>
					<TD width="40%">
						<font color="red">&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp<label for="AddSwitchForm:it_addsas_username">*</label></font>
						<h:outputLabel styleClass="dmc_outputText" id="ol_username_label" for="it_addsas_username">
						    <h:outputText id="username_text" styleClass="dmc_outputText" 
						    	value="#{bundle.ViewAllSwitches_AddSwitch_Username}">
						    </h:outputText>
						</h:outputLabel>
					</TD>
					<TD>
						<h:inputText styleClass="inputText" style="width:155px" id="it_addsas_username">
						</h:inputText>
					</TD>
				</TR>
				<TR>
					<TD width="40%">
						<font color="red">&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp<label for="AddSwitchForm:it_addsas_password">*</label></font>
						<h:outputLabel styleClass="dmc_outputText" id="ol_password_label" for="it_addsas_password">
						    <h:outputText id="password_text" styleClass="dmc_outputText"
						    	value="#{bundle.ViewAllSwitches_AddSwitch_Password}">
						    </h:outputText>
						</h:outputLabel>			
					</TD>
					<TD>
						<h:inputSecret styleClass="inputText" style="width:155px" id="it_addsas_password">
						</h:inputSecret>
					</TD>
				</TR>
				<TR>
					<TD width="40%">
						<font color="red">&nbsp&nbsp</font>
						<h:outputLabel styleClass="dmc_outputTextB" id="ol_nickname_label" for="it_addsas_nickname">
						    <h:outputText id="nickname_text" styleClass="dmc_outputTextB"
						    	value="#{bundle.ViewAllSwitches_AddSwitch_Nickname}">
						    </h:outputText>
						</h:outputLabel>
					</TD>
					<TD align="left">
						<h:inputText styleClass="inputText" style="width:155px" id="it_addsas_nickname">
						</h:inputText> 
						<hx:graphicImageEx styleClass="graphicImageEx" id="help_nickname" title="#{bundle.Common_Expand_Alt}"
							alt="#{bundle.Common_Expand_Alt}" value="/images/common/help/expandahelp.gif" onclick="showNicknameHelp(this);">
						</hx:graphicImageEx>
					</TD>
				</TR>
				<TR>
					<TD colspan="2">
						<h:outputText id="ot_add_switch_help_nickname"
							styleClass="dmc_outputTextS" style="display:none;"
							value="#{bundle.ViewAllSwitches_AddSwitch_Help_Nickname}">
						</h:outputText>
					</TD>
				</TR>
				<TR>
					<TD colspan="2"><BR>
					</TD>
				</TR>
				
			</TBODY>
		</TABLE>
		<hx:commandExButton id="button_ok" style="width:80px" type="submit"
			value="#{bundle.Common_Modal_OK}" styleClass="dmc_commandExButton"
			onclick="return validateInput();"
			action="#{pc_AddSwitch.doButton_okAction}">
		</hx:commandExButton>
		<hx:commandExButton id="button_cancel" type="reset" style="width:80px"
			value="#{bundle.Common_Modal_Cancel}" onclick="cancelModal();"
			styleClass="dmc_commandExButton">
		</hx:commandExButton> 
		</hx:jspPanel>
	</h:form>

		<h:outputText id="successMsg" style="display:none"
			value="#{bundle.ViewAllSwitches_AddSwitch_SuccessMsg}">
		</h:outputText>
		<h:outputText id="errorMsg" style="display:none"
			value="#{bundle.ViewAllSwitches_AddSwitch_ErrorMsg}">
		</h:outputText>
		<h:outputText id="duplicateIPErrorMsg" style="display:none"
			value="#{bundle.ViewAllSwitches_AddSwitch_DuplicateIP_ErrorMsg}">
		</h:outputText>
		<h:outputText id="ipBlankMsg" style="display:none"
			value="#{bundle.ViewAllSwitches_AddSwitch_IPBlankMsg}">
		</h:outputText>
		<h:outputText id="ipInvalidMsg" style="display:none"
			value="#{bundle.ViewAllSwitches_AddSwitch_IPInvalidMsg}">
		</h:outputText>
		<h:outputText id="userBlankMsg" style="display:none"
			value="#{bundle.ViewAllSwitches_AddSwitch_UserBlankMsg}">
		</h:outputText>
		<h:outputText id="pwdBlankMsg" style="display:none"
			value="#{bundle.ViewAllSwitches_AddSwitch_PWDBlankMsg}">
		</h:outputText>
		<h:outputText id="nicknameInvalidMsg" style="display:none"
			value="#{bundle.ViewAllSwitches_AddSwitch_NicknameInvalidMsg}">
		</h:outputText>
		<h:outputText id="expand_alt" style="display: none;" 
			value="#{bundle.Common_Expand_Alt}">
		</h:outputText>
		<h:outputText id="collapse_alt" style="display: none;" 
			value="#{bundle.Common_Collapse_Alt}">
		</h:outputText>
		<h:outputText id="nicknameUnexceptedCharactersMsg" style="display: none;" 
			value="#{bundle.ViewAllSwitches_AddSwitch_NicknameWrongCharacterMsg}">
		</h:outputText>

	</BODY>
</f:view>
</HTML>
