/**
 * Base.js
 */

// Define the package
var com={};
com.ibm={};
com.ibm.sysmgmt={};
com.ibm.sysmgmt.nbce={};
com.ibm.sysmgmt.nbce.gui={};
com.ibm.sysmgmt.nbce.gui.viewswitches={};


com.ibm.sysmgmt.nbce.gui.viewswitches.ValueChangeListener = function(){
	this.valueChanged= function(newValue){}
}

 	
/*
 * Get the elements in the document by tag and the name
 * tag: the tag name of finding elments
 * name: the name of finding elements
 * @Note add this function as IE can not correctly support getElementsByName().
 */
function getElementsByTagAndName(tag,name){
	 var elem = document.getElementsByTagName(tag);
     var arr = new Array();
     for(i = 0,iarr = 0; i < elem.length; i++) {
          att = elem[i].getAttribute("name");
          if(att == name) {
               arr[iarr] = elem[i];
               iarr++;
          }
     }
     return arr;
}



// Define the Modal interface.
com.ibm.sysmgmt.nbce.gui.viewswitches.Modal = function(){

	// ************************************************************************ 
	// Public Methods
	// *********************************************************************** 

	//Define the abstract method.
	this.show = function(){}
}

//Defince the Model Class as super class 
com.ibm.sysmgmt.nbce.gui.viewswitches.ModelBean = function(){
	var identifier;
	var type;
	
	//for the id support
	this.setIdentifier = function(_id){
		this.identifier = _id;
	}
	
	this.setType = function(_type){
		this.type = _type;
	}
}

// Switch.js

// Inherit from ModelBean class.
com.ibm.sysmgmt.nbce.gui.viewswitches.SASSwitch = function(_id, _nickName,_ipAddress,_tcpPortAdmin,_tcpPortEvents,_tcpPortFirmware,_address,
	_currentSwitchTime,_chassisID,_chassisType,_location,_productID,_serialNumber,_partNumber,
	_firmwareVersion,_dateLastUpdate,_activeConfiguration,_statusDesc,_statusImage,_zoningEnabled){
	
	var nickName,ipAddress,tcpPortAdmin,tcpPortEvents,tcpPortFirmware,address,currentSwitchTime,chassisID,chassisType,location,productID,serialNumber,partNumber,firmwareVersion,dateLastUpdate,activeConfiguration,statusDesc,statusImage,zoningEnabled;
	
	// ************************************************************************ 
	// Public Methods
	// *********************************************************************** 
 	
	this.setNickName = function(_nickName){
		this.nickName = _nickName;
	}
	
	this.setIpAddress = function(_ipAddress){
		this.ipAddress = _ipAddress;
	}
	
	this.setTcpPortAdmin = function(_tcpPortAdmin){
		this.tcpPortAdmin = _tcpPortAdmin;
	}
	
	this.setTcpPortEvents = function(_tcpPortEvents){
		this.tcpPortEvents = _tcpPortEvents;
	}
	
	this.setTcpPortFirmware = function(_tcpPortFirmware){
		this.tcpPortFirmware = _tcpPortFirmware;
	}
	
	this.setAddress = function(_address){
		this.address = _address;
	}
	
	this.setCurrentSwitchTime = function(_currentSwitchTime){
		this.currentSwitchTime = _currentSwitchTime;
	}
	
	this.setChassisID = function(_chassisID){
		this.chassisID = _chassisID;
	}
	
	this.setChassisType = function(_chassisType){
		this.chassisType = _chassisType;
	}
	this.setLocation = function(_location){
		this.location = _location;
	}
	
	this.setProductID = function(_productID){
		this.productID = _productID;
	}
	
	this.setSerialNumber = function(_serialNumber){
		this.serialNumber = _serialNumber;
	}
	
	this.setPartNumber = function(_partNumber){
		this.partNumber = _partNumber;
	}
	
	this.setFirmwareVersion = function(_firmwareVersion){
		this.firmwareVersion = _firmwareVersion;
	}
	
	this.setDateLastUpdate = function(_dateLastUpdate){
		this.dateLastUpdate = _dateLastUpdate;
	}
	
	this.setActiveConfiguration= function(_activeConfiguration){
		this.activeConfiguration= _activeConfiguration;
	}
	
	this.setStatusDesc= function(_statusDesc){
		this.statusDesc = _statusDesc;
	}
	
	this.setStatusImage= function(_statusImage){
		this.statusImage = _statusImage;
	}
	
	this.setZoningEnabled= function(_zoningEnabled){
		this.zoningEnabled = _zoningEnabled;
	}
	
	this.setIdentifier(_id);
	this.setType('SASSwitch');
	
	this.setNickName(_nickName);
	this.setIpAddress(_ipAddress);
	this.setTcpPortAdmin(_tcpPortAdmin);
	this.setTcpPortEvents(_tcpPortEvents);
	this.setTcpPortFirmware(_tcpPortFirmware);
	this.setAddress(_address);
	this.setCurrentSwitchTime(_currentSwitchTime);
	this.setChassisID(_chassisID);
	this.setChassisType(_chassisType);
	this.setLocation(_location);
	this.setProductID(_productID);
	this.setSerialNumber(_serialNumber);
	this.setPartNumber(_partNumber);
	this.setFirmwareVersion(_firmwareVersion);
	this.setDateLastUpdate(_dateLastUpdate);
	this.setActiveConfiguration(_activeConfiguration);
	this.setStatusDesc(_statusDesc);
	this.setStatusImage(_statusImage);
	this.setZoningEnabled(_zoningEnabled);

}
com.ibm.sysmgmt.nbce.gui.viewswitches.SASSwitch.prototype = new com.ibm.sysmgmt.nbce.gui.viewswitches.ModelBean();

com.ibm.sysmgmt.nbce.gui.viewswitches.BCEChassis = function(_id,_domainIP){
	var domainIP
	
	// ************************************************************************ 
	// Public Methods
	// *********************************************************************** 
	this.setDomainIP = function(_domainIP){
		this.domainIP = _domainIP;
	}
	
	this.setIdentifier(_id);
	this.setType('BCE');
    this.setDomainIP(_domainIP);
}
com.ibm.sysmgmt.nbce.gui.viewswitches.BCEChassis.prototype = new com.ibm.sysmgmt.nbce.gui.viewswitches.ModelBean();


