com.ibm.sysmgmt.nbce.gui.viewswitches.DateAndTimeModal = function() {
	// ************************************************************************ 
	// Private Properties
	// *********************************************************************** 
		var primaryNTPField = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:dt_it_primary');
		var secondaryNTPField = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:dt_it_secondary');
		var timeField = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:dt_it_time');
		var dateField = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:dt_it_date');
	// ************************************************************************ 
	// Public Methods
	// *********************************************************************** 
	
	this.show = function(){
	   	document.getElementById(namespace_g+'submitForm:DateAndTimeModal:externalDateAndTimeModalLaucher').click();		
	}
	
	this.validate = function() {
		var errordiv = document.getElementById("div_datetime_error");
		errordiv.innerHTML='';
		
		var manualchecked = document.getElementById(namespace_g+"submitForm:DateAndTimeModal:sbc_datetime_manual").checked;
			
		
			
		var validatePassed = false;
				
		if (!manualchecked) {
			if (isIPFormat(primaryNTPField) && (secondaryNTPField.value==""||secondaryNTPField.value==null||isIPFormat(secondaryNTPField))) validatePassed = true;
			else errordiv.innerHTML = document.getElementById(namespace_g+"submitForm:DateAndTimeModal:error_ip").innerHTML+"<BR>";
			
		}else{
			if (isDateFormat(dateField) && isTimeFormat(timeField)) validatePassed = true;
			else errordiv.innerHTML = document.getElementById(namespace_g+"submitForm:DateAndTimeModal:error_time").innerHTML+"<BR>";
		}
				
		if (validatePassed) document.getElementById(namespace_g+'submitForm:DateAndTimeModal:cb_datetime_ok_hidden').click();
	}		

	this.cancel = function(){
		checkbox = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:sbc_datetime_manual');
		
		if (checkbox.checked) {
			document.getElementById(namespace_g+'submitForm:DateAndTimeModal:cancel_hidden').click();
		}
			
		document.getElementById(namespace_g+'submitForm:DateAndTimeModal:cb_datetime_cancel_hidden').click();
	}	

	this.refresh = function(){
		var errordiv = document.getElementById("div_datetime_error");
		errordiv.innerHTML='';
		var checkbox1 = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:sbc_datetime_manual');
	    checkbox1.checked = false;
	    
	    startWait();
	   
	    
	    // var current = new Date();
	    // document.getElementById(namespace_g+'submitForm:DateAndTimeModal:dt_it_date').value = getDate();
		// document.getElementById(namespace_g+'submitForm:DateAndTimeModal:dt_it_time').value = getTime();
		
		triggerAjaxForCurrentSetting();
	}
	
	function triggerAjaxForCurrentSetting(){
		try{
			httpRequest = new XMLHttpRequest();
		} catch (e) {
			httpRequest = new ActiveXObject('Microsoft.XMLHTTP');
		}
		
		
		basePath = current_context + "/";
		selectedDevice = document.getElementById(namespace_g+'submitForm:menus:selectObject').value;
		dummyDate = new Date();
		url = basePath+"faces/GetCurrentDateSettingServlet"
				+"?selectedSwitchIP="+ selectedDevice+"&dummy="+dummyDate;
		httpRequest.open("GET", url, true); 
		httpRequest.onreadystatechange = displayCurrentSetting;
		httpRequest.send(null);
		
	}
	
	function displayCurrentSetting(){
		if (httpRequest.readyState == 4) {
			if (httpRequest.status == 200) {
	   			 var primaryNTPServer = httpRequest.responseXML.getElementsByTagName('primaryIP')[0]
	   			 						.firstChild.nodeValue;
	   			 var secondaryNTPServer = httpRequest.responseXML.getElementsByTagName('secondaryIP')[0]
	   			 						.firstChild.nodeValue;
	   			 var currentSwitchDate = httpRequest.responseXML.getElementsByTagName('date')[0]
	   			 						.firstChild.nodeValue;
	   			 var currentSwitchTime = httpRequest.responseXML.getElementsByTagName('time')[0]
	   			 						.firstChild.nodeValue;
	   			 
	   			 primaryNTPField.value = primaryNTPServer;
	   			 secondaryNTPField.value = secondaryNTPServer;
	   			 dateField.value = currentSwitchDate;
	   			 timeField.value = currentSwitchTime;
	   			 
	    	}
	    	stopWait();
		}
		
	}
	
	function startWait(){
	 	document.getElementById('waitDiv').style.display = 'block';
	 	document.getElementById('contentDiv').style.display = "none";
	}
	
	function stopWait(){
		document.getElementById('waitDiv').style.display = 'none';
	    document.getElementById('contentDiv').style.display = "block";
	}
	/*
	function getDate() {
		var current = new Date();
		var vYear = current.getFullYear();
		var vMon = current.getMonth() + 1;
		var vDay = current.getDate();
		var result = vYear + "-" + (vMon<10?("0"+vMon):vMon) + "-" + (vDay<10?("0"+vDay):vDay);
		return result;
	}
	
	function getTime(){	
		var current = new Date();
		var vHour = current.getHours();
		var vMin  = current.getMinutes();
		var vSec  = current.getSeconds();
		var result = (vHour<10?("0"+vHour):vHour) + ":" + (vMin<10?("0"+vMin):vMin) + ":" + (vSec<10?("0"+vSec):vSec);
		return result;
	}
	*/
	function isTimeFormat(time) {
		str = time.value;
		var r = str.match(/^(\d{1,2}):(\d{1,2}):(\d{1,2})$/);
		if (r==null) return false;
    	var hour = parseInt(r[1]);
		var minute = parseInt(r[2]);
		var second = parseInt(r[3]);
		
		return(hour>-1&&hour<24&&minute>-1&&minute<60&&second>-1&&second<60);
	}
	
	function isDateFormat(date) {
		str = date.value;
		var r = str.match(/^(\d{1,4})(-|\/)(\d{1,2})\2(\d{1,2})$/);
		if(r==null)return false; 
		var d = new Date(r[1], r[3]-1, r[4]);
		return(d.getFullYear()==r[1]&&(d.getMonth()+1)==r[3]&&d.getDate()==r[4]);
	}
	
	function isIPFormat(ip){
	
		var ipexpr = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
		if (!ipexpr.test(ip.value)) return false;
		var IParray = ip.value.match(ipexpr);
		if (IParray != null) {
				for (var i=1; i<5; i++) {
					var octet = IParray[i];
					if (octet > 255) {
						return false;
					}	
				}
		}
		
		return true;
	}
}


com.ibm.sysmgmt.nbce.gui.viewswitches.DateAndTimeModal.prototype = new com.ibm.sysmgmt.nbce.gui.viewswitches.Modal();

com.ibm.sysmgmt.nbce.gui.viewswitches.DateAndTimeModal.getInstance = function(){
	if(com.ibm.sysmgmt.nbce.gui.viewswitches.DateAndTimeModal._instance == null){
		com.ibm.sysmgmt.nbce.gui.viewswitches.DateAndTimeModal._instance = new com.ibm.sysmgmt.nbce.gui.viewswitches.DateAndTimeModal();
	}
	
	return com.ibm.sysmgmt.nbce.gui.viewswitches.DateAndTimeModal._instance;
};

function disableNTPFields(){
	
	var checkbox = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:sbc_datetime_manual');
	var primaryNTPField = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:dt_it_primary');
	var secondaryNTPField = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:dt_it_secondary');
	
	
	if (checkbox.checked) { 
		primaryNTPField.disabled = false;
		secondaryNTPField.disabled = false;
	
	}else {
		primaryNTPField.disabled = true;
		secondaryNTPField.disabled = true;
	}
}

function resetDisabled(){
	var checkbox = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:sbc_datetime_manual');
	var primaryNTPField = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:dt_it_primary');
	var secondaryNTPField = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:dt_it_secondary');
	checkbox.checked = false;
	primaryNTPField.disabled = false;
	secondaryNTPField.disabled = false;
}

function invertChecked(){
	//diableNTPFields();
	var checkbox = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:sbc_datetime_manual');
	var primaryNTPField = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:dt_it_primary');
	var secondaryNTPField = document.getElementById(namespace_g+'submitForm:DateAndTimeModal:dt_it_secondary');
	/*if (checkbox.checked) { 
		primaryNTPField.disabled = false;
		secondaryNTPField.disabled = false;
	
	}else {
		primaryNTPField.disabled = true;
		secondaryNTPField.disabled = true;
	}
	checkbox.checked = !(checkbox.checked);
	*/
	if (primaryNTPField.disabled == true){
		primaryNTPField.disabled = false;
		secondaryNTPField.disabled = false;
		checkbox.checked = false;
	}else{
		primaryNTPField.disabled = true;
		secondaryNTPField.disabled = true;
		checkbox.checked = true;
	}
		

	return true;
}
