<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component"
	prefix="scmc"%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<portlet:defineObjects />
<f:subview id="DateAndTimeModal">

	<scmc:scmJspPanel>
		<BR>
		<hx:commandExButton id="externalDateAndTimeModalLaucher" type="button"
			style="display: none">
			<hx:behavior behaviorAction="show;"
				targetAction="externalDateAndTimeModalLaucher" event="onclick" />
		</hx:commandExButton>
	</scmc:scmJspPanel>

	<hx:panelDialog style="width: 600px;" styleClass="dmc_panelDialog"
		id="externalDateAndTimeModal" 
		showTitleCloseButton="true"
		for='externalDateAndTimeModalLaucher'
		initiallyShow="#{pc_ViewAllSwitches.viewAllSwitchesBean.isHatterasActionSetDateTime}"
		onshow="com.ibm.sysmgmt.nbce.gui.viewswitches.DateAndTimeModal.getInstance().refresh()"
		title="#{bundle.ViewAllSwitches_SetDateTime_Title}">
		<hx:behaviorKeyPress targetAction="cb_datetime_ok"
			behaviorAction="click;nothing" key="ENTER" />
		<hx:behaviorKeyPress targetAction="cb_datetime_cancel"
			behaviorAction="click;nothing" key="ESC" />


		<hx:jspPanel>
			<DIV id="waitDiv">
			<TABLE>
				<TBODY>
					<TR>
						<TD colspan="3" height="25%">&nbsp;</TD>
					</TR>
					<TR>
						<TD><IMG border="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/images/common/loading/busy.gif") %>' alt=''></TD>
						<TD>&nbsp;</TD>

						<TD align="left"><h:outputFormat
							id="error_counter_table_wait_mssage_text"
							styleClass="dmc_outputText"
							value="#{bundle.ViewAllSwitches_SetDateTime_WaitMessage}"></h:outputFormat>
						</TD>
					</TR>
					<TR>
						<TD colspan="3" height="25%">&nbsp;</TD>
					</TR>
				</TBODY>
			</TABLE>
			</DIV>
		</hx:jspPanel>


		<hx:jspPanel>



			<DIV id="contentDiv">
			<TABLE width="100%" cellspacing="0" class="dmc_outputText">
				<TBODY>
					<TR>
						<TD colspan="3">
						<DIV id="div_datetime_error"
							style="color:red; font-size: xx-small; font-family: Verdana, Arial, Helvetica, sans-serif;"></DIV>
						</TD>
					</TR>
					<TR>
						<TD colspan="3"><h:outputText id="dt_NTP_server_IP_Address_label"
							styleClass="dmc_outputText"
							value="#{bundle.ViewAllSwitches_SetDateTime_NTP_Title}"></h:outputText>
						</TD>
					</TR>
					<TR>
						<TD>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
						<TD>
							<h:outputLabel styleClass="dmc_outputText"
								id="ol_primary_label" for="dt_it_primary">
								<h:outputText id="primary_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SetDateTime_NTP_Primary}">
								</h:outputText>
							</h:outputLabel>
						</TD>
						<TD>
							<h:inputText styleClass="inputText" id="dt_it_primary">
							</h:inputText>
						</TD>
					</TR>
					<TR>
						<TD>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
						<TD>
							<h:outputLabel styleClass="dmc_outputText"
									id="ol_secondary_label" for="dt_it_secondary">
								<h:outputText id="secondary_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SetDateTime_NTP_Secondary}">
								</h:outputText>
							</h:outputLabel>
						</TD>
						<TD>
							<h:inputText styleClass="inputText" id="dt_it_secondary"></h:inputText>
						</TD>
					</TR>
					<TR>
						<TD colspan="3">
							<h:selectBooleanCheckbox styleClass="selectBooleanCheckbox" id="sbc_datetime_manual">
							
							<hx:behavior onActionFunction="javascript: invertChecked()" 
									behaviorAction="inverthide;" 
									targetAction="dt_it_datatime_div"
									event="onclick"/>
							</h:selectBooleanCheckbox>
				
							<h:outputText id="datetimebox_text" 
								styleClass="dmc_outputText"
								value="#{bundle.ViewAllSwitches_SetDateTime_Manual}">
								<hx:behavior onActionFunction="javascript: invertChecked()" 
									behaviorAction="inverthide;" 
									targetAction="dt_it_datatime_div"
									event="onclick"/>
							</h:outputText>
					</TD>
					</TR>
					<TR>
						<TD colspan="3">
						<div id="dt_it_datatime_div" style="display:none">
						
							<h:outputLabel
								styleClass="dmc_hiddenLabel" id="ol_time_label" for="dt_it_time">
								<h:outputText id="ol_time_hidden" styleClass="dmc_hiddenLabel"
									value="#{bundle.ViewAllSwitches_SetDateTime_Time}">
								</h:outputText>
							</h:outputLabel> 
							
							<h:inputText id="dt_it_time"
								styleClass="dmc_inputText">
								<f:convertDateTime type="time" pattern="HH:mm:ss" />
								<hx:inputHelperDatePicker />
							</h:inputText> 
							
							<BR>
							
							<h:outputText id="dt_datatime_des" styleClass="dmc_outputTextS"
								value="#{bundle.ViewAllSwitches_SetDateTime_Pattern}">
							</h:outputText> 
							
							<BR>
							
							<h:outputLabel styleClass="dmc_hiddenLabel"
								id="ol_date_label" for="dt_it_date">
								<h:outputText id="ol_date_hidden" styleClass="dmc_hiddenLabel"
									value="#{bundle.ViewAllSwitches_SetDateTime_Date}">
								</h:outputText>
							</h:outputLabel> 
							
							<h:inputText id="dt_it_date"
								styleClass="dmc_inputText">
								<f:convertDateTime type="date" pattern="yyyy-MM-dd" />
								<hx:inputHelperDatePicker buttonBorder="1" />
							</h:inputText> 
						</div>
						</TD>
					</TR>
				</TBODY>
			</TABLE>

			<hx:commandExButton id="cb_datetime_ok"
				value="#{bundle.Common_Modal_OK}" styleClass="dmc_commandExButton"
				style="width:80px;" type="button"
				onclick="com.ibm.sysmgmt.nbce.gui.viewswitches.DateAndTimeModal.getInstance().validate();" />
			<hx:commandExButton id="cb_datetime_cancel"
				value="#{bundle.Common_Modal_Cancel}"
				styleClass="dmc_commandExButton" style="width:80px;" type="button"
				onclick="com.ibm.sysmgmt.nbce.gui.viewswitches.DateAndTimeModal.getInstance().cancel();">
			</hx:commandExButton> <hx:commandExButton id="cb_datetime_ok_hidden"
				value="#{bundle.Common_Modal_OK}" styleClass="dmc_commandExButton"
				type="submit" style="width:80px;display:none">
				<hx:behavior behaviorAction="hide;click"
					targetAction="externalDateAndTimeModal;cb_datetime_ok_submit"
					event="onclick" />
			</hx:commandExButton> <hx:commandExButton id="cb_datetime_ok_submit"
				value="#{bundle.Common_Modal_OK}" styleClass="dmc_commandExButton"
				type="submit" style="width:80px;display:none"
				action="#{pc_ViewAllSwitches.doModifySwitchTimeAction}">
			</hx:commandExButton> <hx:commandExButton
				id="cb_datetime_cancel_hidden" value="#{bundle.Common_Modal_Cancel}"
				styleClass="dmc_commandExButton" type="reset"
				style="width:80px;display:none">
				<hx:behavior behaviorAction="hide;nothing" onActionFunction="resetDisabled();"
					targetAction="externalDateAndTimeModal" event="onclick" />
			</hx:commandExButton> <hx:commandExButton id="cancel_hidden"
				style="display:none" type="button">
				<hx:behavior behaviorAction="inverthide;"
					targetAction="dt_it_datatime_div" event="onclick" />
			</hx:commandExButton> <h:outputText id="error_ip"
				style="display:none"
				value="#{bundle.ViewAllSwitches_SetDateTime_Error_IP}"></h:outputText>
			<h:outputText id="error_time" style="display:none"
				value="#{bundle.ViewAllSwitches_SetDateTime_Error_Time}"></h:outputText>
			</DIV>
		</hx:jspPanel>
	</hx:panelDialog>
</f:subview>

