<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component"
	prefix="scmc"%>

<f:subview id="removeSwitch">
	<scmc:scmJspPanel>
		<BR>
		<INPUT id="externalRemoveSwitchModalLaucher" type="button"
			style="display: none">
	</scmc:scmJspPanel>
	<hx:panelDialog style="width: 400px;" styleClass="dmc_panelDialog"
		id="externalRemoveSwitchModal" for='externalRemoveSwitchModalLaucher'
		showTitleCloseButton="true"
		title="#{bundle.ViewAllSwitches_RemoveSwitch_Title}">
		<scmc:scmJspPanel>
			<BR>
			<h:outputText id="ot_removesas_msg1"
				value="#{bundle.ViewAllSwitches_RemoveSwitch_Msg1}"></h:outputText>
			<h:outputText id="removed_sas_id" styleClass="dmc_outputText"
				value=""></h:outputText>
			<h:outputText id="ot_removesas_msg2" styleClass="dmc_outputText"
				value="#{bundle.ViewAllSwitches_RemoveSwitch_Msg2}"></h:outputText>
			<BR>
			<BR>
			<hx:commandExButton id="cb_removesas_ok"
				value="#{bundle.Common_Modal_OK}" styleClass="dmc_commandExButton"
				style="width:80px" type="button">
				<hx:behavior behaviorAction = "hide;click"
					targetAction = "externalRemoveSwitchModal;cb_removesas_submit" event="onclick"/>
					
			</hx:commandExButton>
			<hx:commandExButton id="cb_removesas_cancel" type="button"
				value="#{bundle.Common_Modal_Cancel}"
				styleClass="dmc_commandExButton" style="width: 80px">
				<hx:behavior behaviorAction="hide;"
					targetAction="externalRemoveSwitchModal" event="onclick" />
			</hx:commandExButton>
			
			<hx:commandExButton id="cb_removesas_submit" type="submit" style="display:none" action="#{pc_ViewAllSwitches.doRemoveSwitchAction}">
			</hx:commandExButton>
			
		</scmc:scmJspPanel>
	</hx:panelDialog>
</f:subview>
