/**
 * SASSwitchPropertiesModal.js
 */
com.ibm.sysmgmt.nbce.gui.viewswitches.SwitchPropertiesModal = function() {

	// ************************************************************************ 
	// Private Fields
	// *********************************************************************** 
	var _SASSwitch;

	// ************************************************************************ 
	// Public Methods
	// *********************************************************************** 
	this.setSASSwitch = function(_switch){

		_SASSwitch=_switch;
	}
	
	/*
	 */
	this.show = function(){
		document.getElementById(namespace_g+'submitForm:properties:switchPNickName').innerHTML=_SASSwitch.nickName;
		document.getElementById(namespace_g+'submitForm:properties:switchPIPAddress').innerHTML=_SASSwitch.ipAddress;
		document.getElementById(namespace_g+'submitForm:properties:switchPTcpPortAdmin').innerHTML=_SASSwitch.tcpPortAdmin;
		document.getElementById(namespace_g+'submitForm:properties:switchPTcpPortevents').innerHTML=_SASSwitch.tcpPortEvents;
		document.getElementById(namespace_g+'submitForm:properties:switchPTcpPortFirmware').innerHTML=_SASSwitch.tcpPortFirmware;
		document.getElementById(namespace_g+'submitForm:properties:switchPAddress').innerHTML=_SASSwitch.address;
		document.getElementById(namespace_g+'submitForm:properties:switchPCurrentSwitchTime').innerHTML=_SASSwitch.currentSwitchTime;
		document.getElementById(namespace_g+'submitForm:properties:switchPChassisID').innerHTML=_SASSwitch.chassisID;
		document.getElementById(namespace_g+'submitForm:properties:switchPChassisType').innerHTML=_SASSwitch.chassisType;
		document.getElementById(namespace_g+'submitForm:properties:switchPLocation').innerHTML=_SASSwitch.location;
		document.getElementById(namespace_g+'submitForm:properties:switchPProductID').innerHTML=_SASSwitch.productID;
		document.getElementById(namespace_g+'submitForm:properties:switchPSerialNumber').innerHTML=_SASSwitch.serialNumber;
		document.getElementById(namespace_g+'submitForm:properties:switchPPartNumber').innerHTML=_SASSwitch.partNumber;
		document.getElementById(namespace_g+'submitForm:properties:switchPFirmwareVersion').innerHTML=_SASSwitch.firmwareVersion;
		document.getElementById(namespace_g+'submitForm:properties:switchPDateLastUpdate').innerHTML=_SASSwitch.dateLastUpdate;
	    document.getElementById(namespace_g+'submitForm:properties:switchPZoningEnabled').innerHTML=_SASSwitch.zoningEnabled;
		document.getElementById(namespace_g+'submitForm:properties:switchPStatusDesc').innerHTML=_SASSwitch.statusDesc;
		
		var imageSrc = document.getElementById(namespace_g+'submitForm:properties:switchPStatusImage').src;
		imageSrc = imageSrc.substring(0,imageSrc.indexOf('images')-1);
		
		document.getElementById(namespace_g+'submitForm:properties:switchPStatusImage').src=imageSrc + _SASSwitch.statusImage;
		document.getElementById('externalSASSwitchPropertiesModalLaucher').click();
	}
	
	this.navigateToUpdateFirmwarePage = function(){
		document.getElementById(namespace_g+'submitForm:properties:externalSASSwitchPropertiesModalClose').click();
		com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('chassisUpdateFirmware');
	}
}

com.ibm.sysmgmt.nbce.gui.viewswitches.SwitchPropertiesModal.prototype = new com.ibm.sysmgmt.nbce.gui.viewswitches.Modal();

com.ibm.sysmgmt.nbce.gui.viewswitches.SwitchPropertiesModal.getInstance = function(){
	if(com.ibm.sysmgmt.nbce.gui.viewswitches.SwitchPropertiesModal._instance == null){
		com.ibm.sysmgmt.nbce.gui.viewswitches.SwitchPropertiesModal._instance = new com.ibm.sysmgmt.nbce.gui.viewswitches.SwitchPropertiesModal();
	}
	
	return com.ibm.sysmgmt.nbce.gui.viewswitches.SwitchPropertiesModal._instance;
};
