<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component"
	prefix="scmc"%>
<f:subview id="properties">
		<scmc:scmJspPanel>
			<BR>
			<INPUT id="externalSASSwitchPropertiesModalLaucher" type="button"
				style="display: none">
		</scmc:scmJspPanel>
		<!-- qqq did not find a good way to set the value of Model on the server side, now need set values with js -->
		<hx:panelDialog style="width: 600px;" styleClass="dmc_panelDialog"
			id="externalSASSwitchPropertiesModal"
			for="externalSASSwitchPropertiesModalLaucher"
			showTitleCloseButton="true"
			title="#{bundle.ViewAllSwitches_SwitchPropetiesTitle}">
			<scmc:scmJspPanel>
				<TABLE width="560" cellspacing="0" class="dmc_outputText">
					<TBODY>
						<TR>
							<TD align="left" width="40%">
								<h:outputText id="allswitch_properties_ip_text"
									styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyIPAddress}">
								</h:outputText>
							</TD>
							<TD align="left">
								<h:outputText styleClass="dmc_outputText"
									id="switchPIPAddress" value="None">
								</h:outputText>
							</TD>
							<TD align="center" rowspan="3">
								<a href="/help/topic/com.ibm.storage.nssm.doc/scm_nssm_switch_properties_help.html" 
									onclick="window.open('/help/topic/com.ibm.storage.nssm.doc/scm_nssm_switch_properties_help.html', 'helpwin', 'status,resizable,scrollbars,width=740,height=290'); return false;" 
									target="helpwin">
									<h:outputText id="allswitch_properties_help_text"
										styleClass="dmc_outputText"
										value="#{bundle.Common_Modal_Help}">
									</h:outputText>
								</a>
								<BR>
								
								<hx:graphicImageEx  styleClass="graphicImageEx" id="img_properties" alt="" value="/images/common/components/sas_switch_32.gif">
								</hx:graphicImageEx>
							</TD>
						</TR>
						<TR>
							<TD align="left" width="40%">
								<h:outputText id="allswitch_properties_nickname_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyNickName}">
								</h:outputText>
							</TD>
							<TD align="left">
								<h:outputText styleClass="dmc_outputText"
									id="switchPNickName" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD align="left" width="40%">
								<h:outputText id="allswitch_properties_location_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyLocation}">
								</h:outputText>
							</TD>
							<TD align="left">
								<h:outputText styleClass="dmc_outputText"
									id="switchPLocation" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD align="left" width="40%">
								<h:outputText id="allswitch_properties_address_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetySASAddress}">
								</h:outputText>
							</TD>
							<TD align="left">
								<h:outputText styleClass="dmc_outputText"
									id="switchPAddress" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD align="left" width="40%">
								<h:outputText id="allswitch_properties_chassisid_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyChasisID}">
								</h:outputText>
							</TD>
							<TD align="left">
								<h:outputText styleClass="dmc_outputText"
									id="switchPChassisID" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD align="left" width="40%">
								<h:outputText id="allswitch_properties_chassis_type_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyChasisType}">
								</h:outputText>
							</TD>
							<TD align="left">
								<h:outputText styleClass="dmc_outputText"
									id="switchPChassisType" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD align="left" width="40%">
								<h:outputText id="allswitch_properties_status_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyStatus}">
								</h:outputText>
							</TD>
							<TD align="left">
								<hx:graphicImageEx  styleClass="graphicImageEx" alt=""
									id="switchPStatusImage" value="/images/common/status/normal_12.gif">
								</hx:graphicImageEx> 
								<h:outputText styleClass="dmc_outputText" 
									id="switchPStatusDesc" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD align="left" width="40%">
								<h:outputText id="allswitch_properties_zoningenabled_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyZoningEnabled}">
								</h:outputText>
							</TD>
							<TD align="left">
								<h:outputText styleClass="dmc_outputText"
									id="switchPZoningEnabled" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD colspan="2">&nbsp;</TD>
						</TR>
						<TR>
							<TD align="left" width="40%">
								<h:outputText id="allswitch_properties_productid_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyProductID}">
								</h:outputText>
							</TD>
							<TD align="left">
								<h:outputText styleClass="dmc_outputText"
									id="switchPProductID" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD align="left" width="40%">
								<h:outputText id="allswitch_properties_serialnumber_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetySerialNumber}">
								</h:outputText>
							</TD>
							<TD align="left">
								<h:outputText  styleClass="dmc_outputText"
									id="switchPSerialNumber" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD align="left" width="40%">
								<h:outputText id="allswitch_properties_partnumber_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyPartNumber}">
								</h:outputText>
							</TD>
							<TD align="left">
								<h:outputText  styleClass="dmc_outputText"
									id="switchPPartNumber" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD colspan="2">&nbsp;</TD>
						</TR>
						<TR>
							<TD align="left" width="40%">
								<h:outputText id="allswitch_properties_time_text"
									styleClass="dmc_outputText"
								value="#{bundle.ViewAllSwitches_SwitchPropetyCurrentSwitchTime}"></h:outputText>
							</TD>
							<TD align="left">
								<h:outputText styleClass="dmc_outputText"
									id="switchPCurrentSwitchTime" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD align="left" width="40%">
								<h:outputText id="allswitch_properties_firmwareversion_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyFirmwareVersion}">
								</h:outputText>
							</TD>
							<TD align="left" width="15%">
								<h:outputText styleClass="dmc_outputText"
									id="switchPFirmwareVersion" value="None">
								</h:outputText> 
								<hx:outputLinkEx id="update_Link" styleClass="outputLinkEx" value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.SwitchPropertiesModal.getInstance().navigateToUpdateFirmwarePage();">
									<h:outputText id="allswitch_properties_firmwareversion_update_link" 
										styleClass="dmc_outputText" 
										value="#{bundle.ViewAllSwitches_SwitchPropetyUpdate}">
									</h:outputText>
								</hx:outputLinkEx>
							</TD>
							
							
						</TR>
						<TR>
							<TD align="left" width="40%">
								<h:outputText id="allswitch_properties_lastupdate_text"
									styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyDateLastUpdate}">
								</h:outputText>
							</TD>
							<TD align="left">
								<h:outputText styleClass="dmc_outputText"
									id="switchPDateLastUpdate" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD colspan="2">&nbsp;</TD>
						</TR>
						
						<TR>
							<TD colspan="2">
								<h:outputText id="allswitch_properties_tcpport_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyTCPPort}">
								</h:outputText>
							</TD>
						</TR>
												
						<TR>
							<TD align="left" width="40%">&nbsp;&nbsp;&nbsp;&nbsp;
								<h:outputText id="allswitch_properties_tcpportadmin_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyTCPPortAdmin}">
								</h:outputText>
							</TD>
							<TD align="left">
								<h:outputText styleClass="dmc_outputText"
									id="switchPTcpPortAdmin" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD align="left" width="40%">&nbsp;&nbsp;&nbsp;&nbsp;
								<h:outputText id="allswitch_properties_tcpportevents_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyTCPPortEvents}">
								</h:outputText>
							</TD>
							<TD align="left">
								<h:outputText styleClass="dmc_outputText"
									id="switchPTcpPortevents" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD align="left" width="40%">&nbsp;&nbsp;&nbsp;&nbsp;
								<h:outputText id="allswitch_properties_tcpportfirmware_text" styleClass="dmc_outputText"
									value="#{bundle.ViewAllSwitches_SwitchPropetyTCPPortFirmware}">
								</h:outputText>
							</TD>
							<TD align="left">
								<h:outputText styleClass="dmc_outputText"
									id="switchPTcpPortFirmware" value="None">
								</h:outputText>
							</TD>
						</TR>
						<TR>
							<TD colspan="2">
								<BR>
								<hx:commandExButton type="submit"
									styleClass="dmc_commandExButton" style="width: 80px;"
									value="#{bundle.Common_Modal_Close}"
									id="externalSASSwitchPropertiesModalClose">
									<hx:behavior event="onclick"
										targetAction="externalSASSwitchPropertiesModal"
										behaviorAction="HIDE;STOP" />
								</hx:commandExButton>
							</TD>
						</TR>
					</TBODY>
				</TABLE>
			</scmc:scmJspPanel>
		</hx:panelDialog>
</f:subview>
