<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/viewswitches/ViewAllSwitches.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>

<%@ include file="/page/common/Header.jsp"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>


<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>

<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/dmcnbcestyle.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/nbceTable.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/viewswitches/menu.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/stylesheet.css") %>' rel="stylesheet" type="text/css">
	
<!-- OO JS  -->
<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/viewswitches/Base.js") %>'></SCRIPT>
<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/viewswitches/ViewAllSwitches.js") %>'></SCRIPT>
<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/viewswitches/TreeTable.js") %>'></SCRIPT>
<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/viewswitches/Menu.js") %>'></SCRIPT>
<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/viewswitches/SwitchPropertiesModal.js") %>'></SCRIPT>
<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/viewswitches/AddSwitchModal.js") %>'></SCRIPT>
<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/viewswitches/RemoveSwitchModal.js") %>'></SCRIPT>
<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/viewswitches/DateAndTimeModal.js") %>'></SCRIPT>

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />
<TITLE>ViewAllSwitches.jsp</TITLE>

</HEAD>
<f:view>
	<BODY >
	<hx:scriptCollector id="scriptCollector1" preRender="#{pc_ViewAllSwitches.onPageLoadBegin}">

		
		<jsp:include page="/page/common/WaitHeader.jsp"/>
		
		<h:form styleClass="form" id="submitForm" onsubmit='startCommonWait()'>
			
			<BR>		
			<h:outputFormat id="allswitch_submitform_instruction_text"styleClass="dmc_outputText" value="#{bundle.ViewAllSwitches_Instruction}"></h:outputFormat>
			<HR>
						
			<hx:commandExButton type="submit" value="#{bundle.Common_Page_Refresh}" style="width:80px" styleClass="dmc_commandExButton" id="refreshButton" action="#{pc_ViewAllSwitches.doRefreshButton}"></hx:commandExButton>
			<h:outputFormat id="allswitch_submitform_refresh_text" styleClass="dmc_outputText" value="#{bundle.Common_Page_LastRefresh}"></h:outputFormat>
			<SPAN class="dmc_outputText" id="lastRefreshTimestamp"> </SPAN>
			<span id="namespace_parent" style="display:none">view<%=renderResponse.getNamespace() %>:</span>	
			<BR>
			<BR>
			<TABLE>
				<TBODY>
					<TR>
						<TD align="left" valign="bottom">
							<hx:commandExButton type="button" value="#{bundle.ViewAllSwitches_ExpandAll}" styleClass="dmc_commandExButton" style="width:80px" id="expandAllButton" onclick="com.ibm.sysmgmt.nbce.gui.viewswitches.TreeTable.getInstance().setAllDisplays('true')"></hx:commandExButton>
							<hx:commandExButton type="button" value="#{bundle.ViewAllSwitches_CollapseAll}" styleClass="dmc_commandExButton" style="width:80px" id="collapseAllButton" onclick="com.ibm.sysmgmt.nbce.gui.viewswitches.TreeTable.getInstance().setAllDisplays('false')"></hx:commandExButton>
							<hx:commandExButton type="button" value="#{bundle.ViewAllSwitches_AddSwitch}" styleClass="dmc_commandExButton" id="addSwitchButton" onclick="new com.ibm.sysmgmt.nbce.gui.viewswitches.AddSwitchModal.getInstance().show();"></hx:commandExButton>
						</TD>
						<TD align="left" valign="bottom">
							<jsp:include page="/page/viewswitches/Menu.jsp"/>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<jsp:include page="/page/viewswitches/Treetable.jsp"/>
			<jsp:include page="/page/viewswitches/SwitchPropertiesModal.jsp"/>
			<jsp:include page="/page/viewswitches/AddSwitchModal.jsp"/>
			<jsp:include page="/page/viewswitches/RemoveSwitchModal.jsp"/>
			<jsp:include page="/page/viewswitches/DateAndTimeModal.jsp"/>
	        <jsp:include page="/page/common/RedirectNoDomains.jsp"/>
		</h:form>

		<jsp:include page="/page/common/WaitFooter.jsp"/>
	<hx:behavior target="#body" event="onload" behaviorAction="nothing"  onActionFunction="init();" />
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>

