// common.js

function resizeFrameHeight(frameID, frameName)
{
	frameObject = document.getElementById(frameID);
	
	// Reset it to a small value so that the height is always increased
	frameObject.style.height = 10;
	
	frameDocument = window.frames[frameName].document;
	
	frameBody = frameDocument.body;

	//  Height
	oHeight = 0;
	sHeight = 0;
	
	if(frameBody.offsetHeight)
		oHeight = frameBody.offsetHeight;
	
	if(frameBody.scrollHeight)
		sHeight = frameBody.scrollHeight;
		
	// Set the height to the bigger one
	newHeight = Math.max(oHeight, sHeight);
	
	frameObject.style.height = newHeight;
}

function resizeFrameWidth(frameID, frameName)
{
	frameObject = document.getElementById(frameID);
	
	// Reset it to a small value so that the width is always increased
	frameObject.style.width = 10;
	
	frameDocument = window.frames[frameName].document;
	
	frameBody = frameDocument.body;

	//  Width
	oWidth = 0;
	sWidth = 0;
	
	if(frameBody.offsetWidth)
		oWidth = frameBody.offsetWidth;
	
	if(frameBody.scrollWidth)
		sWidth = frameBody.scrollWidth;
		
	// Set the width to the bigger one
	newWidth = Math.max(oWidth, sWidth);
	
	frameObject.style.width = newWidth;
}

function commonValidateInput(inputStr) {
	var filteredStr = new Array ('<','>','\'','\"','&','%');
	for (i=0;i<filteredStr.length;i++) {
		if (inputStr.indexOf(filteredStr[i])!=-1) { 
			return false;
		}
	}
	return true;
}

//beep functions
function beepWhenRefresh() {
	if (alertUserWhenAJAXCompletes) {
       	var userAgent = navigator.userAgent.toLowerCase();
	    var isIE = ( userAgent.indexOf( "msie" ) != -1 );
		if (!isIE) {
			if (navigator.javaEnabled != null && navigator.javaEnabled()) {
				java.awt.Toolkit.getDefaultToolkit().beep();
			}
		} else {
			var beepobj = document.getElementById("beepid");
			if (beepobj != null) {
				beepobj.Play();
			}
		}
   	}
}