<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/errorcounters/ErrorCounters.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>

<%@ include file="/page/common/Header.jsp"%>


<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="java.util.HashMap, pagecode.page.errorcounters.*, javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.errors.*, java.util.ResourceBundle"%>

<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">


<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/dmcnbcestyle.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/errorcounters/ErrorCounters.css") %>' rel="stylesheet" type="text/css">

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<TITLE>ErrorCounters.jsp</TITLE>

<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/errorcounters/ErrorCounters.js") %>'></SCRIPT>
<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/common.js") %>'></SCRIPT>
<body>

<%

if(data.isNoDomains() && request.getRequestURI().indexOf("ViewAllSwitches.jsp") == -1)
{
%>
<f:view>
<h:form id="divForm">
	<jsp:include page="/page/common/RedirectNoDomains.jsp"/>
</h:form>
</f:view>
<%
	}else{
%>

<f:view>

	<hx:scriptCollector id="error_counter_script_collector">
		
	<jsp:include page="/page/common/WaitHeader.jsp"/>
		
		<%
		// Get the bundle
		ResourceBundle bundle = ResourceBundle.getBundle("com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL");
		
		// If there is only one switch gray out external ports in the corresponding Bay
		FacesContext fc = FacesContext.getCurrentInstance();
		ErrorCountersBean errorCountersBean = (ErrorCountersBean) fc.getApplication().createValueBinding("#{errorCountersBean}").getValue(fc);
		ErrorCounters errorCounters = (ErrorCounters) fc.getApplication().createValueBinding("#{pc_ErrorCounters}").getValue(fc);
		
		boolean disableBay3 = ! errorCounters.existsSwitch(3);
		boolean disableBay4 = ! errorCounters.existsSwitch(4);
				
		%>
		
		<!-- Hidden fields used to change the alt text when the user selects/deselects -->
		<h:inputHidden id="notSelected" value="#{bundle.ErrorCounters_NotSelected}"></h:inputHidden>
		<h:inputHidden id="selected" value="#{bundle.ErrorCounters_Selected}"></h:inputHidden>
		
		<TABLE width="100%" cellspacing="0" cellpadding="0">
		<TBODY>
		<TR>
		<TD valign="top">
		</TD>
		<TD align="right">
		<jsp:include page="/page/common/BCEDeviceList.jsp"></jsp:include>
		</TD>
		</TR>
		</TBODY>
		</TABLE>
	
		<h:outputFormat id="error_counter_page_instructions" styleClass="dmc_outputText" value='#{bundle.ErrorCounters_Instructions}'></h:outputFormat>
		<HR>
		
		<TABLE cellspacing="0px">
				<!-- ----------------------------- LABELS ----------------------------- -->
				<TR>
					<TD align="center" valign="top">
						<h:outputFormat id="error_counter_blade_bay_ports_title" styleClass="dmc_outputTextTitle2" value="#{bundle.ErrorCounters_BladeBayPorts}"></h:outputFormat>
					</TD>
					
					<%
					if(errorCounters.existsExpander(1))
					{
					%>
					<TD align="center" valign="top" style="padding-left: 15px">
						<h:outputFormat id="error_counter_storage_module_text1" styleClass="dmc_outputTextTitle2" value="#{bundle.ErrorCounters_StorageModule1}"></h:outputFormat>
					</TD>
					<%
					}
					%>
					
					<TD align="center" valign="top" style="padding-left: 15px">
						<TABLE>
							<TBODY>
								<TR>
									<TD colspan="3" align="center">
										<h:outputFormat id="error_counter_external_ports_text" styleClass="dmc_outputTextTitle2" value="#{bundle.ErrorCounters_ExternalPorts}"></h:outputFormat>		
									</TD>
								</TR>
								<TR>
									<TD align="center" style="white-space: nowrap">
										<%
										// See there is a switch in Bay3
										if(disableBay3)
										{
										%>
										<SPAN style="visibility: hidden">
										<%
										}
										else
										{
										%>
										<SPAN>
										<% 
										}
										%>
										<h:outputFormat id="error_counter_io_bay3" styleClass="dmc_outputTextTitle3" value="#{bundle.ErrorCounters_IOBay3}"></h:outputFormat>
										</SPAN>
									</TD>
									<TD width="10%">
										&nbsp; <!-- There is a number between the port images, accounting for it -->
									</TD>
									<TD align="center" style="white-space: nowrap">
										<%
										// See top of the file for disableBay4 assignement
										if(disableBay4)
										{ 
										%>
										<SPAN style="visibility: hidden">
										<%
										}
										else
										{
										%>
										<SPAN>
										<%
										}
										%>
										<h:outputFormat id="error_counter_io_bay4" styleClass="dmc_outputTextTitle3" value="#{bundle.ErrorCounters_IOBay4}"></h:outputFormat>
										</SPAN>
									</TD>
								</TR>
							</TBODY>
						</TABLE>						
					</TD>
					
					<%
					if(errorCounters.existsExpander(2))
					{
					%>
					<TD align="center" valign="top" style="padding-left: 15px">
						<h:outputFormat id="error_counter_storage_module_text2" styleClass="dmc_outputTextTitle2" value="#{bundle.ErrorCounters_StorageModule2}"></h:outputFormat>
					</TD>
					<%
					}
					%>
				</TR>
				
				<!-- ----------------------------- RESOURCES ----------------------------- -->
				<TR>
					<TD align="center">
						<!-- -------------------------------- BLADES ------------------------------------ -->
						
						<TABLE align="center">
							<TBODY>
								<TR>
									<%
									for(int x = 0; x < errorCounters.getBladeCount(); x++)
									{
									%>				
									<TD class="unSelectedResource" id="resourceCell<%=x%>" onClick="toggleResource(this, 'resourceImage<%=x%>', selectedBlades, <%=x%>); matchBladeNumberAlt('resourceImage<%=x%>', 'bladeNumber<%= x %>')">
										<TABLE cellspacing="0" cellpadding="0">
											<TBODY>
												<TR>
													<TD align="center" style="padding-bottom: 5;">
														<%
														if(errorCounters.isEnabled(x))
														{
														%>
														<IMG tabIndex = 0  id="resourceImage<%=x%>" title="<%= bundle.getString("ErrorCounters_BladeBayPort") + " " + (x + 1)%>" alt="<%= bundle.getString("ErrorCounters_BladeBayPort") + " " + (x + 1) + " " +  bundle.getString("ErrorCounters_NotSelected")%>" border="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/blade_150.gif")%>'>
														<%
														}
														else
														{
														%>
														<IMG tabIndex = 0  id="resourceImage<%=x%>" title="<%= bundle.getString("ErrorCounters_BladeBayPort") + " " + (x + 1)%>" alt="<%= bundle.getString("ErrorCounters_BladeBayPort") + " " + (x + 1) + " " +  bundle.getString("ErrorCounters_NotSelected")%>" border="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/blade_150_disabled.gif")%>'>
														<%
														}
														%>
													</TD>
												</TR>
												<TR>
													<TD align="center">
														<IMG id="bladeNumber<%= x %>" alt="<%= bundle.getString("ErrorCounters_BladeBayPort") + " " + (x + 1) + " " +  bundle.getString("ErrorCounters_NotSelected")%>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/numberImages/numberImage" + (x + 1) + ".gif")%>'>
													</TD>
												</TR>							
											</TBODY>
										</TABLE>
									</TD>
									<%
									}
									%>
								</TR>
							</TBODY>
						</TABLE>
						
					</TD>
					
					<%
					if(errorCounters.existsExpander(1))
					{
					%>
					
					<TD align="center" style="padding-left: 15px">
						<!-- -------------------------------- STORAGE MODULE 1 ------------------------------------ -->
					
						<TABLE cellspacing="0" cellpadding="0">
							<TBODY>
								<TR>
									<TD style="border: 1px solid gray; padding: 5;">
										
										<TABLE>
											<TBODY>
												<%
												for(int x = 0; x < 2; x++)
												{
												%>
												<TR>
													<%
													for(int y = 0; y < 3; y++)
													{
														// Calculating the disk disk number from the row and column values (two rows with three columns)
														// Note, diskNumber is zero indexed
														int diskNumber = x * 3 + y;
														
														// See the constants at the top of the file for a resource offset explanation
														int resourceNumber = ErrorCounters.SM1_RESOURCE_OFFSET + diskNumber;
													%>
													<TD  id="resourceCell<%=resourceNumber%>" align="center" class="unSelectedResource" onClick="toggleResource(this, 'resourceImage<%= resourceNumber %>', selectedStorageModule1Disks, <%=diskNumber%>)">
														<SPAN class="dmc_outputTextTitle2"><%= bundle.getString("ErrorCounters_Disk") + " " + (diskNumber + 1) %></SPAN><BR>
														
														<%
														if(errorCounters.isEnabled(resourceNumber))
														{
														%>
														<IMG tabIndex = 0 id="resourceImage<%= resourceNumber %>" title="<%= bundle.getString("ErrorCounters_StorageModule1Disk") + " " +  (diskNumber + 1)%>" alt="<%= bundle.getString("ErrorCounters_StorageModule1Disk") + " " + (diskNumber + 1) + " " + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/disk_drive_50.gif")%>'>
														<%
														}
														else
														{
														%>
														<IMG tabIndex = 0 id="resourceImage<%= resourceNumber %>" title="<%= bundle.getString("ErrorCounters_StorageModule1Disk") + " " +  (diskNumber + 1)%>" alt="<%= bundle.getString("ErrorCounters_StorageModule1Disk") + " " + (diskNumber + 1) + " " + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/disk_drive_50_disabled.gif")%>'>
														<%
														}
														%>
													</TD>
													<%
													}
													%>
												</TR>
												<%
												}
												%>
											</TBODY>
										</TABLE>
										
									</TD>
								</TR>
							</TBODY>
						</TABLE>
					
					</TD>
					
					<%
					}
					%>
					
					<TD align="center" style="padding-left: 15px">
						<!-- -------------------------------- EXTERNAL PORTS ------------------------------------ -->
						
						<TABLE>
							<TBODY>
							<%
							for(int portNumber = 0; portNumber < 4; portNumber++)
							{	
								// See the constants at the top of the file for a resource offset explanation
								int bay3resourceNumber = ErrorCounters.BAY3_EXTERNAL_PORTS_RESOURCE_OFFSET + portNumber;
								
								int bay4resourceNumber = ErrorCounters.BAY4_EXTERNAL_PORTS_RESOURCE_OFFSET + portNumber;
							
							%>
								<TR>
									<%
									// See top of the file for disableBay3 assignment
									if(disableBay3)
									{
									%>
									
									<TD   id="resourceCell<%=bay3resourceNumber%>" class="unSelectedResource">
										<IMG tabIndex = 0 id="resourceImage<%= bay3resourceNumber %>" alt='<%=bundle.getString("No_External_Port") %>' src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/no_external_port_32.gif")%>' style="visibility: hidden">
									</TD>
									<%
									}
									else
									{
									%>
									<TD  id="resourceCell<%=bay3resourceNumber%>" class="unSelectedResource" onClick="toggleResource(this, 'resourceImage<%=bay3resourceNumber%>', selectedBay3ExternalPorts, <%=portNumber%>)">
										<%
										if(errorCounters.isEnabled(bay3resourceNumber))
										{
										%>
										<IMG tabIndex = 0 id="resourceImage<%= bay3resourceNumber %>" title="<%= bundle.getString("ErrorCounters_IOBay3ExternalPort") + " " + (portNumber + 1) %>" alt="<%= bundle.getString("ErrorCounters_IOBay3ExternalPort") + " " + (portNumber + 1) + " " + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/external_port_32.gif")%>'>
										<%
										}
										else
										{
										%>
										<IMG tabIndex = 0 id="resourceImage<%= bay3resourceNumber %>" title="<%= bundle.getString("ErrorCounters_IOBay3ExternalPort") + " " + (portNumber + 1) %>" alt="<%= bundle.getString("ErrorCounters_IOBay3ExternalPort") + " " + (portNumber + 1) + " " + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/external_port_32_disabled.gif")%>'>
										<%
										}
										%>
									</TD>
									<%
									}
									%>
									<!-- Middle column to display the port number -->
									<TD valign="middle" style="padding-left: 15; padding-right: 15;">
										<SPAN class="dmc_outputTextTitle2"><%=portNumber + 1%></SPAN>
									</TD>
									<%
									// See top of the file for disableBay4 assignment
									if(disableBay4)
									{
									%>
									
									<TD id="resourceCell<%=bay4resourceNumber%>" class="unSelectedResource">
										<IMG id="resourceImage<%= bay4resourceNumber %>"  alt='<%=bundle.getString("No_External_Port") %>' src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/no_external_port_32.gif")%>' style="visibility: hidden">
									</TD>
									<%
									}
									else
									{
									%>
									<TD  id="resourceCell<%=bay4resourceNumber%>" class="unSelectedResource" onClick="toggleResource(this, 'resourceImage<%=bay4resourceNumber%>', selectedBay4ExternalPorts, <%=portNumber%>)">			
										<%
										if(errorCounters.isEnabled(bay4resourceNumber))
										{
										%>
										<IMG tabIndex = 0 id="resourceImage<%= bay4resourceNumber %>" title="<%= bundle.getString("ErrorCounters_IOBay4ExternalPort") + " " + (portNumber + 1) %>" alt="<%= bundle.getString("ErrorCounters_IOBay4ExternalPort") + " " + (portNumber + 1) + " " + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/external_port_32.gif")%>'>
										<%
										}
										else
										{
										%>
										<IMG tabIndex = 0 id="resourceImage<%= bay4resourceNumber %>" title="<%= bundle.getString("ErrorCounters_IOBay4ExternalPort") + " " + (portNumber + 1) %>" alt="<%= bundle.getString("ErrorCounters_IOBay4ExternalPort") + " " + (portNumber + 1) + " " + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/external_port_32_disabled.gif")%>'>
										<%
										}
										%>
									</TD>
									<%
									}
									%>
								</TR>
							<%
							}
							%>
							</TBODY>
						</TABLE>
						
					</TD>
					
					<%
					if(errorCounters.existsExpander(2))
					{
					%>
					
					<TD align="center" style="padding-left: 15px">
						<!-- -------------------------------- STORAGE MODULE 2 ------------------------------------ -->
					
						<TABLE cellspacing="0" cellpadding="0">
							<TBODY>
								<TR>
									<TD style="border: 1px solid gray; padding: 5;">
										
										<TABLE>
											<TBODY>
												<%
												for(int x = 0; x < 2; x++)
												{
												%>
												<TR>
													<%
													for(int y = 0; y < 3; y++)
													{
														// Calculating the disk disk number from the row and column values (two rows with three columns)
														// Note, diskNumber is zero indexed
														int diskNumber = x * 3 + y;
														
														// See the constants at the top of the file for a resource offset explanation
														int resourceNumber = ErrorCounters.SM2_RESOURCE_OFFSET + diskNumber;
													%>
													<TD  id="resourceCell<%= resourceNumber %>" align="center" class="unSelectedResource" onClick="toggleResource(this, 'resourceImage<%= resourceNumber %>', selectedStorageModule2Disks, <%=diskNumber%>)">
														<SPAN class="dmc_outputTextTitle2"><%= bundle.getString("ErrorCounters_Disk") + " " + (diskNumber + 1) %></SPAN><BR>
														
														<%
														if(errorCounters.isEnabled(resourceNumber))
														{
														%>
														<IMG tabIndex = 0 id="resourceImage<%= resourceNumber %>" title="<%= bundle.getString("ErrorCounters_StorageModule2Disk") + " " + (diskNumber + 1) %>" alt="<%= bundle.getString("ErrorCounters_StorageModule2Disk") + " " + (diskNumber + 1) + " " + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/disk_drive_50.gif")%>'>
														<%
														}
														else
														{
														%>
														<IMG tabIndex = 0 id="resourceImage<%= resourceNumber %>" title="<%= bundle.getString("ErrorCounters_StorageModule2Disk") + " " + (diskNumber + 1) %>" alt="<%= bundle.getString("ErrorCounters_StorageModule2Disk") + " " + (diskNumber + 1) + " " + bundle.getString("ErrorCounters_NotSelected") %>" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/components/disk_drive_50_disabled.gif")%>'>
														<%
														}
														%>
													</TD>
													<%
													}
													%>
												</TR>
												<%
												}
												%>
											</TBODY>
										</TABLE>
										
									</TD>
								</TR>
							</TBODY>
						</TABLE>
					
					</TD>
					
					<%
					}
					%>
				
				</TR>
		</TABLE>
		
		<BR>
		
		<!-- INPUT used because the JSF version does not deal well with disabled attributes (grayed out initially because no ress-->
		<INPUT disabled id="viewErrorCountersButton" type="button" class="dmc_commandExButton" value="<%= bundle.getString("ErrorCounters_ViewErrorCounters") %>"  onclick="viewErrorCounters()">
		<INPUT disabled id="resetSelectionsButton" type="button" class="dmc_commandExButton" value="<%= bundle.getString("ErrorCounters_ResetSelections") %>"  onclick="resetSelections()">
		
		<HR>
		
		<DIV id="waitDiv" style="height: 300px;"> <!-- height to make it the same size as the iframe -->
			<BR> <!-- an extra new line to make this wait div and the wait div in the iframe appear in the same place -->
			<TABLE>
				<TBODY>
					<TR>
						<TD colspan="3" height="25%">&nbsp;</TD>
					</TR>
					<TR>
						<TD><IMG border="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() +"/images/common/loading/busy.gif")%>' alt=''></TD>
						<TD>&nbsp;</TD>
						
						<TD align="left">
							<h:outputFormat id="error_counter_wait_message_text" styleClass="dmc_outputText" value="#{bundle.ErrorCounters_WaitMessage}"></h:outputFormat>
						</TD>
					</TR>
					<TR>
						<TD colspan="3" height="25%">&nbsp;</TD>
					</TR>
				</TBODY>
			</TABLE>
		</DIV>
		<IFRAME title="error counters table" width="100%" id="tableFrame" name="tableFrame" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/faces/page/errorcounters/ErrorCountersTable.jsp") %>'
		 onload="stopWait();resizeFrameHeight(this.id, this.name);" style="display: none" frameborder="0"  align="top" scrolling="no"></IFRAME>
	
	<jsp:include page="/page/common/WaitFooter.jsp"/>
		

	</hx:scriptCollector>


</f:view>
<%
	}
%>

</body>
</HTML>

