<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/errorcounters/ErrorCountersTable.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.sysmgmt.scm.nbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>
<%@ include file="/page/common/ServletHeader.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>


<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="javax.faces.context.FacesContext, pagecode.page.errorcounters.*, java.util.*"%>

<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href="<%=basePath%>theme/Master.css" rel="stylesheet" type="text/css">
<LINK href="<%=basePath%>page/common/dmcnbcestyle.css" rel="stylesheet" type="text/css">
<LINK href="<%=basePath%>page/ports/SASSwitchPorts.css" rel="stylesheet" type="text/css">
<LINK href="<%=basePath%>page/common/nbceTable.css" rel="stylesheet" type="text/css">

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<TITLE>ErrorCountersTable.jsp</TITLE>

<SCRIPT src="<%=basePath%>page/errorcounters/ErrorCountersTable.js"></SCRIPT>

</HEAD>
<f:view>
	<BODY>
	<hx:scriptCollector id="error_counter_table_script_collector">
		
		<DIV id="waitDiv">
			<TABLE>
				<TBODY>
					<TR>
						<TD colspan="3" height="25%">&nbsp;</TD>
					</TR>
					<TR>
						<TD><IMG border="0" src="<%=basePath%>images/common/loading/busy.gif" alt=''></TD>
						<TD>&nbsp;</TD>
						
						<TD align="left">
							<h:outputFormat id="error_counter_table_wait_mssage_text" styleClass="dmc_outputText" value="#{bundle.ErrorCountersTable_WaitMessage}"></h:outputFormat>
						</TD>
					</TR>
					<TR>
						<TD colspan="3" height="25%">&nbsp;</TD>
					</TR>
				</TBODY>
			</TABLE>
		</DIV>
		
		<DIV id="contentDiv" style="display: none">
		
		<h:form id="form1" onsubmit="startWait()">
		<hx:commandExButton id="clear" styleClass="dmc_commandExButton" value="#{bundle.ErrorCountersTable_ClearErrorCounters}" type="submit" action="#{pc_ErrorCountersTable.clearErrorCounters}"></hx:commandExButton>	
		<hx:commandExButton id="refresh" styleClass="dmc_commandExButton" value="#{bundle.ErrorCountersTable_RefreshErrorCounters}" type="button" onclick="window.location = window.location;"></hx:commandExButton>
		&nbsp;<h:outputFormat id="error_counter_table_last_refresh_time_text" styleClass="dmc_outputText" value="#{bundle.Common_Page_LastRefresh}"></h:outputFormat>
		<SPAN class="dmc_outputText" id="lastRefreshTimestamp"> </SPAN>	
		
		<%
		// Putting the query string values in hidden fields in the form so that they can be retreived on clears and refreshes

		Enumeration keys = request.getParameterNames();
		
		while(keys.hasMoreElements())
		{
			String key = (String) keys.nextElement();
			
			// Only process keys that are selected items
			if(!key.equals("blades") && !key.equals("storageModule1Disks") && !key.equals("storageModule2Disks") && !key.equals("bay3ExternalPorts") && !key.equals("bay4ExternalPorts"))
			{
				continue;
			}
			
			String[] values = request.getParameterValues(key);
			
			if(values != null)
			{
				for(int x = 0; x < values.length; x++)
				{
		%>
					<INPUT type="hidden" name="<%=key%>" value="<%=values[x]%>"/>
		<%
				}
			}
		
		}
		%>
		
		<%
			FacesContext fc = FacesContext.getCurrentInstance();
			ErrorCounters errorCounters = (ErrorCounters) fc.getApplication().createValueBinding("#{pc_ErrorCounters}").getValue(fc);
			ResourceBundle nls = ResourceBundle.getBundle("com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL",fc.getExternalContext().getRequestLocale());
						
			String errorCounterTableSummary = "";
			if(errorCounters.existsExpander(1) || errorCounters.existsExpander(2)){
				errorCounterTableSummary = nls.getString("Table_Summary_Error_Counters_On_Blade_Storage_Port");
			} else {
				errorCounterTableSummary = nls.getString("Table_Summary_Error_Counters_On_Blade");
			}
		%>
		<TABLE class="nbceTable dmc_outputText" cellspacing="0" cellpadding="0" width="100%" summary="<%=errorCounterTableSummary%>">
				<TR>
					<th width="30%" class="nbceTableHeaderCell" style="white-space: nowrap;color:#333366;text-align:left;font-weight: normal";>
						<h:outputFormat id="error_counter_table_phyid_text" styleClass="dmc_outputText" value="#{bundle.ErrorCountersTable_PortPHYID}"></h:outputFormat>
					</th>
					<th width="15%" class="nbceTableHeaderCell" style="white-space: nowrap;color:#333366;text-align:left;font-weight: normal">
						<h:outputFormat id="error_counter_table_switch_text" styleClass="dmc_outputText" value="#{bundle.ErrorCountersTable_Switch}"></h:outputFormat>
					</th>
					<th width="20%" class="nbceTableHeaderCell" style="white-space: nowrap;color:#333366;text-align:left;font-weight: normal">
						<h:outputFormat id="error_counter_table_loss_dwordsync_text" styleClass="dmc_outputText" value="#{bundle.ErrorCountersTable_LossDwordSync}"></h:outputFormat>
					</th>
					<th width="20%" class="nbceTableHeaderCell" style="white-space: nowrap;color:#333366;text-align:left;font-weight: normal">
						<h:outputFormat id="error_counter_table_phy_reset_problem_text" styleClass="dmc_outputText" value="#{bundle.ErrorCountersTable_PHYResetProblem}"></h:outputFormat>
					</th>
					<th width="15%" class="nbceTableHeaderCell" style="white-space: nowrap;color:#333366;text-align:left;font-weight: normal">
						<h:outputFormat id="error_counter_table_status_text" styleClass="dmc_outputText" value="#{bundle.ErrorCountersTable_Status}"></h:outputFormat>
					</th>
				</TR>
				
				<%
				fc = FacesContext.getCurrentInstance();
						
				ErrorCountersTable ect = (ErrorCountersTable) fc.getApplication().createValueBinding("#{pc_ErrorCountersTable}").getValue(fc);
				
				// Getting the table as a two dimensional array of Strings, each representing a cell in the table
				Object[] rows = ect.getErrorCountersTable().toArray();
				
				for(int x = 0; x < rows.length; x++)
				{
					// The row is comprised of cells, where each cell is a column value
					// [Port/PHY ID Column HTML, Switch  Invalid Dword Column HTML,  Disparity Error Column HTML,  Loss Dword Sync Column HTML,  PHY Reset Problem Column HTML,  Status Column HTML]  
					String[] row = (String []) rows[x];
				%>
				<TR>
				<%
					for(int y = 0; y < row.length; y++)
					{
				%>
					<TD class="nbceTableRow" style="white-space: nowrap;">
						<%= row[y] %>
					</TD>
				<%
					}
				%>
				</TR>
				<%
				}
				
				// In the case that there are no rows, display a message
				if(rows.length == 0)
				{
				%>
				<tr height="1">
					<td></td>
					<td></td>
					<td></td>
					<td></td>
					<td></td>
				</tr>
				<TR>
					<TD colspan="7" class="nbceTableRow" align="center">
						<h:outputFormat id="error_counter_table_empty_message_text" value="#{bundle.ErrorCountersTable_EmptyMessage}"></h:outputFormat>
					</TD>
				</TR>
				<%
				}
				%>
		</TABLE>

		</h:form>
		
		</DIV>		
			<hx:behavior target="#body" event="onload" behaviorAction="nothing"  onActionFunction="stopWait();lazySetRefreshingTime();" />
	</hx:scriptCollector>
	</BODY>
</f:view>

</HTML>
