<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/initialconfigwizard/ICWModifyPwd.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.sysmgmt.scm.nbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<BASE href="<%= request.getScheme() + "://" + request.getServerName() + ":" + request.getServerPort() + request.getContextPath() + "/" %>">

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>


<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href="page/common/dmcnbcestyle.css" rel="stylesheet" type="text/css">
<LINK href="page/common/nbceTable.css" rel="stylesheet" type="text/css">
<LINK href="theme/stylesheet.css" rel="stylesheet" type="text/css">
<LINK href="page/initialconfigwizard/InitialConfigWizard.css" rel="stylesheet" type="text/css">

<SCRIPT type="text/javascript" src="page/initialconfigwizard/Base.js"></SCRIPT>
<SCRIPT type="text/javascript" src="page/initialconfigwizard/ICWModifyPwd.js"></SCRIPT>

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<TITLE>ICWModifyPwd.jsp</TITLE>

</HEAD>

<f:view>
	<BODY>
	<hx:scriptCollector id="icw_modifypwd_script_collector">
	<h:form styleClass="form" id="password_form">

	<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
		<TBODY>
		<TR>
			<TD width="10%">
				<hx:graphicImageEx styleClass="graphicImageEx" id="modfiy_pwd_image" alt="" value="images/common/components/modify_password.gif">
				</hx:graphicImageEx>
			</TD>
			<TD width="90%">
				<h:outputFormat styleClass="dmc_outputText" id="calendar_descrption" value="#{bundle.ICW_ModifyPassword_Page_Description}"></h:outputFormat>
			</TD>			
		</TR>
		</TBODY>
	</TABLE>
	
	<div id="div_progress_indicator" style="display:none">
		<TABLE>
			<TBODY>
				<TR>
					<TD>
						<IMG border="0" src="images/common/loading/busy.gif" alt=''>
					</TD>
					<TD>&nbsp;</TD>
					<TD align="left">
						<h:outputText styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Modifying_ProgressMsg}">
						</h:outputText>
					</TD>
				</TR>
			</TBODY>
		</TABLE>
	</div>
			
	<TABLE border="0" cellpadding="2" cellspacing="2" width="80%" class="dmc_outputText">
		<TBODY>
		<TR>
			<TD colspan="2" valign="top">&nbsp;</TD>
			<TD colspan="3">
				<h:outputText styleClass="dmc_outputText" style="color: red;" id="ot_message_label" value=""/>							
			</TD>
		</TR>
		<TR>
			<TD>&nbsp;&nbsp;</TD>
			<TD nowrap>
				<h:outputFormat styleClass="wizardModifyPwdHeader" id="header_user_id" value="#{bundle.ICW_ModifyPassword_Page_Table_Header_UserID}"></h:outputFormat>
			</TD>	
			<TD nowrap>
				<h:outputFormat styleClass="wizardModifyPwdHeader" id="header_old_password" value="#{bundle.ICW_ModifyPassword_Page_Table_Header_OldPassword}"></h:outputFormat>
			</TD>	
			<TD nowrap>
				<h:outputFormat styleClass="wizardModifyPwdHeader" id="header_new_password" value="#{bundle.ICW_ModifyPassword_Page_Table_Header_NewPassword}"></h:outputFormat>
			</TD>	
			<TD nowrap>
				<h:outputFormat styleClass="wizardModifyPwdHeader" id="header_confirm_password" value="#{bundle.ICW_ModifyPassword_Page_Table_Header_ConfirmPassword}"></h:outputFormat>
			</TD>		
		</TR>
		<TR>
			<TD>&nbsp;&nbsp;</TD>
			<TD>
				<h:outputFormat styleClass="dmc_outputText" id="row_userid" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID}"></h:outputFormat>
			</TD>	
			<TD>
				<h:inputSecret styleClass="inputText" size="18" id="userid_old_password"></h:inputSecret>
				<h:outputLabel styleClass="dmc_hiddenLabel" id="ol_userid_oldpwd_label" for="userid_old_password">
				    <h:outputText id="ol_userid_oldpwd_hidden" styleClass="dmc_outputText" 
				    	value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID} #{bundle.ICW_ModifyPassword_Page_Table_Header_OldPassword}">
				    </h:outputText>
				</h:outputLabel>
			</TD>
			<TD>
				<h:inputSecret styleClass="inputText" size="18" id="userid_new_password"></h:inputSecret>
				<h:outputLabel styleClass="dmc_hiddenLabel" id="ol_userid_newpwd_label" for="userid_new_password">
				    <h:outputText id="ol_userid_newpwd_hidden" styleClass="dmc_outputText"
				    	value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID} #{bundle.ICW_ModifyPassword_Page_Table_Header_NewPassword}">
				    </h:outputText>
				</h:outputLabel>
			</TD>	
			<TD>
				<h:inputSecret styleClass="inputText" size="18" id="userid_confirm_password"></h:inputSecret>
				<h:outputLabel styleClass="dmc_hiddenLabel" id="ol_userid_confirmpwd_label" for="userid_confirm_password">
				    <h:outputText id="ol_userid_confirmpwd_hidden" styleClass="dmc_outputText"
				    	value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID} #{bundle.ICW_ModifyPassword_Page_Table_Header_ConfirmPassword}">
				    </h:outputText>
				</h:outputLabel>
			</TD>			
		</TR>
		<TR>
			<TD>&nbsp;&nbsp;</TD>
			<TD>
				<h:outputFormat styleClass="dmc_outputText" id="row_userid1" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID1}"></h:outputFormat>
			</TD>	
			<TD>&nbsp;</TD>
			<TD>
				<h:inputSecret styleClass="inputText" size="18" id="userid1_new_password"></h:inputSecret>
				<h:outputLabel styleClass="dmc_hiddenLabel" id="ol_userid1_newpwd_label" for="userid1_new_password">
				    <h:outputText id="ol_userid1_newpwd_hidden" styleClass="dmc_outputText" 
				    	value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID1} #{bundle.ICW_ModifyPassword_Page_Table_Header_NewPassword}">
				    </h:outputText>
				</h:outputLabel>
			</TD>	
			<TD>
				<h:inputSecret styleClass="inputText" size="18" id="userid1_confirm_password"></h:inputSecret>
				<h:outputLabel styleClass="dmc_hiddenLabel" id="ol_userid1_confirmpwd_label" for="userid1_confirm_password">
				    <h:outputText id="ol_userid1_confirmpwd_hidden" styleClass="dmc_outputText"
				    	value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID1} #{bundle.ICW_ModifyPassword_Page_Table_Header_ConfirmPassword}">
				    </h:outputText>
				</h:outputLabel>
			</TD>			
		</TR>
		<TR>
			<TD>&nbsp;&nbsp;</TD>
			<TD>
				<h:outputFormat styleClass="dmc_outputText" id="row_userid2" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID2}"></h:outputFormat>
			</TD>	
			<TD>&nbsp;</TD>
			<TD>
				<h:inputSecret styleClass="inputText" size="18" id="userid2_new_password"></h:inputSecret>
				<h:outputLabel styleClass="dmc_hiddenLabel" id="ol_userid2_newpwd_label" for="userid2_new_password">
				    <h:outputText id="ol_userid2_newpwd_hidden" styleClass="dmc_outputText"
				    	value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID2} #{bundle.ICW_ModifyPassword_Page_Table_Header_NewPassword}">
				    </h:outputText>
				</h:outputLabel>
			</TD>	
			<TD>
				<h:inputSecret styleClass="inputText" size="18" id="userid2_confirm_password"></h:inputSecret>
				<h:outputLabel styleClass="dmc_hiddenLabel" id="ol_userid2_confirmpwd_label" for="userid2_confirm_password">
				    <h:outputText id="ol_userid2_confirmpwd_hidden" styleClass="dmc_outputText" 
				    	value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID2} #{bundle.ICW_ModifyPassword_Page_Table_Header_ConfirmPassword}">
				    </h:outputText>
				</h:outputLabel>
			</TD>			
		</TR>
		<TR>
			<TD>&nbsp;&nbsp;</TD>
			<TD>
				<h:outputFormat styleClass="dmc_outputText" id="row_userid3" value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID3}"></h:outputFormat>
			</TD>
			<TD>&nbsp;</TD>
			<TD>
				<h:inputSecret styleClass="inputText" size="18" id="userid3_new_password"></h:inputSecret>
				<h:outputLabel styleClass="dmc_hiddenLabel" id="ol_userid3_newpwd_label" for="userid3_new_password">
				    <h:outputText id="ol_userid3_newpwd_hidden" styleClass="dmc_outputText"  
				    	value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID3} #{bundle.ICW_ModifyPassword_Page_Table_Header_NewPassword}">
				    </h:outputText>
				</h:outputLabel>
			</TD>	
			<TD>
				<h:inputSecret styleClass="inputText" size="18" id="userid3_confirm_password"></h:inputSecret>
				<h:outputLabel styleClass="dmc_hiddenLabel" id="ol_userid3_confirmpwd_label" for="userid3_confirm_password">
				    <h:outputText id="ol_userid3_confirmpwd_hidden" styleClass="dmc_outputText"  
				    	value="#{bundle.ICW_ModifyPassword_Page_Table_Row_USERID3} #{bundle.ICW_ModifyPassword_Page_Table_Header_ConfirmPassword}">
				    </h:outputText>
				</h:outputLabel>
			</TD>			
		</TR>
		
		<TR>
			<TD>&nbsp;&nbsp;</TD>
			<TD colspan="4">
				<table>
					<tr>
				        <td>
				            <input type="radio" id="apply_modifypwd_item_bay3" name="password_form:apply_modifypwd_bay" value="3">				            
							<label id="ol_item_bay3_label" for="apply_modifypwd_item_bay3" class="dmc_outputText">
								<h:outputText id="apply_modifypwd_bay3_tip" styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Apply_Swtich_To_Bay3_Tip}">
								</h:outputText>
							</label>
				        </td>
					</tr>
					<tr>
				        <td>
				            <input type="radio" id="apply_modifypwd_item_bay4" name="password_form:apply_modifypwd_bay" value="4">				            
							<label id="ol_item_bay4_label" for="apply_modifypwd_item_bay4" class="dmc_outputText">
								<h:outputText id="apply_modifypwd_bay4_tip" styleClass="dmc_outputText" value="#{bundle.ICW_ModifyPassword_Page_Apply_Swtich_To_Bay4_Tip}">
								</h:outputText>
							</label>
				        </td>
					</tr>
				</table>
			</TD>
		</TR>
		
		<TR>
			<TD>&nbsp;&nbsp;</TD>
			<TD colspan="4">
				<hx:commandExButton id="modifypwd_apply_button" style="width:120px" type="button" action="#{pc_ICWModifyPwd.doModifyPaswordAction}"
					value="#{bundle.ICW_ModifyPassword_Page_Change_Passwords_Button}" styleClass="dmc_commandExButton"
					onclick="return com.ibm.sysmgmt.nbce.gui.initialconfigwizard.ModifyPwd.getInstance()._applyModifyPwd(this);">
				</hx:commandExButton>
			</TD>
		</TR>
		</TBODY>
	</TABLE>
	
	<h:inputHidden id="applied_switch_num" value="0"/>
	<h:inputHidden id="switch_modifypwd_to_server" value=""/>
	<h:inputHidden id="ip1_applied_address" value=""/>
	<h:inputHidden id="ip2_applied_address" value=""/>
	<h:inputHidden id="applied_switch1_bayNumber" value=""/>
	<h:inputHidden id="applied_switch2_bayNumber" value=""/>
	<h:inputHidden id="summary_modified_bay3_userids" value=""/>
	<h:inputHidden id="summary_modified_bay4_userids" value=""/>
	<DIV id="div_hiddenmsg" style="display:none">
		<h:outputText id="ot_blank_error" value="#{bundle.ICW_ModifyPassword_Page_Blank_Password}"></h:outputText>
		<h:outputText id="ot_mismatch_error" value="#{bundle.ICW_ModifyPassword_Page_Mismatch_Passwords}"></h:outputText>				
		<h:outputText id="ot_length_error" value="#{bundle.ICW_ModifyPassword_Page_Password_Length}"></h:outputText>		
		<h:outputText id="ot_number_error" value="#{bundle.ICW_ModifyPassword_Page_Password_Number}"></h:outputText>
		<h:outputText id="ot_letter_error" value="#{bundle.ICW_ModifyPassword_Page_Password_Letter}"></h:outputText>
		<h:outputText id="ot_modifypwd_success" value="#{bundle.ICW_ModifyPassword_Page_Passwords_Change_Success}"></h:outputText>		
	</DIV>
				
	</h:form>
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>