<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/log/DeviceEventLog.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>
<%@ include file="/page/common/Header.jsp"%>

<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>


<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/dmcnbcestyle.css") %>' >
<LINK rel="stylesheet" type="text/css"
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/nbceTable.css") %>' >

<SCRIPT type="text/javascript" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/log/Log.js") %>'></SCRIPT>

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<TITLE>DeviceEventLog.jsp</TITLE>
</HEAD>
<BODY>
<%
if(data.isNoDomains())
{
%>
<f:view>
<h:form id="divForm">
	<jsp:include page="/page/common/RedirectNoDomains.jsp"/>
</h:form>
</f:view>
<%
	}else{
%>
<f:view>	
		<hx:scriptCollector id="scriptCollector">		
		<jsp:include page="/page/common/WaitHeader.jsp"/>
		
		<TABLE border="0" cellpadding="0" cellspacing="0" width="100%">
			<TBODY>
				<TR>
					<!-- TD valign="top">
						<h:outputText styleClass="dmc_outputTextTitle" id="devEvnLogPageTitle1" value="#{bundle.DeviceEventLog_Title}"></h:outputText>
					</TD -->
					<TD align="right">
						<jsp:include page="/page/common/SwitchDeviceList.jsp"></jsp:include>
					</TD>
				</TR>
			</TBODY>
		</TABLE>
		
		<h:outputText styleClass="dmc_outputText" id="devEvnLogPageDesc" value="#{bundle.DeviceEventLog_Description}"></h:outputText>
		<HR>
		
		<h:form styleClass="form" id="mainForm" style="margin: 0px" onsubmit="startCommonWait()">
		
			<hx:commandExButton type="submit" styleClass="dmc_commandExButton" style="width: 80px;" id="refreshButton" value="#{bundle.Common_Page_Refresh}" action="#{pc_DeviceEventLog.doRefreshButton}"></hx:commandExButton>
			<h:outputText styleClass="dmc_outputText" id="devEvnLogPageTitle2" value="#{bundle.Common_Page_LastRefresh}"></h:outputText>
			<SPAN class="dmc_outputText" id="lastRefreshTimestamp"></SPAN>
			<BR>
			<BR>
			<hx:commandExButton type="submit" styleClass="dmc_commandExButton" style="width: 80px;" id="clearButton" value="#{bundle.DeviceEventLog_Clear}"></hx:commandExButton>
			<BR>
			<h:outputText id="devEvnLogNoRecordsDesc" value="#{bundle.DeviceEventLog_No_Records_Description}" styleClass="dmc_outputText" rendered="#{deviceEventLogsBean.noRecords}"></h:outputText>
			
			<h:dataTable border="0" cellspacing="0" cellpadding="0" headerClass="nbceTableHeaderCell" rowClasses="nbceTableRow" summary="#{bundle.Table_Summary_Device_Log}"
				columnClasses="nbceTableRow" styleClass="nbceTable" id="deviceEventLogTable" width="100%" var="vardeviceEventBean" 
				value="#{deviceEventLogsBean.eventLog}" rendered="#{!deviceEventLogsBean.noRecords}">
				<h:column id="devEvnLogCol1">
					<f:facet name="header">
						<h:outputText id="devEvnLogColTitle1" styleClass="dmc_outputText" value="#{bundle.DeviceEventLogTable_Date_and_Time}"></h:outputText>
					</f:facet>
					<h:outputText id="devEvnEscape" value="&nbsp;" escape="false"/>
					<h:outputText id="devEvnLogTimeStamps" value="#{vardeviceEventBean.timestamp}" styleClass="dmc_outputText"></h:outputText>
					<f:attribute value="left" name="align" />
				</h:column>
				<h:column id="devEvnLogCol2">
					<f:facet name="header">
						<h:outputText id="devEvnLogColTitle2" styleClass="dmc_outputText" value="#{bundle.DeviceEventLogTable_Description}"></h:outputText>
					</f:facet>
					<h:outputText id="devEvnLogDescription" value="#{vardeviceEventBean.description}" styleClass="dmc_outputText"></h:outputText>
					<f:attribute value="left" name="align" />
				</h:column>
			</h:dataTable>

			<hx:panelDialog style="width: 350px" id="confirmClearModal" styleClass="dmc_panelDialog" showTitleCloseButton="true" for="clearButton" title="#{bundle.DeviceEventLog_ConfirmClearTitle}">
				
				<hx:behaviorKeyPress id="press_enter_key" targetAction="cb_clear_button_ok" behaviorAction="click;nothing" key="ENTER" />
				<hx:behaviorKeyPress id="press_esc_key" targetAction="cb_clear_button_cancel" behaviorAction="click;nothing" key="ESC" />
				<TABLE align="center" width="320" class="dmc_outputText">
					<TBODY>
						<TR>
							<TD>							
								<SPAN style="width: 100%"><h:outputFormat id="device_log_confirm_message" styleClass="dmc_outputText" value="#{bundle.DeviceEventLog_ConfirmMessage}"></h:outputFormat></SPAN>										
								<BR>
								<BR>								
								<DIV style="text-align: left; width: 100%;">
									<hx:commandExButton id="cb_clear_button_ok" styleClass="dmc_commandExButton" style="width: 80px;" type="button" value="#{bundle.Common_Modal_OK}" onclick="return confirmClearAction(this);">
									</hx:commandExButton>
									<hx:commandExButton id="cb_clear_button_cancel" styleClass="dmc_commandExButton" style="width: 80px" type="button" value="#{bundle.Common_Modal_Cancel}">
										<hx:behavior id="device_cancel_behavior" event="onclick" targetAction="confirmClearModal" behaviorAction="HIDE;STOP"/>
									</hx:commandExButton>
									<hx:commandExButton	id="cb_clear_ok" type="submit" style="display: none" action="#{deviceEventLogsBean.clearEventLog}">
									</hx:commandExButton> 
								</DIV>							
							</TD>
						</TR>
					</TBODY>
				</TABLE>				
			</hx:panelDialog>		
		
		</h:form>
		
		<div id="div_hiddenmsg" style="display:none">
			<h:outputText styleClass="dmc_outputText" id="ot_confirm_message" value="#{bundle.DeviceEventLog_ConfirmMessage}"></h:outputText>
			<h:outputText styleClass="dmc_outputText" id="ot_noRecords" value="#{deviceEventLogsBean.noRecords}"></h:outputText>
		</div>
		
		<jsp:include page="/page/common/WaitFooter.jsp"/>
		
	<hx:behavior target="#body" event="onload" behaviorAction="nothing"  onActionFunction="initDeviceLog();parent.document.getElementById('ISCWork').focus();" />
	</hx:scriptCollector>
	
	</f:view>
	<%
	}
   %>
</BODY>
</HTML>
