<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/ports/ExpanderPorts.java" --%><%-- /jsf:pagecode --%>
<%@ page import="com.ibm.sysmgmt.scm.nbce.nls.MessageFormatter" %>
<HTML lang="<%=MessageFormatter.getCurrentLocaleString()%>">
<HEAD>

<%@ include file="/page/common/ServletHeader.jsp"%>
<BASE href="<%=basePath%>">

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="javax.faces.context.FacesContext, com.ibm.sysmgmt.scm.nbce.backing.viewports.*"%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>


<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href="../../theme/Master.css" rel="stylesheet" type="text/css">
<LINK href="page/common/nbceTable.css" rel="stylesheet" type="text/css">
<LINK href="page/common/dmcnbcestyle.css" rel="stylesheet" type="text/css">

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<TITLE>ExpanderPorts.jsp</TITLE>

<SCRIPT src="page/ports/ExpanderPorts.js"></SCRIPT>

</HEAD>
<f:view>
	<BODY onLoad="disablePropertiesButton(); document.getElementById('lastRefreshTimestamp').innerHTML = getLocalizedCurrentTime();" onkeydown = "parent.switchTab(event);">
	<hx:scriptCollector id="expander_ports_script_collector">
	
		<hx:commandExButton styleClass="dmc_commandExButton" style="width: 80px;" id="refreshButton" value="#{bundle.Common_Page_Refresh}"  type="button" onclick="parent.reloadCurrentTab()"></hx:commandExButton>
		<h:outputFormat id="expander_prots_last_refresh_time_text" styleClass="dmc_outputText" value="#{bundle.Common_Page_LastRefresh}"></h:outputFormat>
		<SPAN class="dmc_outputText" id="lastRefreshTimestamp"> </SPAN>	
		
		<BR>
		<BR>
	
		<% 
		// Finding the appropriate expander
		String id = request.getParameter("id");
		
		FacesContext fc = FacesContext.getCurrentInstance();
						
		ViewPortsBean vpb = (ViewPortsBean) fc.getApplication().createValueBinding("#{viewPortsBean}").getValue(fc);
		
		VPDSSExpander[] expanders = vpb.getDSSExpanders();
		
		int x = 0;
		
		for(x = 0; x < expanders.length; x++)
		{
			if(expanders[x].getID().equals(id))
				break;
		}
		
		// Make sure we have a valid index
		if(x == expanders.length)
		{
		%>
			<h:outputFormat id="expander_not_found_text" styleClass="dmc_outputText" value="#{bundle.ExpanderPorts_NotFound}"></h:outputFormat>
		<%	
		}
		else
		{
		
			// Here we have a valid expander. Load its disks.
			VPDiskPort[] disks = expanders[x].getDiskPorts();
		%>
		
		<hx:commandExButton styleClass="dmc_commandExButton" style="width: 80px;" id="propertiesButton" value="#{bundle.ExpanderPorts_Properties}"  type="button" onclick="viewProperties()"></hx:commandExButton>
		<scmc:scmJspPanel id="expandPortsTablePanel">
		<TABLE class="nbceTable dmc_outputText" cellspacing="0" cellpadding="0" width="630" summary="#{bundle.Table_Summary_Expander_Ports}">
		</scmc:scmJspPanel>
				<TR>
					<th width="10%" class="nbceTableHeaderCell" style="color:#333366;text-align:left;font-weight: normal;background-color:#D5DAED;border-color:white #9EB0D1 RGB(213,218,237) white;border-style:solid;border-width:1px;">
						<h:outputFormat id="expander_prots_select_text" styleClass="dmc_outputText" value="#{bundle.ExpanderPorts_Select}"></h:outputFormat>
					</th>
					<th width="35%" class="nbceTableHeaderCell" style="color:#333366;text-align:left;font-weight: normal;background-color:#D5DAED;border-color:white #9EB0D1 RGB(213,218,237) white;border-style:solid;border-width:1px;">
						<h:outputFormat id="expander_prots_portid_text" styleClass="dmc_outputText" value="#{bundle.ExpanderPorts_PortID}"></h:outputFormat>
					</th>
					<th width="25%" class="nbceTableHeaderCell" style="color:#333366;text-align:left;font-weight: normal;background-color:#D5DAED;border-color:white #9EB0D1 RGB(213,218,237) white;border-style:solid;border-width:1px;">
						<h:outputFormat id="expander_prots_attached_address_text" styleClass="dmc_outputText" value="#{bundle.ExpanderPorts_AttachedAddress}"></h:outputFormat>
					</th>
					<th width="15%" class="nbceTableHeaderCell" style="white-space: nowrap;color:#333366;text-align:left;font-weight: normal;background-color:#D5DAED;border-color:white #9EB0D1 RGB(213,218,237) white;border-style:solid;border-width:1px;">
						<h:outputFormat id="expander_prots_connected_text" styleClass="dmc_outputText" value="#{bundle.ExpanderPorts_PortConnected}"></h:outputFormat>
					</th>
					<th width="15%" class="nbceTableHeaderCell" style="color:#333366;text-align:left;font-weight: normal;background-color:#D5DAED;border-color:white #9EB0D1 RGB(213,218,237) white;border-style:solid;border-width:1px;">
						<h:outputFormat id="expander_prots_stauts_text" styleClass="dmc_outputText" value="#{bundle.ExpanderPorts_Status}"></h:outputFormat>
					</th>
				</TR>
				
				<%
				for(int y = 0; y < disks.length; y++)
				{				
				%>
				<TR>
					<TD align="center" class="nbceTableRow">
						<INPUT id="<%= disks[y].getID() %>" type="radio" value="<%= disks[y].getID() %>" name="selectedPort" onClick="enablePropertiesButton()">						
					</TD>
					<TD class="nbceTableRow">
					 	&nbsp;&nbsp;&nbsp;&nbsp;<IMG src='images/common/components/disk_drive_16.gif' alt=''>&nbsp;<label for="<%= disks[y].getID() %>" class="dmc_outputText"><span class="dmc_outputText"><%= disks[y].getDisplayName()%></span></label>
					</TD>
					<TD align="center" class="nbceTableRow">
						<%= disks[y].getAttachedPortAddress() %>
					</TD>
					<TD align="center" class="nbceTableRow">
						<%= disks[y].isConnected() %>
					</TD>
					<TD class="nbceTableRow">
						<%= "<IMG src='" + disks[y].getStatusImage12().substring(1) + "' alt=''> " + disks[y].getStatusTextLink() %>
					</TD>
				</TR>
				<%
				}
				%>

		</TABLE>
		
		<!------------------------------------------------------------ PROPERTIES DATA -------------------------------------------------------------------------------->
		<SCRIPT>
		properties = [
		<%
		for(int y = 0; y < disks.length; y++)
		{
		%>
		['<%= disks[y].getID() %>', '<%= disks[y].getDisplayName() %>', '<%= disks[y].getAttachedPortAddress() %>', '<%= disks[y].getAttachedType() %>', '<%= "<IMG src=\"" + disks[y].getStatusImage16().substring(1) + "\" alt=\"\"> " + disks[y].getStatusTextLink() %>', 
			[
			<%
			VPPHY[] phys = disks[y].getPHYs();
			
			for(int z = 0; z < phys.length; z++)
			{
			%>
			['<%= phys[z].getDisplayName() %>', '<%= phys[z].getLinkRate() %>', '<%= phys[z].getMaximumLinkRate() %>', '<%= phys[z].isConnected() %>']
			
			<%
			// Dont end with a , (errors in IE)
			if(z != phys.length - 1)
			{
			%>
			, 
			<%
			}
			%> 
			
			<%
			}
			%>
			]
		]
		
		<%
		// Dont end with a , (errors in IE)
		if(y != disks.length - 1)
		{
		%>
		,
		<%
		}
		%> 
			
		<%
		}
		%>
		]		
		</SCRIPT>
		
		
		<%
		}
		%>
		
		<!------------------------------------ MODAL FOR DISK DRIVE PORT PROPERTIES ----------------------------------------------------------------------->
	
		<INPUT id="diskDrivePortPropertiesLauncher" type="button" style="display: none">
	
		<hx:panelDialog style="width: 520px;" id="diskDrivePortPropertiesModal" styleClass="dmc_panelDialog" showTitleCloseButton="true" for="diskDrivePortPropertiesLauncher" title="#{bundle.Ports_DiskDrivePortProperties}">
			
			<TABLE align="center" width="515px">
			<TBODY>
			<TR>
			<TD>

			<h:outputFormat id="expanderPortPropertiesLabel" styleClass="dmc_outputText" style="text-decoration: underline; font-weight: bold;" value="#{bundle.Ports_PortProperties}"></h:outputFormat>
			
			<TABLE width="455px" cellspacing="0" class="dmc_outputText">
				<TBODY>
					<TR>
						<TD align="left" width="40%">
							<h:outputFormat id="disk_drive_port_portid_text" styleClass="dmc_outputText" value="#{bundle.Ports_PortID}"></h:outputFormat>:
						</TD>
						
						<TD align="left" id="diskDrivePortPropertiesPortID">
							
						</TD>						
					</TR>
					<TR>
						<TD colspan="2">
							&nbsp;<!-- Spacing row -->
						</TD>
					</TR>
					<TR>
						
						<TD align="left" width="40%">
							<h:outputFormat id="disk_drive_port_attached_sasaddress_text" styleClass="dmc_outputText" value="#{bundle.Ports_AttachedSASAddress}"></h:outputFormat>:
						</TD>
						
						<TD align="left" id="diskDrivePortPropertiesAddress">
							
						</TD>
						
					</TR>
					<TR>
						
						<TD align="left" width="40%">
							<h:outputFormat id="disk_drive_port_attached_type_text" styleClass="dmc_outputText" value="#{bundle.Ports_AttachedType}"></h:outputFormat>:
						</TD>
						
						<TD align="left" id="diskDrivePortPropertiesType">
						</TD>
						
					</TR>
					<TR>
						<TD colspan="2">
							&nbsp;<!-- Spacing row -->
						</TD>
					</TR>
					<TR>
						
						<TD align="left" width="40%">
							<h:outputFormat id="disk_drive_port_status_format" styleClass="dmc_outputText" value="#{bundle.Ports_Status}"></h:outputFormat>:
						</TD>
						
						<TD align="left" id="diskDrivePortPropertiesStatus">
						</TD>
						
					</TR>				
					
				</TBODY>
			</TABLE>
			
			<BR>
			
			<SPAN style="text-decoration: underline; font-weight: bold;"><h:outputFormat id="disk_drive_port_phy_properties_title" styleClass="dmc_outputText" value="#{bundle.Ports_PHYProperties}"></h:outputFormat></SPAN>
			
			<TABLE width="455px" cellspacing="0" class="dmc_outputText">
				<TBODY>
					<TR>
						
						<TD align="left" width="40%">
							<h:outputFormat id="disk_drive_port_phyid_text" styleClass="dmc_outputText" value="#{bundle.Ports_PHYID}"></h:outputFormat>:
						</TD>
						
						<TD align="left" id="diskDrivePortPHYPropertiesPHYID">
						</TD>
						
					</TR>		
					<TR>
						
						<TD align="left" width="40%">
							<h:outputFormat id="disk_drive_port_link_rate_text" styleClass="dmc_outputText" value="#{bundle.Ports_LinkRate}"></h:outputFormat>:
						</TD>
						
						<TD align="left" id="diskDrivePortPHYPropertiesLinkRate">
						</TD>
						
					</TR>
					<TR>
						
						<TD align="left" width="40%">
							<h:outputFormat id="disk_drive_port_max_link_rate_text" styleClass="dmc_outputText" value="#{bundle.Ports_MaxLinkRate}"></h:outputFormat>:
						</TD>
						
						<TD align="left" id="diskDrivePortPHYPropertiesMaxLinkRate">
						</TD>
						
					</TR>
					<TR>
						
						<TD align="left" width="40%">
							<h:outputFormat id="disk_drive_port_connected_text" styleClass="dmc_outputText" value="#{bundle.Ports_Connected}"></h:outputFormat>:
						</TD>
						
						<TD align="left" id="diskDrivePortPHYPropertiesIsConnected">
						</TD>
						
					</TR>	
				</TBODY>
			</TABLE>

			<BR>
			
			<hx:commandExButton type="submit"  styleClass="dmc_commandExButton" style="width: 80px;" value="#{bundle.Common_Modal_Close}" id="diskDrivePortPropertiesClose">
				<hx:behavior id="disk_drive_port_close_button_behavior" event="onclick" targetAction="diskDrivePortPropertiesModal" behaviorAction="HIDE;STOP"/>
			</hx:commandExButton>
			
			</TD>
			<TD valign="top" align="right">
				<A href="/help/topic/com.ibm.storage.nssm.doc/scm_nssm_disk_drive_port_connection_properties_help.html" onclick="window.open('/help/topic/com.ibm.storage.nssm.doc/scm_nssm_disk_drive_port_connection_properties_help.html', 'helpwin', 'status,resizable,scrollbars,width=740,height=290'); return false;" target="helpwin">
					<h:outputText id="disk_drive_port_help_text" styleClass="dmc_outputText" value="#{bundle.Common_Modal_Help}"></h:outputText>
				</A>
				<BR>
				<IMG id="diskDrivePortPropertiesImg" alt="" src='images/common/components/disk_drive_50.gif'>
			</TD>
			</TR>
			</TBODY>
			</TABLE>
				
		</hx:panelDialog>
		<hx:behavior event="onload" />
	</hx:scriptCollector>
	</BODY>
</f:view>
</HTML>
