<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/ports/Ports.java" --%><%-- /jsf:pagecode --%>
<HTML>
<HEAD>

<%@ include file="/page/common/Header.jsp"%>


<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>



<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<META name="GENERATOR" content="IBM Software Development Platform">
<META http-equiv="Content-Style-Type" content="text/css">

<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/Master.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/dmcnbcestyle.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/ports/Ports.css") %>' rel="stylesheet" type="text/css">
<LINK href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/nbceTable.css") %>' rel="stylesheet" type="text/css">

<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL" var="bundle" />

<TITLE>Ports.jsp</TITLE>

<SCRIPT src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/ports/Ports.js") %>' ></SCRIPT>

</HEAD>
<f:view>
	<BODY >
	<hx:scriptCollector id="ports_page_script_collector">

	
		<jsp:include page="/page/common/WaitHeader.jsp" />
		
		<h:form id="form1" styleClass="form" onsubmit="startCommonWait()">
				<hx:commandExButton type="submit" style="display: none;" value="Submit" id="formSubmit"
					styleClass="commandExButton" action="#{pc_Ports.doFormSubmitAction}"></hx:commandExButton>
					 <jsp:include page="/page/common/RedirectNoDomains.jsp"/>
		</h:form>
		

		<TABLE width="100%" cellspacing="0" cellpadding="0">
		<TBODY>
		<TR>
		<TD valign="top">
		</TD>
		<TD align="right">
		<jsp:include page="/page/common/SwitchDeviceList.jsp"></jsp:include>
		</TD>
		</TR>
		</TBODY>
		</TABLE>
		
		<h:outputFormat id="ports_page_instructions" styleClass="dmc_outputText" value="#{bundle.Ports_Instructions}"></h:outputFormat>
		<HR>
			
		<TABLE width="660" cellspacing="0" cellpadding="0">
			<TBODY>
				<TR>
					<TD width="50" class="tabLevelCell"><h:outputFormat id="ports_page_goto_text" styleClass="dmc_outputText" value="#{bundle.Ports_GoTo}"></h:outputFormat>: </TD>
					<TD onClick="clickedTab(0)" class="unSelectedTab dmc_outputText" id="tab0" onmouseover="startHover(0)" onmouseout="endHover(0)"><h:outputFormat id="ports_page_sasswitch_text" styleClass="dmc_outputText" value="#{bundle.Ports_SASSwitch}"></h:outputFormat></TD>
					
					<!-- Tabs start unclickable, and are changed when the dss expanders are loaded in the sas ports frame -->
					<TD class="unClickableTab dmc_outputText" id="tab1" onmouseover="startHover(1)" onmouseout="endHover(1)">&nbsp;</TD>
					<TD class="unClickableTab dmc_outputText" id="tab2" onmouseover="startHover(2)" onmouseout="endHover(2)">&nbsp;</TD>
					
					<!-- just a bottom border for the rest of the table -->
					<TD class="tabLevelCell">&nbsp;</TD>
				</TR>
				
				<TR>
					<!-- Three sided border -->
					<TD colspan="5" height="510" valign="top" style="border-width: 1; border-style: solid; border-color: black; border-top-width: 0;">
						
						<DIV id="waitDiv" style="display: none">
							<TABLE>
								<TBODY>
									<TR>
										<TD colspan="3" height="25%">&nbsp;</TD>
									</TR>
									<TR>
										<TD><IMG border="0" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/images/common/loading/busy.gif") %>' alt=''></TD>
										<TD>&nbsp;</TD>
										
										<TD align="left">
											<h:outputFormat id="ports_page_wait_message" styleClass="dmc_outputText" value="#{bundle.Ports_WaitMessage}"></h:outputFormat>
										</TD>
									</TR>
									<TR>
										<TD colspan="3" height="25%">&nbsp;</TD>
									</TR>
								</TBODY>
							</TABLE>
						</DIV>
						
						<!-- The frames start with src = "" -->
						<IFRAME width="100%" height="100%" onLoad="stopWait(0)" id="frame0" title="portFrame" style="display: none" src="" frameborder="0"></IFRAME>
						<IFRAME width="100%" height="100%" onLoad="stopWait(1)" id="frame1" title="diskFrame" style="display: none" src="" frameborder="0"></IFRAME>
						<IFRAME width="100%" height="100%" onLoad="stopWait(2)" id="frame2" title="diskFrame" style="display: none" src="" frameborder="0"></IFRAME>
					
					</TD>
				</TR>
				
			</TBODY>
		</TABLE>
		
		
		
		<SCRIPT>
		// Setting which tab will be displayed first
		clickedTab(0);
		</SCRIPT>

		<jsp:include page="/page/common/WaitFooter.jsp"/>


	</hx:scriptCollector>
	<script>
	if ( document.body.addEventListener)
		 document.body.addEventListener("keydown" , switchTab , false );
	else
	     document.body.attachEvent("onkeydown" , switchTab );
	</script>
	</BODY>
</f:view>
</HTML>
