// AddSwitch.js
	var isRightArrow = true;
	var ipHelpExpandaed = true ;
	var nicknameHelpExpandaed = true;
	var tcpportsHelpExpandaed = true;
	var expandaImgURL = '../../images/common/help/expandahelp.gif';
	var collapseaImgURL = '../../images/common/help/collapseahelp.gif';
    
    
    var namespace_frm = "view:";
	
// newFunction
	function init(){
		cleanup();
		showMSG();
	}

	function validateInput() {				
		var errorLabel = document.getElementById(namespace_frm+"AddSwitchForm:ot_message_label");
		var ipaddr = document.getElementById(namespace_frm+"AddSwitchForm:it_addsas_ipaddr");
		var nickname = document.getElementById(namespace_frm+"AddSwitchForm:it_addsas_nickname");
		var user = document.getElementById(namespace_frm+"AddSwitchForm:it_addsas_username");
		var pwd = document.getElementById(namespace_frm+"AddSwitchForm:it_addsas_password");
		
		ipaddr.className = "inputText";
		nickname.className = "inputText";
		user.className = "inputText";
		pwd.className = "inputText";
		
		var ipexpr = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
		var ipexpr6 = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3}).(\d{1,3}).(\d{1,3})$/;
		var iparray = ipaddr.value.match(ipexpr);
		var iparray6 = ipaddr.value.match(ipexpr);
		var tcpexpr = /^[0-9]+$/;
		
		//Check if the IP is blank.
		if (ipaddr.value==null||ipaddr.value=="") {
		  	errorLabel.innerHTML = document.getElementById(namespace_frm+"ipBlankMsg").innerHTML;
		  	errorLabel.style.color="red";
			ipaddr.className = "inputText_Error";
			return false;
		}
		
		//Check if the IP address is valid.
		var isIPV6 = ipexpr6.test(ipaddr.value);
		if (!ipexpr.test(ipaddr.value) && !isIPV6)
                {
			errorLabel.innerHTML = document.getElementById(namespace_frm+"ipInvalidMsg").innerHTML;
			errorLabel.style.color="red";
			ipaddr.className = "inputText_Error";
			return false;
		}
		if (!isIPV6 && iparray != null) {
			for (var i=1; i<5; i++) {
				var octet = iparray[i];
				if ((i == 1) || (i == 4)) {
					if ((octet <= 0) || (octet > 254)) {
						errorLabel.innerHTML = document.getElementById(namespace_frm+"ipInvalidMsg").innerHTML;
						errorLabel.style.color="red";
						ipaddr.className = "inputText_Error";
						return false;
					}
				}
				else {
					if (octet > 255 || octet < 0) {
						errorLabel.innerHTML = document.getElementById(namespace_frm+"ipInvalidMsg").innerHTML;
						errorLabel.style.color="red";
						ipaddr.className = "inputText_Error";
						return false;
					}	
				}
			}
		}
		
		//Check if the User name is blank.
		if (user.value==null||user.value=="") {
		   	errorLabel.innerHTML = document.getElementById(namespace_frm+"userBlankMsg").innerHTML;
		   	errorLabel.style.color="red";
			user.className = "inputText_Error";
			return false;
		}
		
		//Check if the password is blank.
		if (pwd.value==null||pwd.value=="") {
			errorLabel.innerHTML = document.getElementById(namespace_frm+"pwdBlankMsg").innerHTML;
			errorLabel.style.color="red";
			pwd.className = "inputText_Error";
			return false;
		}
		
		
		
		//Check if the nickname has more than 16 characters.
	
		if (nickname.value.length>16){
			errorLabel.innerHTML = document.getElementById(namespace_frm+"nicknameInvalidMsg").innerHTML;
			errorLabel.style.color="red";
		 	nickname.className = "inputText_Error";
			return false;
		}
		
		//Check if the nickname has the unexpected charaters.
		if (!commonValidateInput(nickname.value)) {
			errorLabel.innerHTML = document.getElementById(namespace_frm+"nicknameUnexceptedCharactersMsg").innerHTML;
			errorLabel.style.color="red";
		 	nickname.className = "inputText_Error";
		 	return false;
		}
		
				
		//Pass the all validation for the user input.	
		return true;

	}
	
	function addSW(){		
		document.getElementById("div_progress_indicator").style.display= "block";
		cleanupMSG();
	}
	
	function showMSG() {
		var addResult = document.getElementById(namespace_frm+"addResult").value;
		var addResultMsg = document.getElementById(namespace_frm+"addResultMsg").value;
		var msgLabel = document.getElementById(namespace_frm+"AddSwitchForm:ot_message_label");
		var namespace_parent = parent.document.getElementById("namespace_parent").innerHTML;		
		if (addResult == "1") { // show the successful message
		 	msgLabel.innerHTML = addResultMsg;
		 	msgLabel.style.color="green";
		 	parent.document.getElementById(namespace_parent+'submitForm:addSwitch:cancel').click();
		 	parent.document.getElementById(namespace_parent+'submitForm:refreshButton').click();

		} else { // show the duplicate IP error message or unknown error message
			msgLabel.innerHTML = addResultMsg;
			msgLabel.style.color="red";
		} 
	}
	

	
	function cleanup(){
		
		document.getElementById(namespace_frm+'AddSwitchForm:it_addsas_ipaddr').value= '';
		document.getElementById(namespace_frm+'AddSwitchForm:it_addsas_username').value = '';
		document.getElementById(namespace_frm+'AddSwitchForm:it_addsas_password').value = '';
		document.getElementById(namespace_frm+'AddSwitchForm:it_addsas_nickname').value = '';
		
		document.getElementById(namespace_frm+'AddSwitchForm:it_addsas_ipaddr').className = 'inputText';
		document.getElementById(namespace_frm+'AddSwitchForm:it_addsas_username').className = 'inputText';
		document.getElementById(namespace_frm+'AddSwitchForm:it_addsas_password').className = 'inputText';
		document.getElementById(namespace_frm+'AddSwitchForm:it_addsas_nickname').className = 'inputText';
		
	 }
	
	function cleanupMSG(){
		document.getElementById(namespace_frm+"AddSwitchForm:ot_message_label").innerHTML = "";
		document.getElementById(namespace_frm+"AddSwitchForm:ot_message_label").style.color =	"";
	}
	

	function showIPHelp(imgObj){
		if (ipHelpExpandaed==true) {
			imgObj.src = collapseaImgURL;
			imgObj.alt = document.getElementById(namespace_frm+"collapse_alt").innerHTML;
			imgObj.title = document.getElementById(namespace_frm+"collapse_alt").innerHTML;
			document.getElementById(namespace_frm+'AddSwitchForm:ot_add_switch_help_ip').style.display = 'inline';
			ipHelpExpandaed = false;
		}else{
			imgObj.src = expandaImgURL;
			imgObj.alt = document.getElementById(namespace_frm+"expand_alt").innerHTML;
			imgObj.title = document.getElementById(namespace_frm+"expand_alt").innerHTML;
			document.getElementById(namespace_frm+'AddSwitchForm:ot_add_switch_help_ip').style.display = 'none';
			ipHelpExpandaed = true;
		}
	}
	
	function showNicknameHelp(imgObj){
		if (nicknameHelpExpandaed==true) {
			imgObj.src = collapseaImgURL;
			imgObj.alt = document.getElementById(namespace_frm+"collapse_alt").innerHTML;
			imgObj.title = document.getElementById(namespace_frm+"collapse_alt").innerHTML;
			document.getElementById(namespace_frm+'AddSwitchForm:ot_add_switch_help_nickname').style.display = 'inline';
			nicknameHelpExpandaed = false;
		}else{
			imgObj.src = expandaImgURL;
			imgObj.alt = document.getElementById(namespace_frm+"expand_alt").innerHTML;
			imgObj.title = document.getElementById(namespace_frm+"expand_alt").innerHTML;
			document.getElementById(namespace_frm+'AddSwitchForm:ot_add_switch_help_nickname').style.display = 'none';
			nicknameHelpExpandaed = true;
		}
	}
	
	
	
	function cancelModal(){
		var addResult = document.getElementById(namespace_frm+"addResult").value;
		
		var namespace_parent = parent.document.getElementById("namespace_parent").innerHTML;
		parent.document.getElementById(namespace_parent+'submitForm:addSwitch:cancel').click();
		if (addResult=="1"||addResult=="0") parent.document.getElementById(namespace_parent+'submitForm:refreshButton').click();
	}
	
