<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component"
	prefix="scmc"%>

<f:subview id="menus">
	<scmc:scmJspPanel>
		<DIV id="defaultMenuDIV" name="menuDIV"><f:subview id="defaultMenu">
			<h:panelGrid id="defaultMenuGrid" border="1" width="300px"
				columns="2" cellpadding="0" cellspacing="0"
				columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
				<h:outputText id="allswitch_menus_default_text"
					styleClass="dmc_outputText" escape="false"
					value="#{bundle.ViewAllSwitches_SwitchMenuDefault}"></h:outputText>
				<h:graphicImage id="allswitch_menus_downarrow_img"
					style="border: 0; padding: 0;" styleClass="graphicImageEx" alt=""
					value="/images/common/menu/down_arrow.gif"></h:graphicImage>
			</h:panelGrid>
		</f:subview></DIV>

		<DIV id="supportDataMenuDIV" name="menuDIV" sytle="display:none"><f:subview id="supportDataMenu">
			<hx:panelMenu id="supportDataMenuid" flyOpen="false" styleClass="supportDataMenu">
				<f:facet name="header">
					<h:panelGrid id="supportDataGrid" border="1" width="300px" columns="2"
						cellpadding="0" cellspacing="0"
						columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
						<h:outputText id="allswitch_menus_supportDatamenu_action_text"
							styleClass="dmc_outputText" escape="false"
							value="#{bundle.ViewAllSwitches_SwitchMenuChassisAction}"></h:outputText>
						<h:graphicImage id="allswitch_menus_supportDatamenu_downarrow_img"
							style="border: 0; padding: 0;" styleClass="graphicImageEx" alt=""
							value="/images/common/menu/down_arrow.gif"></h:graphicImage>
					</h:panelGrid>
				</f:facet>

				<hx:outputLinkEx id="allswitch_menus_supportDatamenu_supportData_link"
					styleClass="outputLinkEx"
					value="javascript:clickSupportDataMenu()">
					<h:outputText id="allswitch_menus_supportDatamenu_supportData_text"
						styleClass="dmc_outputText"
						style="width:300px;display:block;text-indent:10px"
						value="#{bundle.ViewAllSwitches_SwitchMenuSASActionServiceCollectSupportData}"></h:outputText>
				</hx:outputLinkEx>

			</hx:panelMenu>
		</f:subview></DIV>

		<DIV id="chasisMenuDIV" name="menuDIV" style="display:none"><f:subview
			id="chasisMenu">
			<hx:panelMenu id="chasisMenuid" flyOpen="false" styleClass="idebMenu">
				<f:facet name="header">
					<h:panelGrid id="chasisGrid" border="1" width="300px" columns="2"
						cellpadding="0" cellspacing="0"
						columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
						<h:outputText id="allswitch_menus_chassismenu_action_text"
							styleClass="dmc_outputText" escape="false"
							value="#{bundle.ViewAllSwitches_SwitchMenuChassisAction}"></h:outputText>
						<h:graphicImage id="allswitch_menus_chassismenu_downarrow_img"
							style="border: 0; padding: 0;" styleClass="graphicImageEx" alt=""
							value="/images/common/menu/down_arrow.gif"></h:graphicImage>
					</h:panelGrid>
				</f:facet>

				<hx:outputLinkEx id="allswitch_menus_chassismenu_errorcounters_link"
					styleClass="outputLinkEx"
					value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('chassisErrorCounters')">
					<h:outputText id="allswitch_menus_chassismenu_errorcounters_text"
						styleClass="dmc_outputText"
						style="width:300px;display:block;text-indent:10px"
						value="#{bundle.ViewAllSwitches_SwitchMenuChassisActionErrorCounts}"></h:outputText>
				</hx:outputLinkEx>

				<hx:outputLinkEx id="allswitch_menus_chassismenu_sasaccess_link"
					styleClass="outputLinkEx"
					value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('chassisSASZoning')">
					<h:outputText id="allswitch_menus_chassismenu_sasaccess_text"
						styleClass="dmc_outputText"
						value="#{bundle.ViewAllSwitches_SwitchMenuChassisActionSASAccess}"></h:outputText>
				</hx:outputLinkEx>

				<hx:outputLinkEx id="allswitch_menus_chassismenu_datetime_link"
					styleClass="outputLinkEx"
					value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('chassisSetDateAndTime')">
					<h:outputText id="allswitch_menus_chassismenu_datetime_text"
						styleClass="dmc_outputText"
						value="#{bundle.ViewAllSwitches_SwitchMenuChassisActionSetDateAndTime}"></h:outputText>
				</hx:outputLinkEx>
				
				<hx:outputLinkEx
					id="allswitch_menus_chassismenu_updatefirmware_link"
					styleClass="outputLinkEx"
					value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('chassisUpdateFirmware')">
					<h:outputText id="allswitch_menus_chassismenu_updatefirmware_text"
						styleClass="dmc_outputText"
						value="#{bundle.ViewAllSwitches_SwitchMenuChassisActionUpdateFirmware}"></h:outputText>
				</hx:outputLinkEx>

			</hx:panelMenu>
		</f:subview></DIV>

		<DIV id="switchMenuDIV" name="menuDIV" style="display:none"><f:subview
			id="switchMenu">
			<hx:panelMenu id="switchMenuid" flyOpen="false" styleClass="idebMenu">
				<f:facet name="header">
					<h:panelGrid id="switchGrid" border="1" width="300px" columns="2"
						cellpadding="0" cellspacing="0"
						columnClasses="menuHeaderLeftCol,menuHeaderRightCol">
						<h:outputText id="allswitch_menus_switchmenu_action_text"
							styleClass="dmc_outputText" escape="false"
							value="#{bundle.ViewAllSwitches_SwitchMenuSASAction}"></h:outputText>
						<h:graphicImage id="allswitch_menus_switchmenu_downarrow_img"
							style="border: 0; padding: 0;" styleClass="graphicImageEx" alt=""
							value="/images/common/menu/down_arrow.gif"></h:graphicImage>
					</h:panelGrid>
				</f:facet>

				<hx:outputLinkEx id="allswitch_menus_switchmenu_properties_link"
					styleClass="outputLinkEx"
					value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('switchProperties');">
					<h:outputText id="allswitch_menus_switchmenu_properties_text"
						styleClass="dmc_outputText"
						style="width:300px;display:block;text-indent:10px"
						value="#{bundle.ViewAllSwitches_SwitchMenuSASActionProperties}"></h:outputText>
				</hx:outputLinkEx>

				<hx:outputLinkEx id="allswitch_menus_switchmenu_remove_link"
					styleClass="outputLinkEx"
					value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('switchRemove')">
					<h:outputText id="allswitch_menus_switchmenu_remove_text"
						styleClass="dmc_outputText"
						value="#{bundle.ViewAllSwitches_SwitchMenuSASActionRemove}"></h:outputText>
				</hx:outputLinkEx>

				<hx:outputSeparator id="allswitch_menus_switchmenu_separator"
					label="&nbsp;&nbsp;" width="250" align="left" color="black"
					style="font-family:sans-serif; font-size:10px; padding-top:1px; padding-bottom:1px; padding-left:4px;">
				</hx:outputSeparator>

				<hx:panelMenu id="switchconfig">
					<f:facet name="header">
						<h:panelGrid id="switchConfigGrid" width="95%" columns="2"
							columnClasses="menuLeftCol,menuRightCol" cellpadding="0"
							cellspacing="0">
							<h:outputText id="allswitch_menus_switchmenu_switchconfig_text"
								styleClass="dmc_outputText"
								value="#{bundle.ViewAllSwitches_SwitchMenuSASActionConfig}"></h:outputText>
							<h:graphicImage
								id="allswitch_menus_switchmenu_switchconfig_rightarrow_img"
								style="border: 0" styleClass="graphicImageEx" alt=""
								value="/images/common/menu/right_arrow.gif"></h:graphicImage>
						</h:panelGrid>
					</f:facet>



					<hx:outputLinkEx
						id="allswitch_menus_switchmenu_switchconfig_sasaccess_link"
						styleClass="outputLinkEx"
						value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('switchSASZoning')">
						<h:outputText
							id="allswitch_menus_switchmenu_switchconfig_sasaccess_text"
							styleClass="dmc_outputText"
							value="#{bundle.ViewAllSwitches_SwitchMenuSASActionSASAccess}"></h:outputText>
					</hx:outputLinkEx>

					<hx:outputLinkEx
						id="allswitch_menus_switchmenu_switchconfig_ports_link"
						styleClass="outputLinkEx"
						value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('switchPorts')">
						<h:outputText
							id="allswitch_menus_switchmenu_switchconfig_ports_text"
							styleClass="dmc_outputText"
							value="#{bundle.ViewAllSwitches_SwitchMenuSASActionServicePorts}"></h:outputText>
					</hx:outputLinkEx>

					<hx:outputLinkEx
						id="allswitch_menus_switchmenu_switchconfig_datetime_link"
						styleClass="outputLinkEx"
						value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('switchSetDateAndTime')">
						<h:outputText
							id="allswitch_menus_switchmenu_switchconfig_datetime_text"
							styleClass="dmc_outputText"
							value="#{bundle.ViewAllSwitches_SwitchMenuSASActionSetDateAndTime}"></h:outputText>
					</hx:outputLinkEx>
				</hx:panelMenu>

				<hx:panelMenu id="switchservice">
					<f:facet name="header">
						<h:panelGrid id="switchServiceGrid" width="95%" columns="2"
							columnClasses="menuLeftCol,menuRightCol" cellpadding="0"
							cellspacing="0">
							<h:outputText
								id="allswitch_menus_switchmenu_switchservice_action_text"
								styleClass="dmc_outputText"
								value="#{bundle.ViewAllSwitches_SwitchMenuSASActionService}"></h:outputText>
							<h:graphicImage
								id="allswitch_menus_switchmenu_switchservice_rightarrow_img"
								style="border: 0" styleClass="graphicImageEx" alt=""
								value="/images/common/menu/right_arrow.gif"></h:graphicImage>
						</h:panelGrid>
					</f:facet>

					<hx:outputLinkEx
						id="allswitch_menus_switchmenu_switchservice_auditlog_link"
						styleClass="outputLinkEx"
						value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('switchAuditLog')">
						<h:outputText
							id="allswitch_menus_switchmenu_switchservice_auditlog_text"
							styleClass="dmc_outputText"
							value="#{bundle.ViewAllSwitches_SwitchMenuSASActionServiceAuditLog}"></h:outputText>
					</hx:outputLinkEx>

					<hx:outputLinkEx
						id="allswitch_menus_switchmenu_switchservice_devicelog_link"
						styleClass="outputLinkEx"
						value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('switchDeviceLog')">
						<h:outputText
							id="allswitch_menus_switchmenu_switchservice_devicelog_text"
							styleClass="dmc_outputText"
							value="#{bundle.ViewAllSwitches_SwitchMenuSASActionServiceDeviceLog}"></h:outputText>
					</hx:outputLinkEx>

					<hx:outputLinkEx
						id="allswitch_menus_switchmenu_switchservice_errorcounters_link"
						styleClass="outputLinkEx"
						value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('switchErrorCounters')">
						<h:outputText
							id="allswitch_menus_switchmenu_switchservice_errorcounters_text"
							styleClass="dmc_outputText"
							value="#{bundle.ViewAllSwitches_SwitchMenuSASActionServiceErrorCounters}"></h:outputText>
					</hx:outputLinkEx>

					<hx:outputLinkEx
						id="allswitch_menus_switchmenu_switchservice_supportdata_link"
						styleClass="outputLinkEx"
						value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('switchCollectSupportData')">
						<h:outputText
							id="allswitch_menus_switchmenu_switchservice_supportdata_text"
							styleClass="dmc_outputText"
							value="#{bundle.ViewAllSwitches_SwitchMenuSASActionServiceCollectSupportData}"></h:outputText>
					</hx:outputLinkEx>

					<hx:outputLinkEx
						id="allswitch_menus_switchmenu_switchservice_updatefirmware_link"
						styleClass="outputLinkEx"
						value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('switchUpdateFirmware')">
						<h:outputText
							id="allswitch_menus_switchmenu_switchservice_updatefirmware_text"
							styleClass="dmc_outputText"
							value="#{bundle.ViewAllSwitches_SwitchMenuSASActionServiceUpdateFirmware}"></h:outputText>
					</hx:outputLinkEx>
				</hx:panelMenu>

				<hx:outputLinkEx id="allswitch_menus_switchmenu_users_link"
					styleClass="outputLinkEx"
					value="javascript: com.ibm.sysmgmt.nbce.gui.viewswitches.Menu.getInstance()._clickMenuItem('switchUsers')">
					<h:outputText id="allswitch_menus_switchmenu_users_text"
						styleClass="dmc_outputText"
						value="#{bundle.ViewAllSwitches_SwitchMenuUser}"></h:outputText>
				</hx:outputLinkEx>




			</hx:panelMenu>
		</f:subview></DIV>


		
		<h:inputHidden id="selectMenuItem"
			valueChangeListener="#{pc_ViewAllSwitches.selectMenuChanged}"
			value=""></h:inputHidden>
		<h:inputHidden id="selectObject"
			value="#{scmSessionData._selectedDomainKey}"></h:inputHidden>
		<h:inputHidden id="selectItemType" 
			value="SASSwitch"></h:inputHidden>


	</scmc:scmJspPanel>
</f:subview>
