<%-- jsf:pagecode language="java" location="/JavaSource/pagecode/page/viewswitches/SetDateAndTime.java" --%><%-- /jsf:pagecode --%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<%@ include file="/page/common/Header.jsp"%>
<f:loadBundle basename="com.ibm.sysmgmt.scm.nbce.nls.GWMNBCEL"
	var="bundle" />
<LINK
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/page/common/dmcnbcestyle.css") %>'
	rel="stylesheet" type="text/css">
<LINK
	href='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/theme/stylesheet.css") %>'
	rel="stylesheet" type="text/css">

<!-- OO JS  -->
<script>
 function invertCheckedInput(){

	var checkbox = document.getElementById(namespace_g+'DateAndTimeModal:sbc_datetime_manual');
	var primaryNTPField = document.getElementById(namespace_g+'DateAndTimeModal:dt_it_primary');
	var secondaryNTPField = document.getElementById(namespace_g+'DateAndTimeModal:dt_it_secondary');

	if (primaryNTPField.disabled == true){
		primaryNTPField.disabled = false;
		secondaryNTPField.disabled = false;
		checkbox.checked = false;
	}else{
		primaryNTPField.disabled = true;
		secondaryNTPField.disabled = true;
		checkbox.checked = true;
	}

	return true;
}

function disableNTPFields(){
	
	var checkbox = document.getElementById(namespace_g+'DateAndTimeModal:sbc_datetime_manual');
	var primaryNTPField = document.getElementById(namespace_g+'DateAndTimeModal:dt_it_primary');
	var secondaryNTPField = document.getElementById(namespace_g+'DateAndTimeModal:dt_it_secondary');
	
	if (primaryNTPField.disabled == true){
		primaryNTPField.disabled = false;
		secondaryNTPField.disabled = false;
		checkbox.checked = false;
	}else{
		primaryNTPField.disabled = true;
		secondaryNTPField.disabled = true;
		checkbox.checked = true;
	}

}


function validateInput() {
	var errordiv = document.getElementById("div_datetime_error");
	errordiv.innerHTML='';
	
	//input value
	var primaryNTPField = document.getElementById(namespace_g+'DateAndTimeModal:dt_it_primary');
    var secondaryNTPField = document.getElementById(namespace_g+'DateAndTimeModal:dt_it_secondary');
	var timeField = document.getElementById(namespace_g+'DateAndTimeModal:dt_it_time');
	var dateField = document.getElementById(namespace_g+'DateAndTimeModal:dt_it_date');
	var manualchecked = document.getElementById(namespace_g+"DateAndTimeModal:sbc_datetime_manual").checked;

	var validatePassed = false;
			
	if (!manualchecked) {
		if (isIPFormat(primaryNTPField.value) && (secondaryNTPField.value==""||secondaryNTPField.value==null||isIPFormat(secondaryNTPField.value))) validatePassed = true;
		else errordiv.innerHTML = document.getElementById(namespace_g+"DateAndTimeModal:error_ip").innerHTML+"<BR>";
		
	}else{
		if (isDateFormat(dateField.value) && isTimeFormat(timeField.value)) validatePassed = true;
		else errordiv.innerHTML = document.getElementById(namespace_g+"DateAndTimeModal:error_time").innerHTML+"<BR>";
	}
	
	if (validatePassed){
		setTimeout("disableButtons()",500);
	}
	
	return validatePassed;
	
}

function disableButtons(){
	document.getElementById(namespace_g+"DateAndTimeModal:cb_datetime_ok").disabled = true;
	document.getElementById(namespace_g+"DateAndTimeModal:cb_datetime_cancel").disabled = true;
}

function isTimeFormat(time) {
		var str = time;
		var r = str.match(/^(\d{1,2}):(\d{1,2}):(\d{1,2})$/);
		if (r==null) return false;
    	var hour = parseInt(r[1]);
		var minute = parseInt(r[2]);
		var second = parseInt(r[3]);
		
		return(hour>-1&&hour<24&&minute>-1&&minute<60&&second>-1&&second<60);
	}
	
	function isDateFormat(date) {
		var str = date;
		var r = str.match(/^(\d{1,4})(-|\/)(\d{1,2})\2(\d{1,2})$/);
		if(r==null)return false; 
		var d = new Date(r[1], r[3]-1, r[4]);
		return(d.getFullYear()==r[1]&&(d.getMonth()+1)==r[3]&&d.getDate()==r[4]);
	}
	
	function isIPFormat(ip){
	
		var ipexpr = /^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$/;
		if (!ipexpr.test(ip)) return false;
		var IParray = ip.match(ipexpr);
		if (IParray != null) {
				for (var i=1; i<5; i++) {
					var octet = IParray[i];
					if (octet > 255) {
						return false;
					}	
				}
		}
		
		return true;
	}
</script>

<f:view>
   
	<hx:scriptCollector id="scriptCollector1"
		preRender="#{pc_SetDateAndTime.onPageLoadBegin}">
		<h:form id="DateAndTimeModal" styleClass="form">


				
			<table width="100%" cellspacing="0" class="dmc_outputText">
				<tbody>
					<tr>
						<td colspan="3">
						<div id="div_datetime_error"
							style="color:red; font-size: xx-small; font-family: Verdana, Arial, Helvetica, sans-serif;"></div>
						</td>
					</tr>
					<!-- tr>
						<td colspan="3"><h:outputText
							id="dt_NTP_server_IP_Address_label" styleClass="dmc_outputText"
							value="#{bundle.ViewAllSwitches_SetDateTime_NTP_Title}"></h:outputText>
						</td>
					</tr -->
					<tr>
						<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
						<td><h:outputLabel styleClass="dmc_outputText"
							id="ol_primary_label" for="dt_it_primary">
							<h:outputText id="primary_text" styleClass="dmc_outputText"
								value="#{bundle.ViewAllSwitches_SetDateTime_NTP_Primary}">
							</h:outputText>
						</h:outputLabel></td>
						<td><h:inputText styleClass="inputText" id="dt_it_primary"
							value="#{pc_SetDateAndTime.dt_it_primary_value}">
						</h:inputText></td>
					</tr>
					<tr>
						<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
						<td><h:outputLabel styleClass="dmc_outputText"
							id="ol_secondary_label" for="dt_it_secondary">
							<h:outputText id="secondary_text" styleClass="dmc_outputText"
								value="#{bundle.ViewAllSwitches_SetDateTime_NTP_Secondary}">
							</h:outputText>
						</h:outputLabel></td>
						<td><h:inputText styleClass="inputText" id="dt_it_secondary"
							value="#{pc_SetDateAndTime.dt_it_secondary_value}"></h:inputText>
						</td>
					</tr>
					<tr>
						<td colspan="3"><h:selectBooleanCheckbox
							styleClass="selectBooleanCheckbox" id="sbc_datetime_manual" value="#{pc_SetDateAndTime.manual_checked}">
						<hx:behavior onActionFunction="javascript: invertCheckedInput()"
								behaviorAction="inverthide;" targetAction="dt_it_datatime_div"
								event="onclick" />
						</h:selectBooleanCheckbox>  <h:outputText
							id="datetimebox_text" styleClass="dmc_outputText"
							value="#{bundle.ViewAllSwitches_SetDateTime_Manual}">
							<hx:behavior onActionFunction="javascript: invertCheckedInput()"
								behaviorAction="inverthide;" targetAction="dt_it_datatime_div"
								event="onclick" />
						</h:outputText></td>
					</tr>
					<tr>
						<td colspan="3">
						<div id="dt_it_datatime_div" style="display:none"><h:outputLabel
							styleClass="dmc_hiddenLabel" id="ol_time_label" for="dt_it_time">
							<h:outputText id="ol_time_hidden" styleClass="dmc_hiddenLabel"
								value="#{bundle.ViewAllSwitches_SetDateTime_Time}">
							</h:outputText>
						</h:outputLabel> <h:inputText id="dt_it_time" styleClass="dmc_inputText"
							value="#{pc_SetDateAndTime.dt_it_time_value}">
							<f:convertDateTime type="time" pattern="HH:mm:ss" />
							<hx:inputHelperDatePicker />
						</h:inputText> <br>

						<h:outputText id="dt_datatime_des" styleClass="dmc_outputTextS"
							value="#{bundle.ViewAllSwitches_SetDateTime_Pattern}">
						</h:outputText> <br>

						<h:outputLabel styleClass="dmc_hiddenLabel" id="ol_date_label"
							for="dt_it_date">
							<h:outputText id="ol_date_hidden" styleClass="dmc_hiddenLabel"
								value="#{bundle.ViewAllSwitches_SetDateTime_Date}">
							</h:outputText>
						</h:outputLabel> <h:inputText id="dt_it_date" styleClass="dmc_inputText"
							value="#{pc_SetDateAndTime.dt_it_date_value}">
							<f:convertDateTime type="date" pattern="yyyy-MM-dd" />
							<hx:inputHelperDatePicker buttonBorder="1" />
						</h:inputText></div>
						</td>
					</tr>
				</tbody>
			</table>
			<hx:commandExButton id="cb_datetime_ok"
				value="#{bundle.Common_Modal_OK}" styleClass="dmc_commandExButton"
				type="submit" style="width:80px;" 
				onclick="return validateInput();"
				action="#{pc_SetDateAndTime.doModifySwitchTimeAction}"
				/>
			
			<hx:commandExButton id="cb_datetime_cancel"
				value="#{bundle.Common_Modal_Cancel}"
				styleClass="dmc_commandExButton" style="width:80px;" type="submit"
				action="#{pc_SetDateAndTime.doCancel}">
			</hx:commandExButton>
			<h:outputText id="error_ip" style="display:none"
				value="#{bundle.ViewAllSwitches_SetDateTime_Error_IP}"></h:outputText>
			<h:outputText id="error_time" style="display:none"
				value="#{bundle.ViewAllSwitches_SetDateTime_Error_Time}"></h:outputText>
		</h:form>

	</hx:scriptCollector>

</f:view>
