<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/sysmgmt/scm/gui/component" prefix="scmc"%>
<%@taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<portlet:defineObjects />		
<f:subview id="treeTable">		
<scmc:scmJspPanel>
	<TABLE class="nbceTable dmc_outputText" cellspacing="0" cellpadding="0" width="100%" summary="#{bundle.Table_Summary_SAS_Modules}">
		<TBODY>
			<TR>
				<TD width="35%" style="text-align: left;"
						class="nbceTableHeaderCell">
					<DIV class="nbceTableHeaderCell">
						<h:outputFormat
							id="allswitch_treetable_indentifier_text"
							styleClass="dmc_outputText"
							value="#{bundle.ViewAllSwitches_ColumnIdentifier}">
						</h:outputFormat>
					</DIV>
				</TD>
				
				<TD width="15%"  style="text-align: left;" class="nbceTableHeaderCell">
					<DIV class="nbceTableHeaderCellDiv">
						<h:outputFormat id="allswitch_treetable_type_text" styleClass="dmc_outputText" value="#{bundle.ViewAllSwitches_ColumnType}">
						</h:outputFormat>
					</DIV>
				</TD>
				
				<TD width="15%"  style="text-align: left;" class="nbceTableHeaderCell">
					<DIV class="nbceTableHeaderCellDiv">
						<h:outputFormat id="allswitch_treetable_location_text" styleClass="dmc_outputText" value="#{bundle.ViewAllSwitches_ColumnLocation}">
						</h:outputFormat>
					</DIV>
				</TD>
				
				<TD width="20%"  style="text-align: left;" class="nbceTableHeaderCell">
					<DIV class="nbceTableHeaderCellDiv">
						<h:outputFormat id="allswitch_treetable_address_text" styleClass="dmc_outputText" value="#{bundle.ViewAllSwitches_ColumnAddress}">
						</h:outputFormat>
					</DIV>
				</TD>
				
				<TD width="15%" style="text-align: left;" class="nbceTableHeaderCell">
					<DIV class="nbceTableHeaderCellDiv">
						<h:outputFormat id="allswitch_treetable_status_text" styleClass="dmc_outputText" value="#{bundle.ViewAllSwitches_ColumnStatus}">
						</h:outputFormat>
					</DIV>
				</TD>
			</TR>
			<TR>
				<TD colspan="5">
					<h:outputFormat id="NoneBCEMSG" rendered="#{pc_ViewAllSwitches.viewAllSwitchesBean.hasNoneBCE}" 
						escape="false" styleClass="dmc_outputText" value="#{bundle.ViewAllSwitches_NoneBCEMsg}">
					</h:outputFormat>
				</TD>
			</TR>
			<TR>
				<TD colspan="5">
</scmc:scmJspPanel>
					<hx:dataIterator value="#{pc_ViewAllSwitches.viewAllSwitchesBean.allBCEs}" var="bce">
					

<scmc:scmJspPanel>
						<TABLE width="100%" id="#{treeTableController.nextNodeId}" onclick="com.ibm.sysmgmt.nbce.gui.viewswitches.TreeTable.getInstance()._clickRow(new com.ibm.sysmgmt.nbce.gui.viewswitches.BCEChassis('#{bce.id}','#{bce.associatedDomainIP}'),this.id);" class="nbceTableRow">
							<TBODY>
							
								<TR>
									<TD style="text-align: left; width: 35%;">
</scmc:scmJspPanel>
									<!-- qqq Use Html IMG tag as the attribute 'name' is not supported by jsf/jwl image tag, create new Imange component when have time  -->
									<scmc:scmJspPanel rendered="#{bce.hasSwitch}">
										<IMG name="#{treeTableController.folderName}_IMG" src='<%=renderResponse.encodeURL(renderRequest.getContextPath() + "/images/common/tree/collapse_obj.gif") %>' style="vertical-align: middle;" title="#{bundle.Common_Collapse_Alt}" alt="#{bundle.Common_Collapse_Alt}" 
											onclick="com.ibm.sysmgmt.nbce.gui.viewswitches.TreeTable.getInstance()._toggle('#{treeTableController.nodeId}', '#{treeTableController.childrenGroupId}',this, event)" />
									</scmc:scmJspPanel>
									<hx:graphicImageEx styleClass="graphicImageEx" style="vertical-align: middle;" id="clearImage" alt="" value="/images/common/tree/clear.gif" rendered="#{!(bce.hasSwitch)}" ></hx:graphicImageEx>
									<hx:graphicImageEx styleClass="graphicImageEx" style="vertical-align: middle;" id="bceImage" title="#{bundle.ViewAllSwitches_BCEType}" alt="#{bundle.ViewAllSwitches_BCEType}" value="/images/common/components/chassis_16.gif"></hx:graphicImageEx>
									<h:outputText styleClass="dmc_outputText" id="identifier" value="#{bce.displayName}"></h:outputText>
<scmc:scmJspPanel>
									</TD>
									<TD style="text-align: left; width: 15%;">
										<h:outputText id="type" styleClass="dmc_outputText" value="#{bundle.ViewAllSwitches_BCEType}"></h:outputText>
									</TD>
									<TD style="text-align: left; width: 15%;">
										<h:outputText id="location" styleClass="dmc_outputText" value=""></h:outputText>
									</TD>
									<TD style="text-align: left; width: 20%;">
										<h:outputText id="address" styleClass="dmc_outputText" value=""></h:outputText>
									</TD>
									<TD style="text-align: left; width: 15%;">
										<h:outputText id="status" styleClass="dmc_outputText" value=""></h:outputText>
									</TD>
								</TR>
							</TBODY>
						</TABLE>
						<DIV id="#{treeTableController.groupId}" name="#{treeTableController.folderName}_DIV" >
</scmc:scmJspPanel>
						<hx:dataIterator value="#{bce.SASSwitches}" var="switch">
<scmc:scmJspPanel>
							<TABLE width="100%" id="#{treeTableController.nextNodeId}" onclick="com.ibm.sysmgmt.nbce.gui.viewswitches.TreeTable.getInstance()._clickRow(new com.ibm.sysmgmt.nbce.gui.viewswitches.SASSwitch('someid', '#{switch.nickname}','#{switch.IPAddress}','#{switch.TCPPortAdmin}','#{switch.TCPPortEvents}','#{switch.TCPPortFirmware}','#{switch.WWNN}','#{switch.time}','#{switch.chassisID}','#{switch.chassisType}','#{switch.location}','#{switch.productID}','#{switch.serialNumber}','#{switch.partNumber}','#{switch.firmwareVersion}','#{switch.firmwareInstallDate}','#{switch.configuration}','#{switch.statusText}','#{switch.statusImg}','#{switch.zoningEnabled}'),this.id);" class="nbceTableRow">
								<TBODY>
									<TR>
										<TD style="text-align: left; width: 35%;">
											&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
											<hx:graphicImageEx styleClass="graphicImageEx" id="switchImage" title="#{bundle.ViewAllSwitches_SwitchType}" alt="#{bundle.ViewAllSwitches_SwitchType}" value="/images/common/components/sas_switch_16.gif">
											</hx:graphicImageEx>
											<h:outputText id="allswitch_treetable_switch_displayname" styleClass="dmc_outputText" value="#{switch.displayName}"></h:outputText>
										</TD>
										<TD style="text-align: left; width: 15%;">
											<h:outputText id="allswitch_treetable_switch_type" styleClass="dmc_outputText" value="#{bundle.ViewAllSwitches_SwitchType}"></h:outputText>
										</TD>
										<TD style="text-align: left; width: 15%;">
											<h:outputText id="allswitch_treetable_switch_locaion" styleClass="dmc_outputText" value="#{switch.location}"></h:outputText>
										</TD>
										<TD style="text-align: left; width: 20%;">
											<h:outputText id="allswitch_treetable_switch_wwnn" styleClass="dmc_outputText" value="#{switch.WWNN}"></h:outputText>
										</TD>
										<TD style="text-align: left; width: 15%;">
											<hx:graphicImageEx styleClass="graphicImageEx" id="switchStatusImage" alt="" value="#{switch.statusImg}">
											</hx:graphicImageEx>
											<h:outputText id="allswitch_treetable_switch_status_text" styleClass="dmc_outputText" value="#{switch.statusText}"></h:outputText>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
							#{treeTableController.groupEnded}
</scmc:scmJspPanel>
						</hx:dataIterator>
<scmc:scmJspPanel>
						</DIV >
						#{treeTableController.groupEnded}	
</scmc:scmJspPanel>
					</hx:dataIterator>
<scmc:scmJspPanel>
				</TD>
			</TR>
			<TR>
				<TD>
					<h:inputHidden id="selectedSwitchIPAddress" value="#{pc_ViewAllSwitches.removeSwitchBean.ipAddress}"></h:inputHidden>
					<h:outputText id="expand_alt" value="#{bundle.Common_Expand_Alt}" style="display: none;"></h:outputText>
					<h:outputText id="collapse_alt" value="#{bundle.Common_Collapse_Alt}" style="display: none;"></h:outputText>
				</TD>
			</TR>
		</TBODY>
	</TABLE>
</scmc:scmJspPanel>
</f:subview>
